===================== 2025-06-25 Version 6.0.2 Released =====================

===================== Changes Since Version 6.0.1 ===========================

commit ab318d268404799950cb992aa4498756f88bbed3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 25 08:56:30 2025 +0200

    Makefile.defs: version set to 6.0.2

commit 16e04c66058386012cb975fa8e73db4c82152063
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 25 08:55:15 2025 +0200

    CMakeLists.txt: version set to 6.0.2

commit 6c9e5413656a7f375f42fdf5fc9888398d1d2524
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 25 08:51:38 2025 +0200

     pkg/kamailio/deb: set version to 6.0.2

commit cadf2e2248177b4e38a9f7611ddab4be455b17e1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 25 08:48:31 2025 +0200

    pkg/kamailio: version set 6.0.2 for rpms and alpine

commit c522cff31e01abc822ae488a830f08b292f69829
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Mon Jun 23 13:48:00 2025 -0400

    tls: fix setting cipher suites for tls verions prior to 1.3
    
    (cherry picked from commit 84a29ac892d1097a8d08a4853fd2749ee039405c)

commit 0e820635bbbf9d887e1d481f2dc0243603eb9624
Author: Nicolas Chapleau <nicchap@outlook.com>
Date:   Mon Jun 23 10:42:09 2025 +0000

    tls: use SSL_CTX_set_ciphersuites() when using openSSL 1.1.1
    
    (cherry picked from commit 6faf0470d0fab1594249e43d91000f324c5e25a7)

commit 3c19d508ea84d8541b9eca0fc06c0c62309b34cc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 24 15:11:18 2025 +0200

    secsipid: set global url pointer to null after free
    
    - GH #4284
    
    (cherry picked from commit 15a976808f5e785a6d234734b0a7de0d735d4a5a)

commit 6de03f80bd266ab8b2ddf018b68f3501bd0094b0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jun 23 13:29:37 2025 +0200

    websocket: set the field for event route execution on timer removing
    
    - GH #3950
    
    (cherry picked from commit e77ba1cdf80b384bc55cc457d280b5fc0aef80db)

commit cf14f3244567658bee3f226834baea424dceff32
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jun 23 13:19:44 2025 +0200

    websocket: updated a couple of debug messages with id and hash id
    
    (cherry picked from commit 868240b75b9bc6a2263a31a46038d11064269000)

commit 1c2ed9b6c1a4c82bb9fe8a98271bae3db3acee5b
Author: Sergey Safarov <s.safarov@anycast-lb.net>
Date:   Sat Jun 21 21:36:44 2025 +0300

    github: added multiarch support for rpm generation [skip ci]
    
    (cherry picked from commit 76b6e3b9733d0382348da1a80c3cdeecec44415e)

commit 1f3058011f8f45f8d7ad2eb68294a9b9c6e82bcd
Author: Sergey Safarov <s.safarov@anycast-lb.net>
Date:   Sat Mar 29 20:50:13 2025 +0200

    github: generate rpm packages
    
    (cherry picked from commit afa2d017e3b5a1f5a776935767e485c1158be461)

commit 3bb3b4ef8f38e944bbae94ccc51c25b3330d2faa
Author: Sergey Safarov <s.safarov@anycast-lb.net>
Date:   Fri May 23 09:09:48 2025 +0300

    pkg/kamailio: use radcli on RHEL based dist [skip ci]
    
    (cherry picked from commit c2fc809059e0c70aa4324f5727666989ee8aff05)

commit b80dd57418fa1dad8a333f11f64f5a9df3e65332
Author: Sergey Safarov <s.safarov@anycast-lb.net>
Date:   Wed Jan 29 13:00:57 2025 +0200

    pkg/kamailio: removed RHEL 6 and 7 if macros from RPM spec file
    
    (cherry picked from commit 701d07df14d0d66125ff0ff3adec3ce424929472)

commit 6d0c691c379a8798822c5672d3fd515eb01f5394
Author: Sergey Safarov <s.safarov@anycast-lb.net>
Date:   Sun Jan 26 13:31:15 2025 +0200

    pkg/kamailio: sipcapture remove
    
    (cherry picked from commit a7c4d4003dced50b3f6cbc7c9c6235e6bf894334)

commit 4e221917fc18463e8a7a1a5f6db13e8da6785ed0
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Mar 28 09:59:10 2025 +0100

    pkg/kamailio/alpine: add missing dependency for jwt module [skip ci]
    
    related #4132
    
    (cherry picked from commit 95d0c1fc38da00dc6bbda19dba1ac4b20535abf5)

commit 6edde7080fd5f7fb6a547f6de5c5b7c104cb493a
Author: Sergey Safarov <s.safarov@anycast-lb.net>
Date:   Mon Jun 9 18:25:59 2025 +0300

    pkg/kamailio: for dispatcher work required working DNS resolution daemon
    
    (cherry picked from commit aa7b2460ff0d8085ddc8ae9232a9fea0fe0db5f8)

commit d4159f45972bad6151649d190f4e6c35c3259e5f
Author: Sergey Safarov <s.safarov@anycast-lb.net>
Date:   Tue May 27 19:20:05 2025 +0300

    pkg/kamailio: updated alpine build rules
    
    (cherry picked from commit 9ddd70a45168c618a3ef2356689890daee8c8415)

commit 26bd61047c446eb509691765ad3fa60292a0b25d
Author: Sergey Safarov <s.safarov@anycast-lb.net>
Date:   Tue May 27 22:23:02 2025 +0300

    github: refactored alpine docker image generation
    
    - GH #4241
    
    (cherry picked from commit de4e36779ec0d01e4ba749318677e29472de5b55)
    Signed-off-by: Sergey Safarov <s.safarov@anycast-lb.net>

commit 7022d9493d4db047d5fa2d67e589c05f43aec5e9
Author: Sergey Safarov <s.safarov@anycast-lb.net>
Date:   Sat Jun 21 16:40:40 2025 +0300

    pkg/docker: submodule update

commit a9e553746d7853e5229a54a5b54a8448374171dd
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Jun 20 10:01:20 2025 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 265a2b6b7173944d38acf3e93a85ef2d50c3e68f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jun 20 09:48:11 2025 +0200

    Revert "secfilter: add missing RPC del_wl command"
    
    This reverts commit 6e4100e11f49c02a9e319aa2ab269e5476fa3b9e.

commit 7990d4bf35f7b79a74315ed775401d6311b6bf97
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jun 20 09:47:53 2025 +0200

    Revert "secfilter: add RPC del_* commands [skip ci]"
    
    This reverts commit a1a65348974d7847af6637dedf31d926cd09cffd.

commit 8926a88d9011f0ec08b8e97f085848929572d9e5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jun 20 09:47:37 2025 +0200

    Revert "secfilter: fix table of contents index points [skip ci]"
    
    This reverts commit 8ffc7f1e971e94e18facc000bf99084f69b1f400.

commit b3555bb2e5d4ea0ffa80c5f98dd0988eb69c14e7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jun 15 19:23:11 2025 +0200

    core: reformat structure with core pv exports
    
    (cherry picked from commit 076d9549a28295392c9a8ca0ce079f2a59ed4f1e)

commit 24e9e573eaa0e85abd4285103528d1e5272cd13c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jun 13 09:49:25 2025 +0200

    core: tcp - log message on message processing timeout made debug
    
    (cherry picked from commit 2af2c80fde4e82614846af9d817ab2bffa2d954d)

commit c31ea2270f5b3ef43bb324f63b86c1f1764fd83c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jun 13 09:26:17 2025 +0200

    jwt: added to the notes about libjwt versions
    
    - module is not compatible with the new libjwt3
    
    (cherry picked from commit 36c466bce5a57df72806a0915361612c32cc838e)

commit 7a4362f646cfa029c31e7a447beac1559e40ffa0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 12 17:42:14 2025 +0200

    core: parser - count diversion header body len based on last param
    
    - take in consideratio quoted param values
    
    (cherry picked from commit f789f6a5fa4d651ad3bcb657cb2a1dc765de6460)

commit ab88793011826693e259699ea9fe1a00bfcde443
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 12 16:10:01 2025 +0200

    htable: return true for sht_setxi()
    
    - GH #4283
    
    (cherry picked from commit 9ded810b2dfe527db8d8be409fe1f34b002f3325)

commit 9ba402d3508034ef3111942b8f594cf91197497a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 12 08:15:34 2025 +0200

    dispatcher: rework MIXSOCKPRPORT (16) matching mode
    
    - GH #4236
    
    (cherry picked from commit 28cd81c9ad7a64ee8953ba9438756b88740b7820)

commit b0089e25607d8724a1f5f3f0effa95ec21c5a909
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 11 19:56:57 2025 +0200

    dispatcher: rename varaiable about strictest match with common prefix
    
    - init values
    
    (cherry picked from commit dfb5ef6f9d670a9ee2de223eac0a665f9e5cab71)

commit b920a95701c4109089045d9bd9e2395976fc8af6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 10 11:56:46 2025 +0200

    core: srapi - prototype function names set back for msg env push/pop
    
    (cherry picked from commit ec5ab51a7ba1c2a94515b8f28c546c9d7cf58b90)

commit 91182d61d5df9fefcb71893eaa71757217cb19c1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 10 08:21:44 2025 +0200

    core: sdp - check if space is found for extracting session version
    
    (cherry picked from commit cdcb570e46101703f4963863c705345c7a3420ac)

commit 644669d61667b8bc4e484c80c12a8cd1cdc1bfbd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jun 9 08:45:31 2025 +0200

    core: destroy the x/avp lists on msg env data pop
    
    (cherry picked from commit 418a1017a58e87a9fe9085f75183bcbfba3f9022)

commit ebef3ae7185862339f6751bf4798802524c895b0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jun 8 12:09:53 2025 +0200

    sipdump: use the msg env data stack
    
    (cherry picked from commit 10c6f973b0f2334c6b2790d61efa1fc3ac282a01)

commit 506f4fa7a8bb6768bd4f2ddf2bd419da3ac30e29
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jun 8 10:53:21 2025 +0200

    siptrace: use the msg env data stack
    
    (cherry picked from commit f3a6f2ed539a4a0f287ba0bfee89bd44d2f1a781)

commit fd054f531e400653a1f13f3379257b7e89de8bf9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jun 8 10:52:24 2025 +0200

    core: keep a stack of msg env data
    
    - GH #4258
    
    (cherry picked from commit c10c1d7f0214105c01a300b4a69c58219e4c970a)

commit 0e9f67faef8408befffa3bf39580efc7c8233870
Author: Sergey Safarov <s.safarov@anycast-lb.net>
Date:   Fri May 9 16:30:44 2025 +0300

    core: tcp_send_timeout applied for outbound connections
    
    (cherry picked from commit 9105398413b4f9fab410482d9ebf5d82b6c3fb0a)

commit fa614b1cb8c638292e399fe4350b212619b10a1e
Author: Benjamin Tietz <tietz@sipgate.de>
Date:   Tue May 27 15:56:40 2025 +0200

    tls: add WSS to RPC funtions
    - tls_list() add PROTO_WSS to TLS_LIST RPC call to include WSS connections in tls.list
    
    - tls_kill() add PROTO_WSS to handle WSS connections
    
    Co-authored-by: Andreas Tarp <tarp@sipgate.de>
    (cherry picked from commit 9581e5b332bff8e61ed65c6ddd340a472cb1d93c)

commit 39685ace68f52a0b5e96dc9b6e42479915efe151
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jun 6 10:15:02 2025 +0200

    dialog: use defined tockens for is_set field of local cseq structure for keepalives
    
    (cherry picked from commit 2492b92e49cfcd5f6828007b6a289b3f881dba69)

commit 082a07138b7b920cfda8ce52b4b611dbbf680afc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jun 6 10:08:12 2025 +0200

    tm: add defines for dlg cseq is_self field
    
    - DLG_SEQ_VALINIT (should be initialized), DLG_SEQ_VALSET (is set, but
      can be updated for requests within dialog), DLG_SEQ_VALNEW (is set,
      and ready to be used as new cseq number in generated request)
    
    (cherry picked from commit 73c8316bf89703156f241886554919339ac270d0)

commit e5d101f2385b20b98cb7f2e27a8c8ac1aadc6505
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 3 22:27:14 2025 +0200

    core: print default path to runtime dir on internals output
    
    (cherry picked from commit 730d6872054cb6218684d5e48af341c7c2749233)

commit 980975e95219da00acdbde91343ff8cdfec1522b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jun 2 07:50:17 2025 +0200

    userblocklist: docs - small typo
    
    (cherry picked from commit 81357b548b6e0cdf464361c2b1742d797f0d7e95)

commit 14664939b8e7c054ac73af228a57b948227d06ba
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jun 2 23:33:01 2025 +0200

    siptrace: reset x/avp lists after event route
    
    (cherry picked from commit 0195e86084ffbe5333310fc4206f4a6d01662a85)

commit ff735b36117c13608d45c80749372e0a14fe75d0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 30 12:23:19 2025 +0200

    siptrace: reset x/avp lists after event route
    
    - GH #4258
    
    (cherry picked from commit 5ee87b7905d931931dece44ec591d8e6bcf567e2)

commit ffe19fc22151f63c310f71650a50c35e9c1a32b4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 30 12:07:46 2025 +0200

    core: implement pop of lists from msg env
    
    (cherry picked from commit 465fda0f790e44e5484b2ef41363fb23fece3f41)

commit 0f9266684005a3c4f4748d72b8e8d54d4912361e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu May 29 20:53:04 2025 +0200

    jansson: docs - added missing semicolon in the example
    
    (cherry picked from commit 7fed8f52391aaef43d5cb672f4821d50d4855830)

commit d39f318b36cd468826887289651f87df02155b62
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 28 21:28:05 2025 +0200

    core: helper functions to get/set msg env lists
    
    (cherry picked from commit 54a330bb707fb6b4943ba26356891696681a02e7)

commit ac74e0fae054e264fe8d64063fef477b85262e0f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 27 21:40:26 2025 +0200

    ims_ipsec_pcscf: jump to error for clean up
    
    (cherry picked from commit f0291728b7fb623faf1d4de0f3152e782a6782ae)

commit 36004e22f8a61becf75cb6b8e424190f05e73b7a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 26 18:59:14 2025 +0200

    pv_headers: set value after checking if src is set
    
    (cherry picked from commit 25daa0445ebc611cda3e47fd34aefc74494550d7)

commit b00a05bf7b0483d16b722b41e2407201cd04619b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat May 24 17:24:47 2025 +0200

    dialog: check for message struct before accessing the fields
    
    - for build_dlg_t_early()
    
    (cherry picked from commit 5c38b53b902949fa48c3bc60288514cd7c555d5b)

commit 761770e87b8f27bd8aa5dd46c23fa6dde3470749
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 23 13:16:53 2025 +0200

    pua_dialoginfo.c: fix condition for refresh_pubruri_avps_flag
    
    (cherry picked from commit 46548193144c0b8ab0bf2e3ecdfd7feb79bc3b2f)

commit 7fa5f5d94d81b7517b71963c4de475fa6753aa1e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu May 22 16:58:57 2025 +0200

    carrierroute: check pointer and length for str value
    
    (cherry picked from commit 423f46e6a68e241ef03f59f863ecf6dee92c07db)

commit 6974217dfd37a0097b4e27e2cb699296fa0a16c8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu May 15 22:49:07 2025 +0200

    tls: removed unnecessary code
    
    (cherry picked from commit 73dc08affb9d0a7a3f9ab83c24e01bada8958b2d)

commit 656256019c08727c352d62f35303c5f3e4dec358
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 14 07:39:32 2025 +0200

    pv_headers: compare the pvh_set_xavi() result with NULL
    
    (cherry picked from commit 87cfa9f3c5ae337dceb78654beb6fe4b00587993)

commit 3884d9d3661ca17d5eeb8f731bdff6696c982bd6
Author: Henning Westerholt <hw@gilawa.com>
Date:   Sat May 10 11:07:56 2025 +0000

    dialog: add missing documentation for optional limit parameter for list_match
    
    (cherry picked from commit c66d9f7298aa1d76d1905b3388e3e55023baa5ae)

commit 877ed19b937aafc4fcdcb39f3dd07feedd0e9832
Author: FelipeCuadra <f.cuadra@zaleos.net>
Date:   Fri Apr 4 10:22:27 2025 +0200

    stirshaken: removed repeated x509 certification path check
    
    - removed a second check of the x509 certificate path from the module, since it is already done earlier in the library and updated documentation
    
    (cherry picked from commit f007736ba18f5cc2114ffdd1e6df2b9b03808fe7)

commit c941b9aa680618b5a72e8adf1e5e77f61de2b2a4
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Apr 29 12:17:44 2025 +0000

    cdp: docs: Add missing list_peers function
    
    - Fix some typos
    - Remove unused section 7.2
    
    (cherry picked from commit 11275ccb94cdddfec49191eaf80b2bc2f083c284)

commit ff2a85e9021bb1991156ad0ad912d7ad93fef9f7
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Apr 29 12:18:23 2025 +0000

    cdp: Cast time_t and use 'L' (long long) identifier in rpc function.
    
    (cherry picked from commit 4e94572059d46b6bdd6726abfd52cb59793f5b03)

commit c8952f7e75b022d6319fd57acbc905c548d100fd
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Apr 29 14:58:00 2025 +0000

    core: docs - Update type identifiers that can be used in the RPC API
    
    - format as well
    
    (cherry picked from commit 9a8ab3199488f02bd01e39bb6e13ef192321b37c)

commit 9828b565e8646ab5ecebc128efb08a05a370351d
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue May 6 06:21:51 2025 +0800

    core: sdp - update start pointer only after len adjustment
    
    - len is adjusted first by the amount of chars consumed so far
    - start pointer is adjusted to start new search
    
    (cherry picked from commit c9fbf6f46898dbb2a8413a1c9d824a56241f2288)

commit e85f97cee22fcc234c1918687ff38b6b16626735
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 2 08:58:32 2025 +0200

    drouting: rework expression to prevent value overflow
    
    (cherry picked from commit eee4431447789b2fc614144064dd61b97570e8bf)

commit ce23c88d710d38c785a328949695b8caac9a92ed
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu May 1 20:53:56 2025 +0200

    pv_headers: proper pointer comparison for returned value
    
    (cherry picked from commit c2f36a2c4f83b0ea077722ae6cc2fcecfb3616c1)

commit 8ffc7f1e971e94e18facc000bf99084f69b1f400
Author: pepelux <pepeluxx@gmail.com>
Date:   Wed Apr 30 22:49:54 2025 +0200

    secfilter: fix table of contents index points [skip ci]
    
    (cherry picked from commit 4ade5f53c1f7f6eb7357b0561b67928e39a91b9f)

commit a1a65348974d7847af6637dedf31d926cd09cffd
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Apr 30 15:51:10 2025 +0200

    secfilter: add RPC del_* commands [skip ci]
    
    Related #4089
    
    (cherry picked from commit e87326297a30f2adeaa4936da4e1e30fa5a81dc8)

commit 6e4100e11f49c02a9e319aa2ab269e5476fa3b9e
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Apr 30 15:41:39 2025 +0200

    secfilter: add missing RPC del_wl command
    
    Related #4089
    
    (cherry picked from commit dca075fec723fa9d1d64997d6d5c0a992780c83c)

commit 4c96282bdf3445d4fc8f4bbeac7ebdc4a4b6e526
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 29 11:48:22 2025 +0200

    core: utils/tmrec - reworked bymonth matching for negative indexes
    
    - GH #4214
    
    (cherry picked from commit 2081b3aac394223b68b849fbac2a9e5ac4392334)

commit 2f05a38a11a80fe2f2617e8c219cc60dfb399273
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 29 09:21:37 2025 +0200

    core: utils/tmrec - decrement month for bymonth matching
    
    - struct tm uses 0-11, comparing with 1-12 in the date format
    - GH #4214
    
    (cherry picked from commit 8f1a8c50ff230a1fffdd6b376f172cabe9fe60e3)

commit cafa2e0d74ae6ca1a27ee6aa604ddfa0f9c7afa6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 28 11:15:58 2025 +0200

    smsops: use global buffer for getting pv sms body
    
    (cherry picked from commit 4a20f89185d82515e1ac55f8cf12eec332723fc0)

commit 7e2ed561c12c172d9f3d6ce1c7f13d44752eac40
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Apr 27 21:05:37 2025 +0200

    lib/ims: free before return on not finding the token
    
    (cherry picked from commit e0adeaa22ec64444773d75b0ef04fce19b44ef2b)

commit 5a9526f03b23bcc86f3983c5135e1c6d523ede8c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Apr 26 16:24:20 2025 +0200

    lost: clean allocated memory also for length 0
    
    (cherry picked from commit c8217350f44a9ab897e3acdffbce1eb2a57fe1a2)

commit 0bddbd8c1525d73ad990d5cf97f332f91b626057
Author: Paul Donald <newtwen+github@gmail.com>
Date:   Fri Apr 25 10:52:45 2025 +0200

    lib/srdb1: spell fixes
    
    - mainly setup(n) <-> set(v) up distinction
    
    (cherry picked from commit eefee7f917795bd4e6ffd049fbdfc0ebd166ab96)

commit 0b87a5492792741f6f9d2d3d95713c67bf0b751e
Author: Paul Donald <newtwen+github@gmail.com>
Date:   Fri Apr 25 10:51:53 2025 +0200

    pkg/kamailio/deb: spell fixes
    
    - mainly setup(n) <-> set(v) up distinction
    
    (cherry picked from commit cb55765834b24da779d381531d1bc70c56deee3f)

commit c01d4339ae199a5cbfb7c579d013f148dc6e3c48
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 25 10:50:04 2025 +0200

    core: spell fixes
    
    - mainly setup(n) <-> set(v) up distinction
    
    (cherry picked from commit 7dbb45a1a8d4a98f439054ace33f041f1758bd96)

commit 99ac7b807fb6aad46087897b89da7d2c413e7daa
Author: Paul Donald <newtwen+github@gmail.com>
Date:   Fri Apr 25 10:48:41 2025 +0200

    doc: spell fixes
    
    - mainly setup(n) <-> set(v) up distinction
    
    (cherry picked from commit c876f3f753cd48184bc1f11d6354a66cd7e6ccd3)

commit d53bb2348099619669d080511d8c2b9c22efed33
Author: Paul Donald <newtwen+github@gmail.com>
Date:   Fri Apr 25 10:48:01 2025 +0200

    kamctl: spell fixes
    
    (cherry picked from commit 92917b5d3e69798ddb64c8cc40d3c4aa77f9659c)

commit 9f09bb8b029f6f64dba64ed7b81d1e9d4fa71f41
Author: Paul Donald <newtwen+github@gmail.com>
Date:   Fri Apr 25 10:47:21 2025 +0200

    kamdbclt: version set to 6.0.0
    
    - spell fix
    
    (cherry picked from commit 607d713acfaadbb3b60ec1ba25c6eec101810c95)

commit a4c3c463d5658f91012a9ecb55eb8343395d0622
Author: Paul Donald <newtwen+github@gmail.com>
Date:   Fri Apr 25 10:46:44 2025 +0200

    kamctl: version set to 6.0.0
    
    (cherry picked from commit d54641a86656b782e3c8901c1c3ba6556248a4f5)

commit a18ea51273139bbc14efafe899aecfceafa0c9d4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 25 08:57:08 2025 +0200

    misc/examples/ims/pcscf: location renamed to pcscf_location
    
    - GH #4177
    - table has different name to avoid conflict with usrloc
    - pre-commit whitespaces fixes
    
    (cherry picked from commit dc269b336c863940514e538bc71a0ef3eb5961ff)

commit 17f763a892e62387d945dd3c94a9189d5a480963
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 24 20:51:21 2025 +0200

    sca: free in case of parse headers error
    
    (cherry picked from commit 6d658fe6c1af84368d093942356cf2b116ff17e5)

commit 705aa5bdb4e1412b8ee5c7a54031dd096c671925
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 23 21:04:08 2025 +0200

    jsonrpcs: reworked closing tcp socket
    
    (cherry picked from commit d965b9242b313cb19f75baac12786d202a9987eb)

commit 6da6f0e25a902ad89ea293b7fddd8cc11c3c16e6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 22 22:15:45 2025 +0200

    ims_isc: free allocated route in case of error
    
    (cherry picked from commit 76a72a0092272d0f0ca7cf3df22ad6d05a79e782)

commit 544866d63dcca50e47233ab878112f1d34b3d49d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 21 08:24:18 2025 +0200

    cdp: free in case of errors inside load_certificates()
    
    (cherry picked from commit 47aa53ebd55eba4b36c38329f8619d9f7d20c076)

commit 0b39a7359b8d7470168279e4ad1dd21d0c366087
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Apr 20 09:15:59 2025 +0200

    prefix_route: more debug messages
    
    - GH #4218
    
    (cherry picked from commit 5aee159c2881aff29a2973073e1dd6c5c61bfdb9)

commit 58a7e25ffcbca6b681c3d581e8322ceebc2efc26
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Apr 19 09:25:19 2025 +0200

    cfgutils: kemi export try/un/lock_key2() functions
    
    - different kemi functions cannot be exported with same name, even if
      they have different number of parameters
    - GH #4216
    
    (cherry picked from commit 204839ec9aeb0f31425732dd0a2e8e256481dae5)

commit 7c3475af29df1e5a7f2fe25a84d7450264e51e98
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 18 09:21:17 2025 +0200

    core: use ULL constant to induce value size
    
    (cherry picked from commit cb915a518106c49c2d71308396feee9ba5149e39)

commit 2ee3ce3efac5dd600cb74a427a63a3faf1791048
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 17 09:39:15 2025 +0200

    textops: simplify return code when removing via param
    
    (cherry picked from commit e9c519ad4d49b8c74069577edb84ce02a5e63ee0)

commit 039c877b8846043db9cef6a8024e68d25369cbc7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 16 08:31:10 2025 +0200

    microhttpd: warning on failing to add content-type
    
    (cherry picked from commit 2b331d95ae62eb0000a289e1bdb668ee7bc572cb)

commit 304ac169061d785e098b03bf3c49809d75b4300e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 14 21:19:08 2025 +0200

    nat_traversal: check result for searching port in contact uri
    
    (cherry picked from commit 91e9cba3d4e22851275167510b6d8a71bd9e11a1)

commit b4030094f1dedcc7977ab49be66fbea031e47f0d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Apr 13 22:22:21 2025 +0200

    lost: simplify freeing local variables on error
    
    - the helper function has conditions inside
    
    (cherry picked from commit 9f24f1109d6d491750c6feb19a9a6d0bcb674f90)

commit d8ffd03c81833ec33c532c79ef57b92c4975855c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Apr 12 17:24:11 2025 +0200

    lost: simplified lost_free_string()
    
    - removed unnecessary memset() for lost_copy_string()
    
    (cherry picked from commit 28efc7610d08ee0177b8b252316ba53686bf83bf)

commit 9b6fa2f9ee13b64edf90ab0e823397555d260ae3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Apr 12 17:18:23 2025 +0200

    lost: keep pointer to original geo value
    
    - triming can lose the start pointer and free is going to fail
    - init more local variables
    
    (cherry picked from commit f390a654ee9d2c2059669e0209926096c978ff11)

commit a8d291951b225415538d07208b8fb08ef48fc195
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Apr 12 16:43:30 2025 +0200

    lost: condition only on str pointer to free it
    
    - cover empty strings
    
    (cherry picked from commit 6b1008610861be62bd1b5f419f2cdd9bd2b23ffc)

commit 8bde7892f40349beb10953da23f0737fc92b618c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Apr 12 10:10:20 2025 +0200

    microhttpd: return on malloc failure
    
    (cherry picked from commit cdf0eda22f91f0d237e0ae0a9fc3ad292934fae1)

commit 4262016921e015153bfb61d47d33e993b9f24b64
Author: ngash <ngash@west.com>
Date:   Thu Apr 10 19:19:44 2025 +0100

    uac: fix memory corruption from shared tp being freed by another transaction
    
    - Shared memory corruption resulting in multiple process core dumps. Triggered by an outbound REGISTER receiving 401 for all requests which resulted in the shared tp being released in uac_resend_tm_callback whilst the current transaction was put on timer and also used after release and then re-released. In order to avoid sharing the tp I changed the code in uac_send_tm_callback to clone the existing tp. Also added a sanity check for null as tp could be released prior to a dereference of tp->event
    
    (cherry picked from commit d529b511b1ce722ceccf29dc006e92d45f1f340e)

commit 5fd7f980d6cbcc21b669d445887e768338b13aa6
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Mon Apr 7 15:26:17 2025 +0000

    tm: Update docs of fr_timer to match the implementation
    
    - Use description found in https://sip-router.org/wiki/ref_manual/timers
    
    (cherry picked from commit 1195252256858dc4419c179e5b72541018f5feab)

commit 9f8f0ebdd69de961a8e67245067a81df64ed715c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 7 13:18:02 2025 +0200

    snmpstats: mibs/KAMAILIO-MIB relocated DEFVAL after DESCRIPTION
    
    - follow better the definition specs
    - some tools complain otherwise
    
    (cherry picked from commit eff0a5d9b39b371c2fdea0378a1f52002cba1e7f)

commit c99eba2aa980b2c9a2769a6ddc6e16831d3e8ecd
Author: Mathias Schneuwly <mathias.schneuwly@ruag.ch>
Date:   Tue Mar 11 15:10:21 2025 +0000

    core: Include parameter skip_record in dns_cache_print_entry
    
    Extend the return value of dns_cache_print_entry with
    the parameter `rr_skip_record` for NAPTR records. The parameter
    `rr_skip_record` indicates, whether the NAPTR record is skipped
    due to issues reaching the destinations. Once a NAPTR record is
    marked as skipped, it will no longer be used.
    
    Reported by schneuwlym #4174
    
    (cherry picked from commit 1f4e6795502626865d10c83b3880e2985eb94787)

commit c0e60449ae0d35fd9e753d0da92c98c03e2a4494
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Wed Jun 18 07:41:34 2025 +0000

    dlgs: Fix spelling mistake
    
    (cherry picked from commit 994d4dfa9cd284f63092543400a5ed82b746a758)

commit 0637ca7e0b7795c33ab9f230c0eee65d6ea80e8d
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Mon Jun 16 14:32:39 2025 +0000

    tmx: Update to use new tm FLAG for CANCEL
    
    (cherry picked from commit caad49279e6db7e85e3f2b84276f9defb0aa4eef)

commit c3160efc9b4af01d8e2997fdc6cb168838f76ba9
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Mon Jun 16 14:32:27 2025 +0000

    rtp_media_server: Update to use new tm FLAG for CANCEL
    
    (cherry picked from commit fc5f804ad92593f74110a9392d63384e04fed218)

commit 5d82b77ad9852d8d584edef97ec11e16879a1fd6
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Mon Jun 16 14:32:10 2025 +0000

    dialog: Update to use new tm FLAG for CANCEL
    
    (cherry picked from commit 9740f5ea7ee0b9827cf3e113bc1c458f72b8cbf7)

commit 835a3b60607db381b3941b308f00c0469fcaf021
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Mon Jun 16 14:20:02 2025 +0000

    tm: Generate local_request for CANCEL only if locally initiated
    
    - Introduce new flag F_CANCEL_LOCAL
    
    (cherry picked from commit 49ffcebdf6cbf8ce2e4e2e55d9197b906f74ff95)

commit 7bbf2cc6f2ee947c33d1b6a2495ba210f43b663c
Author: Torrey Searle <torrey.searle@wavecrest.com>
Date:   Tue Jun 10 14:41:26 2025 +0200

    tm: fix compile warning in uac.c
    
    fix compile warning introduced by #4250

commit c020f76b231d554545e14ed1f4e543b942ea769b
Author: tsearle <torrey.searle@wavecrest.com>
Date:   Tue Jun 10 13:05:06 2025 +0200

    tm: invoke tm:local-request on generated ACK messages (#4250)

commit 53f721cf7169e163ceab5113ca3296683b88921e
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Wed May 21 12:25:04 2025 +0000

    rtpengine: Add check for skipping pings on manually disabled nodes.
    
    - Add debug log when trying to ping a node.
    
    (cherry picked from commit 3202dc9d8e26620fe642e474e5cf8632ab6bc3a7)

commit a37a57c2b4db73b4963d3af5e733ea8fe5c5833d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 5 13:07:59 2025 +0200

    dialog: bump cseq for generated byes also for caller side
    
    - do it always, they are the last requests within dialog
    
    (cherry picked from commit 43e64af9bade5fedf34e847f662b97ce94c041bc)

commit b293f20620c3396130f6409ddf30b69499bb482f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 5 11:32:04 2025 +0200

    dialog: set cseq is_set for keepalive
    
    (cherry picked from commit b5d4c20172bdcaf0e63b15b4e23d205125398a42)

commit 21c944e4a8c04d6f1a4c66897021e01a5ea6f22b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 5 16:48:21 2025 +0200

    core: sdp - removed invalid condition
    
    - introduced in commit 3198b66
    - GH #4229
    
    (cherry picked from commit 444fef809c21b250402cfdbd48de65926ac6286a)

commit 14de4b1101f62c3463e5f05836e8618a3b0db96b
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu May 22 09:04:51 2025 +0200

    sca: reserve subscription.rr.s separately since it could be updated
    
    (cherry picked from commit fd04bcc152dd6ef88fbb819b0b77aee7ca817878)

commit e3b1220b375b48f16ae361cfe592e8c1bd8e7649
Author: Torrey Searle <torrey.searle@wavecrest.com>
Date:   Wed May 7 10:44:57 2025 +0200

    rtpengine: improve compatibility of rtpengine per call leg stats parsing
    
    not all versions of rtpengine sends a key SSRC per stream.  For those that do not
    the same information can be found in ingress SSRCs.  Add logic to check for the
    SSRC value there if the SSRC key is not present.
    
    (cherry picked from commit 992ee3df02148a940c255b8be7eb9d8e63465834)

commit be2fae4075fc23582356e416e1bdbb475d837eda
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Apr 22 02:01:20 2025 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 265e0f78bd0ecf34c0356ad4ffe8a9d9cf4a9594
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Apr 17 09:15:49 2025 +0800

    app_python3s: update docs for threads_mode parameter
    
    (cherry picked from commit fcedbd7099a15e09d1dd21c933f3ebfe3c55f5c5)

commit 5406da9cf265f6dc80beeb9bea642bf8dd87be32
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Apr 17 09:15:37 2025 +0800

    app_python3: update docs for threads_mode parameter
    
    (cherry picked from commit 168d289ebd6daadf58199f4461ef7cd30dc7442a)

commit 9e8e6efc812795498d6d540c9f4afcae30965e35
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Wed Apr 16 12:56:44 2025 +0800

    app_python3s: fix threads_mode = 1
    
    - fixes gh #4153
    - commit 62b4ee4: incorrect use of thread-local storage
        to save python thread state
    
    (cherry picked from commit 779cb229ba9a693ac241f4b359c596c0ed46bb7b)

commit 24b095d86ae3288dac2e703dc865f9b43a7c40c6
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Wed Apr 16 12:51:12 2025 +0800

    app_python3: fix threads_mode = 1
    
    - fixes gh #4153
    - commit 0ffe157: incorrect use of thread-local storage
        to save python thread state
    
    (cherry picked from commit 9c746b26bf7ecb4922f445318de7756d21e0d041)

commit 0f5d7744976cabdd1ddac0371fadaf22ee19c636
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Apr 11 15:01:17 2025 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit a68d952de5d6a5d91202176877730d53f9c2c580
Author: Lyubomir Yatanski <lyubomir.yatanski@flolive.net>
Date:   Thu Mar 6 14:56:20 2025 +0200

    ims_registrar_scscf: fix reg_fetch_contacts call
    
    The implementation of reg_fetch_contacts was hard-coded to empty result.
    The fix:
    - adds iteration over contacts and
    - adds impi to the ulc variable
    - improve documentation
      in the documentation $ulc variable is referred with misleading name
      cleanup the $imssulc mentions to avoid confusion
    
    (cherry picked from commit 9caf655c51d5a846fa944bb866e3abadeb8b799c)

commit 91cc4a6af20911e96ccc8d88edd1c43c636b3ee2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 9 08:28:22 2025 +0200

    tm: debug message instead of error log
    
    (cherry picked from commit d5cbcfad6e4227b198c90a57ed9a9d7883e7d911)

commit bc5e32c9ba1a4da6cd9dd85098f3576d2c0dc4bc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 8 17:33:14 2025 +0200

    tm: mode details in log message
    
    (cherry picked from commit 9788fe9d2241fb85e6d78578689d6694161bc5a1)

commit d3d62bde97a86faa7dd1189bf10b697f28d84a63
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 1 19:38:01 2025 +0200

    parser/sdp: check if value is exceeded when looking for o= version field
    
    (cherry picked from commit c532a67db654efb21f81e058b7e3a86229766a40)

commit 0b48c889623a19ed223c252ada049cabebee45f2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 28 08:15:13 2025 +0100

    core: allow route(...) usage inside onsend_route block
    
    - GH #4130
    
    (cherry picked from commit 6343713bcc91a499c772fc6f548597693f220c35)

commit 70a26690c00c18086dad440abe64268e7270802b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 25 18:37:44 2025 +0100

    uid_domain: rename internal is_local() to avoid duplicates
    
    (cherry picked from commit 7cc9a1979a2594f4b19d6750cffb2795b3274ede)

commit 202e8bd38692ec8ed97c218fd0517d9655dcb7df
Author: Boris Korzun <drtr0jan@yandex.ru>
Date:   Wed Mar 5 23:37:12 2025 +0300

    sipt: KEMI support
    
    - GH #3264
    
    (cherry picked from commit 522fa2fabe1d4ec8fe53a25b2af95cbf8031cbad)

commit a0c724ff720d71fd9e6c5d5988c3cd59e76bc8ab
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Wed Apr 9 07:45:35 2025 +0200

    dlgs: fix dlgs_rpc_briefing
    
    (cherry picked from commit b856d90b1e63308f23c4510edecc1159d41bfa4e)

commit 5d740aa865561a9b7d36fd43647fbc4c4b76cfc1
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Apr 8 14:31:21 2025 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 6c55de3be8ff537dc2d3ba0169b26917c5765094
Author: Henning Westerholt <hw@gilawa.com>
Date:   Tue Apr 8 12:29:29 2025 +0000

    cdp: document library dependencies
    
    (cherry picked from commit 72579affd6751c096a7f6457b5f0b245be8f3389)

commit ecb00946bf684b4c8405d71fe9306d35aba21359
Author: Alessio Garzi <agarzi@sipwise.com>
Date:   Mon Mar 24 12:52:29 2025 +0100

    fix typo on sanity checks module
    
    (cherry picked from commit 3b48fff143b49f16b328475a7b26017209e98666)

commit 00544a66aad09faf345d54bef7f464f2749ef548
Author: JoÃ£o Capucho <capucho@jcapucho.com>
Date:   Thu Mar 6 02:50:12 2025 +0000

    pua_reginfo: handle_notify - fix AoR key parsing
    
    - The AoR key generated by handle_notify no longer includes the domain
      of the AoR when usrloc use_domain isn't enabled
    
    (cherry picked from commit b7e16294ae1bbfe8cc469facf59fc9e3960ff2a4)

commit f24315c2bc4ec7b9507516a96603e91ae2ce0fd1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 17 09:15:39 2025 +0100

    microhttpd: handle all incoming body data
    
    - GH #4176
    
    (cherry picked from commit 96392eda8fac1cb075e7f407c0155085acc92c5f)

commit f761cad5b462820af060d6e07410f0dd84c1a52f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Mar 16 08:50:52 2025 +0100

    microhttpd: create response with MHD_RESPMEM_MUST_COPY flag
    
    (cherry picked from commit 1569a7b71af26f5b3cb7cb25de7d2425c75f5587)

commit 813d3ed6a532cc0baa98d27ef9eea579e5ca1688
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Mar 15 20:27:22 2025 +0100

    microhttpd: debug message for http response queue
    
    (cherry picked from commit 7a793a257b12f946e54bca3d3d92b6c07602fb20)

commit b3cb2b38c5d81c48b0b6315cb7feb99d236d15e3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 12 11:20:11 2025 +0100

    tls: get wss connections as well for selects and vars
    
    - GH #4167
    
    (cherry picked from commit 3a3856c68cf0cc04385921f8bbec72420cf8f656)

commit 0cbf7eede6dbd3198664160b77d1b4d0337833b8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 12 11:07:15 2025 +0100

    dialog: enforce second bye towards callee for dlg_bye()
    
    - GH #4169
    
    (cherry picked from commit 7de1693573fc08e54db1955095d66c495b2051b9)

commit e4781f256cc0fbfc8ad4b4345934da7c8899b47e
Author: Lyubomir Yatanski <lyubomir.yatanski@flolive.net>
Date:   Tue Mar 4 10:48:47 2025 +0200

    cdp: fix cmake build
    
    - fix runtime Error relocating cdp.so: TLS_client_method: symbol not found
      when building with cmake
    
    (cherry picked from commit ba13699faba8938ff547a34af9f05631d0b8a9cd)

commit 5807e268169d251780b09c526c3cf33404314485
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Mar 12 23:16:16 2025 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit f86649b48483a69327fe4a2ffc66886eab28f07d
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Mar 12 23:09:16 2025 +0100

    presence_dfks: add missing definition
    
    (cherry picked from commit fb00af35fa36120491c85d47d3e71b5c6c22a2db)

commit 394437f499c487c364d9e82a49367202b2aeb435
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Mar 12 22:34:50 2025 +0100

    presence_dfks: fix list format on docs [skip ci]
    
    (cherry picked from commit 0dd0d00e935d1cc74eb5c2bcec8119ed572e324d)

commit 2b3dd3b477afef88421377b703aefe217b9e915b
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Mar 11 13:22:38 2025 +0100

    core: fix NAPTR dns cache print
    
    fix #4173
    
    (cherry picked from commit df1eff2a52d0670900ee5bf15f2e7a2cd4d74da0)

commit b686ca7466df403512191384cc8322333a9ebcdc
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Feb 11 01:35:56 2025 +0100

    utils/kamcmd: cmake fix on custom command

commit 5b2758c2d390c2a735de1026c7cfaf6e8aae4480
Author: drTr0jan <drtr0jan@yandex.ru>
Date:   Mon Feb 24 22:19:35 2025 +0300

    sctp: cmake - search for libsctp on linux only
    
    (cherry picked from commit 41b2cba74a9fff204b2cc671670073d008b3c6b1)

commit 3c5e7b5031951870457f5e3b96b1449b1c1d9613
Author: drTr0jan <drtr0jan@yandex.ru>
Date:   Mon Feb 24 22:20:50 2025 +0300

    dialplan: cmake - add pcre2
    
    (cherry picked from commit 1f3b45056caf298062c6fbe683660ac6c158331a)


===================== 2025-03-10 Version 6.0.1 Released =====================

===================== Changes Since Version 6.0.0 ===========================

commit 07f5a5e36ccc07f379ec791a4e0d8df71fb628fb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 10 08:20:45 2025 +0100

    Makefile.defs: version set to 6.0.1

commit d39e14f995efda18fc43b38107356fdc2372a7ae
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 10 08:19:00 2025 +0100

    pkg/kamailio/deb: set version to 6.0.1

commit 544cd04b8603d3e1bd89cf634fd8f686394a1d6d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 10 08:18:06 2025 +0100

    pkg/kamailio: version set 6.0.1 for rpms and alpine

commit 141b489a39b138d95be50237d32c8b8104a281e8
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Mar 10 08:16:17 2025 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit 9ccaad23961dba1fd34f46168cfad0fddbd2bac3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 5 10:29:20 2025 +0100

    app_python3s: docs for threads_mode parameter
    
    (cherry picked from commit 9ee8f9624a00474ed3c9fbd60169abdffd0543a0)

commit 5624c5cf530c92376811e2fefbfd91588fe13a3d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 5 09:33:32 2025 +0100

    app_python3: added threads_mode parameter
    
    - control how python interpreter threading is done
    - GH #4153
    
    (cherry picked from commit db7a19a82605076e09224e07645e436f1e166ce8)

commit f07bc9ef61b9eaecb528e57ee0228d0e690f16af
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Mar 4 17:46:19 2025 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit 6e58d6b7831bfcfbd28835c673697ae8d530c6f5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 4 13:37:27 2025 +0100

    app_python3s: docs for threads_mode parameter
    
    (cherry picked from commit 445af28bef2d0874254b3e4c8224b3c1e7329d62)

commit f6b717a90202b4fe099a36f37fcf1a66530a84ef
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 4 13:29:23 2025 +0100

    app_python3s: added threads_mode parameter
    
    - control how python interpreter threading is done
    - GH #4153
    
    (cherry picked from commit df8eb5460924b68919ee35fe8df3afeecdbbf714)

commit 83e0e5ea61eb4287d88b1341021eaa7de59c6742
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 28 19:30:04 2025 +0100

    auth: docs - extended example for auth_algorithm()
    
    (cherry picked from commit 38544a774d92c86065709888d07c5b4f5bd013c5)

commit 64350f8e6bb999971cf162470f7720fd05e67aad
Author: drTr0jan <drtr0jan@yandex.ru>
Date:   Sun Feb 23 01:45:36 2025 +0300

    lib/ims: libxml2 is not needed - removed from cmake
    
    (cherry picked from commit 11a609d06b527470c535a20866c48cafdedcb820)

commit c883d30934815e0dba0ae35538a636ae2edfcb28
Author: Henning Westerholt <hw@gilawa.com>
Date:   Tue Feb 25 10:37:34 2025 +0000

    misc/examples: update default webrtc cfg to current main kamailio.cfg state
    
    (cherry picked from commit 29e51c139725a58b2cbe9cfe409a1c62b3904a3e)

commit 4aa5804db1e8458ae639c8db20e8ededd26d3d56
Author: Henning Westerholt <hw@gilawa.com>
Date:   Tue Feb 25 10:32:40 2025 +0000

    kamailio.cfg: small whitespace indention fix
    
    (cherry picked from commit 3b28e0151d15e7883c0ce81e63851fd9952dd2db)

commit 2e8f3eb6cc280661acc5c904d6ab915bef2d389c
Author: Henning Westerholt <hw@gilawa.com>
Date:   Tue Feb 25 09:29:37 2025 +0000

    kamailio.cfg: small whitespace indention fix, spelling fix
    
    (cherry picked from commit 4f573561797b297131464699bd1ed6f0b5d7ed75)

commit fb2109db4bfcf0239d7ae8aa99c5eaab27d58085
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Feb 24 12:30:26 2025 +0100

    ims_dialog: right timer function prototype for print_all_dlgs()
    
    (cherry picked from commit 6cdbaa1815bdcadc467f36109c6e3a7d00c344f5)

commit ed21e7c97677572d732fa1020528fe92f3a9ee35
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Feb 24 09:57:38 2025 +0100

    sl: stats for 1xx replies
    
    - GH #4144
    
    (cherry picked from commit f43c132db9b1dc71f623d592fb46d487ba492c7d)

commit c20ad4abaec2632acfa069a73b1c0b195ccb8334
Author: Dennis Yurasov <dennis-y@yandex-team.ru>
Date:   Fri Feb 21 10:42:58 2025 +0100

    dialog: fixed DLG_FLAG_CHANGED_PROF value and setting DLG_FLAG_DEL
    
    - GH #4151
    
    (cherry picked from commit 2b1ca7813cf5014553c807c1a5034c404b3685a5)

commit ea0fc8e213f6703d87a000216a2cc18764732fce
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 21 10:35:22 2025 +0100

    dialog: get vars via value instead of reference for kemi functions
    
    - do lock/unlock
    - GH #4151
    
    (cherry picked from commit 3b213f1d008656682f1733d59f6c3bacd474c4b9)

commit 081c5e4167753a77ce5c036e3bf61e3289fcd176
Author: Stefan Mititelu <stefan.mititelu@net2phone.com>
Date:   Tue Jan 28 13:52:40 2025 +0200

    topos_htable: fix xtag and add more snprintf checks
    
    (cherry picked from commit e0e0884627609804661082a1235f87a7bbb5e67a)

commit a8b8484dc2cc18954c56438e5f2450734b43906b
Author: Stefan Mititelu <stefan.mititelu@net2phone.com>
Date:   Tue Feb 18 16:46:55 2025 +0200

    dispatcher: skip ping for DS_NODNSARES_DST
    
    (cherry picked from commit 5f29b4491634c360ade5691977d622617ae014ad)

commit 61d577341b86b2d76c5849f60f2bbc6b783c9916
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Feb 19 19:26:10 2025 +0100

    acc: avoid local variable hides global variable
    
    (cherry picked from commit ccf33100c1eba5dcd9494f1558ff03703fb8e7bf)

commit 04989c2e1c65ee46f411f58c874fe181eec60c66
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Feb 19 19:22:52 2025 +0100

    db_cfg: avoid local variable hides global variable
    
    (cherry picked from commit b019dbc5dc88a58a50a3d272a30e6a1aa3b174c0)

commit f8b7dedc7e8d0535b737cd5dfcf2fe2e33c527d0
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Feb 19 19:17:38 2025 +0100

    db2_ops: avoid local variable hides global variable
    
    (cherry picked from commit 79120639521f61d2b95a3be5f0faf8018afbd91c)

commit 3b1e00e8f70ebef0b386b10d8d510ae800cc1de0
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Feb 19 18:53:58 2025 +0100

    p_usrloc: avoid local variable hides global variable
    
    (cherry picked from commit c626bef15034fd6ff2e3eb3388ff0d73bf1557c4)

commit 914cc65f48333cd8df92650321228c4b874f6abd
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Feb 19 18:51:05 2025 +0100

    pv_headers: avoid local variable hides global variable
    
    (cherry picked from commit 1c302265c0fbf2083741fdbabfab8b922a00b8bc)

commit 5579fd3ca41d32f25a6dc69e2761bea350f9eefb
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Feb 19 18:49:06 2025 +0100

    sipcapture: avoid local variable hides global variable
    
    (cherry picked from commit 4963f0af2f27e3e5164f54ec9b5c8713e911f1db)

commit d62aac91f062984f215532292775909af0a255f5
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Feb 19 18:47:40 2025 +0100

    xhttp_rpc: avoid local variable hides global variable
    
    (cherry picked from commit b38fbe7ab4988f916ed0dd4156c732e615980150)

commit a786e4b5a910fef1b3472354bb112fb36605a4aa
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Feb 19 18:36:52 2025 +0100

    mediaproxy: avoid local variable hides global variable
    
    (cherry picked from commit 288010b92cd86e2210c079cbd00bf11536e0b0cb)

commit 3746f3f2c86a7a085f4abcd1c67c468031b6cd9b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Feb 18 13:21:25 2025 +0100

    etc/kamailio.cfg: use send_reply_error() instead of sl_reply_error()
    
    (cherry picked from commit 6a7c8c232132078b97bd3023efaed30f369cfe63)

commit d18e367da12c85bd7a87a706d1f231f3119365a9
Author: Stefan Mititelu <stefan.mititelu@net2phone.com>
Date:   Thu Feb 6 17:41:40 2025 +0200

    kafka: Fix mod_destroy() crash
    
    A crash happened on mod_destroy() due to librdkafka thrd_join(), in case
    of multiple restarts, in case of ssl kafka connection.
    
    Init kafka only for timer and routing processes.
    Add checks for rk pointer.
    
    (cherry picked from commit 10012eeb17210ea7eb9549dc71be5af7e92b4a97)

commit 0c09b213cbd0a8b12128fa4fb16c01907684b0a6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Feb 16 12:06:57 2025 +0100

    dialog: set keepalive local cseq value to 0
    
    (cherry picked from commit 5d3ae2acfab38eda88c6369c0db18a286faba2e3)

commit be47356fda7ee3862f335fd5b192e54c33dfe85c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Feb 16 10:36:57 2025 +0100

    core: socket info - print index values in error message for overflow
    
    (cherry picked from commit 413c90202975886f4dfcb579a1157a19c3065341)

commit dddb8b0c99f2822be5fff2693a105b391480bc77
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Feb 16 10:23:18 2025 +0100

    registrar: remove unnecessary condition
    
    (cherry picked from commit 6b7af1beb7fdaaec1b5d069fdfff3e3af5ca43ca)

commit 21943c8bc2df36e818ff79256ccda99b98ade0b9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Feb 16 10:19:53 2025 +0100

    ims_auth: restructured function to avoid unnecessary condition
    
    (cherry picked from commit bf0cb8dd85c38c00435bfe6591b4b39b717b743c)

commit c59d29abbdc65784ea6fbe6eb237dbadd3fb370d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Feb 15 15:28:35 2025 +0100

    db_redis: clean the keyname variable
    
    (cherry picked from commit aae4cb323d4ea9d07b4b8aec61a6c9bc03e2ab83)

commit a6e99ff231ca5a42bd053d3a8f2f9d02682ab07d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 14 12:38:04 2025 +0100

    tsilo: free duplicated ruri and contact on error cases
    
    (cherry picked from commit d029de6380f8e30e0c82435b820744c21a5fbc78)

commit 975d3449ae01a9078009772e0e1b86c9a996d982
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 14 12:23:39 2025 +0100

    dlgs: return -1 for 0 tags count
    
    (cherry picked from commit 6a2a82555ee8bbfaca1e825c19d1532f22c2c629)

commit 7274e353d7c05f5387c64aaf90197c9a8e8d1dd4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 14 12:17:23 2025 +0100

    http_client: free dumplicated name in case of errors
    
    (cherry picked from commit 39ba53a2499dd1f0e080bb011d7438a60ea5faec)

commit 44764414c48fed1b90580cf62dd33e975f1f7ecd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 14 12:03:57 2025 +0100

    call_control: free pv field in case of error
    
    (cherry picked from commit 8a96379cc1ef7aa42bc4be49834c538a3bffdf14)

commit 47162f64626904ae799f8c47e4bc4ce9b6747f4f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 14 11:55:53 2025 +0100

    sdpops: check the limit for computed rtcp port
    
    (cherry picked from commit 34743f40056e230e6c6d1ae6bf72e369b6f6890f)

commit c8acc1f6e5441fd4514c2b7ead1e2bbe441f7895
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 14 11:39:11 2025 +0100

    sca: free replaces hdr on anchor lump failure
    
    (cherry picked from commit 01782191418f3d65c4aa5cb273140fec928d153a)

commit 1887dfcbd930c6f1757fe5fe691f52c3502d1824
Author: Gustavo Almeida <gustavo.abcdef@hotmail.com>
Date:   Wed Feb 12 18:54:20 2025 +0000

    ims_registrar_pcscf: Fix CentOS 7 Build
    
    - ims_registrar_pcscf: Fix non C99 compliant code
    
    (cherry picked from commit e458ca15a4ca30448ea9aae20a93eb86e2ce92c0)

commit 528b6e9805c23883a19e959475a566fddd41b349
Author: Gustavo Almeida <gustavo.abcdef@hotmail.com>
Date:   Wed Feb 12 18:52:16 2025 +0000

    ims_auth: Fix CentOS 7 Build
    
    - ims_auth: Fix non C99 compliant code
    
    (cherry picked from commit 7a65b3ce11a3afc0f5be47f61235166cb8938c78)

commit 8991e340e9eb26a3aba3333b4868a5e5b0057625
Author: Gustavo Almeida <gustavo.abcdef@hotmail.com>
Date:   Wed Feb 12 17:45:47 2025 +0000

    ims_auth: Fix CentOS 7 Build
    
    ims_auth: Fix non C99 compliant code
    
    (cherry picked from commit 2349e4088d3fd454b74de15dfcb9a3e19fc03663)

commit 6d06293f3fe1c5897a3e01272fdc9ac409925f3d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 14 10:16:00 2025 +0100

    xmlrpc: removed unnecessary code
    
    (cherry picked from commit e65b03cdd946d735a3ef33ae3582bcfad464d2c7)

commit 691eb2600c1fcf24d0d1f9b2648e7257499537a8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 14 08:37:23 2025 +0100

    ctl: refactored error handling and removed unnecessary code
    
    (cherry picked from commit edbb5b11e9453be3519e6e9a945937307c95709e)

commit 7310f99a85bb3cc581c1747ef0ac151228554a79
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 11:58:21 2025 +0100

    pv: free buf uri in case of error setting xto attr
    
    (cherry picked from commit a6d692be4283dc349c38b455ee71c4e21dcef6aa)

commit 8b7637140c5362bf90046ccb3b34ea74ef658c0a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 11:45:06 2025 +0100

    pv: free next field on error when parsing xav* names
    
    (cherry picked from commit b875e7368dcc8e221007caafa3599c3e354404f7)

commit c7a4dd132478ff2d5f46c85594a44fee9c570f6d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 11:01:20 2025 +0100

    topoh: check on pointer only for via decode return
    
    - code reformatted
    
    (cherry picked from commit d0cd3c4b40fd791143122622a6d74703e1375832)

commit d0df1eef55cd9bb0bca2b0db007d94dbe4e8e95c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 10:50:32 2025 +0100

    tm: rpc uac - jump to error when failing to create delayed context
    
    (cherry picked from commit aa081dbd1ee1901c6174ffddd556bda47b6ef732)

commit d505c876c534cc4a4b8aff5ef1b5e28b151d8d06
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 10:42:27 2025 +0100

    tm: jump to error when failing to built content length for uac cancel
    
    (cherry picked from commit 27e1e9102f07047a3d2c2f28baa708f14be556a6)

commit a5576fb3476e327ef10135a85cf20f2e720803db
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 10:32:51 2025 +0100

    tm: split reverse rte list function
    
    (cherry picked from commit e85d07e5b42ff25f81b74f68ab412e0ab27e7170)

commit de5986433283b2fcff09b064420d43327270d390
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 09:48:33 2025 +0100

    xprint: break on first resolved ip address
    
    (cherry picked from commit 7c908137826071b8180bd93ff8ba3994be66da3a)

commit c68522f5c3c59cb915feb873bd3351e57a8db579
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 09:43:43 2025 +0100

    ctl: fifo - clean intermediary buffer
    
    (cherry picked from commit 4c4d7f7967a99d4dd4acdc5e198bce493bf15d67)

commit e1398e53e9825db6c20590e1576d960ac0c3c429
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 09:40:00 2025 +0100

    xmlrpc: clean allocated buffer
    
    (cherry picked from commit ff712539566c903312ebba2f8e2585f9c80ffdcf)

commit cf3b3849cb2a3c4060281377e2adee09de5d47d9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 09:18:00 2025 +0100

    xprint: init globals when declared
    
    (cherry picked from commit b17038ec072b1854fa2fae1c2d4725c1471ef8ac)

commit 5024235f876df4b3239ef746de700ade362cc7b2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 12 17:48:42 2025 +0100

    ctl: free rpc struct in case of error
    
    (cherry picked from commit 4a71d3c9e6a4f92ef33ce8e62372b2c4dba62a56)

commit 85cf965d1a298f8c12064fd4f9790d00e065edc7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Feb 11 15:27:26 2025 +0100

    db_sqlite: added prefix to internal helper function
    
    (cherry picked from commit f37940b9a113ab79611f851334af7f8fbb7b3f6a)

commit eee79e2a4650e1362ca460f3c329d5bf90a588a1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Feb 11 15:26:27 2025 +0100

    ims_registrar_scscf: updates for lib/ims macro names
    
    (cherry picked from commit 3fb1d7832006d290ee1c2e15ea1e731dc0768b5f)

commit 20cda1f11d6f20143a1271b3db9cf3836a2a0c02
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Feb 11 15:25:30 2025 +0100

    ims_qos_npn: updates for lib/ims macro names
    
    (cherry picked from commit b9c36860fc8a91fc6c73b456ff64b6191f61813b)

commit d06d5e143e2586e0075c0c580f79f29bd3d32939
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Feb 11 15:24:20 2025 +0100

    ims_charging: updates for lib/ims macro names
    
    (cherry picked from commit f1abcba4eeabccf96a8d16c2e63a47b27db62f88)

commit 0b42dcb9997dac347f007742f8936e81b6aa185c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Feb 11 15:23:34 2025 +0100

    lib/ims: renamed specific macros with pretty generic name
    
    (cherry picked from commit c45c71164ed40e06cdfab4ceda292d29d2d1459f)

commit 718692c6d402b6942e0b1e8ebd8e64b306813495
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Feb 11 12:41:26 2025 +0100

    core: check for unexpected long value return by pathconf()
    
    (cherry picked from commit 2ba6d4ff2727031e7bca5d3d1da016bfe508b8df)

commit ac0a4a5052e9aaf6531130675c8140fdd5c11e97
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Feb 11 11:30:34 2025 +0100

    core: pass fd - check for unexpected read size overflow
    
    (cherry picked from commit 6c12477f1dad2279431d703d1a4f63fcfc6543b8)

commit f1549b99a69bf0dec4aad564afa1d6e328621752
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Feb 11 10:25:34 2025 +0100

    tsilo: clean allocated memory on error for append by contact
    
    (cherry picked from commit 6fb38cb33095c11a1c90d7b88140ac159b9fd5ca)

commit 086d228b29ab414a65521da78695786a979ef754
Author: pepelux <pepeluxx@gmail.com>
Date:   Fri Feb 7 19:08:56 2025 +0100

    secfilter: fix secf_check_dst bug
    
    (cherry picked from commit 578c2abb36b9101bfc1dddc1505f7239e928b98e)

commit 626d9d823690dce4557deeaa2d6247082f1ebc02
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 6 08:26:22 2025 +0100

    nghttp2: check return for setsockopt TCP_NODELAY
    
    (cherry picked from commit ad8f017b38e90746790ec9789f01abe6fab46e1b)

commit 8d1b0139f3a62651f7f0dac6944b6e19e380b9fb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 6 08:15:58 2025 +0100

    ims_auth: amf passed as parameter to resync local auth vector
    
    (cherry picked from commit 6e76452c11189620663da84f879400575c673792)

commit eed2ccbb658b28433e71a95e9715934aa64c4cfb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 6 08:07:46 2025 +0100

    core: socket info - use unsigned for current size in buffer for get flags
    
    (cherry picked from commit 462f9730eb55a3abbd50b9170eb6318eb43eb999)

commit 89afe1e7bd4bdf9a4ad505ecd260b502cf7daa4b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 5 16:44:49 2025 +0100

    ims_isc: check return for parsing headers and anchor lump
    
    (cherry picked from commit efce6e76ba20f7b02101fb2f44cb149b609f4bef)

commit a88946a84133660d5b2a466a231dff226c9db995
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 5 13:30:17 2025 +0100

    textops: catch return 0 when removing via param
    
    (cherry picked from commit 65645c761e94cedde04f100764d5c506590cb200)

commit b6fd791f533be6b044b0c18e44c36f7f8e3f5baa
Author: Kaufman <bkaufman@bcmone.com>
Date:   Fri Jan 31 13:52:37 2025 -0600

    nghttp2: compilation with gcc 14
    
    - Explicitly include nghttp2.h file GH #4135
    
    (cherry picked from commit 1e5a91be57de02beedbd2b3b03031647b51eb7b6)

commit 703b3244a5a6fabc219d5772694584dd884b6fcf
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Feb 4 12:04:39 2025 +0100

    topos_htable: use the xtag also for base64 key
    
    (cherry picked from commit 88b96d717be2a66a9351c01c861408743be40fc4)

commit 4ff58bb3e02b76e2489144867c8b0dc5041dc621
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Feb 4 08:05:28 2025 +0100

    msrp: send failure response after referening the buffer
    
    (cherry picked from commit 5f8adb625b6bae81ef44613d774106bf3a943bb0)

commit 9d3392a55831124121b078201985c417c9f9982d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Feb 3 13:36:10 2025 +0100

    core: mem f malloc - additional check when getting to search very big fragments
    
    (cherry picked from commit ac909a7a019922676076bc47a28a3801c749becc)

commit c29d9d661b3954906cdee7e98a4f9b6502673490
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Feb 1 07:40:11 2025 +0100

    msrp: variable for extra headers used in local replies
    
    (cherry picked from commit 7a73e08b0e5b4c3fbeb4f097c1f891d06c74651d)

commit 921acc45d7f9f96b15b801e270a9377ab29a1221
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 31 09:20:36 2025 +0100

    pv: small reworking of pointer conditions
    
    (cherry picked from commit 478310c56f0eb060c5f31b2ee8febbb6204d37e7)

commit 3ba48f9a83284f629654c0030f6f55699d6c4edb
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Wed Jan 29 01:29:56 2025 +0000

    db_oracle: fix db_oracle build for oracle 18.3.0.0.0
    
    (cherry picked from commit 77ce71fcd4cfb6f0f86313d95341e4abd0031b2c)

commit 60004b02856ebe03b1fc84b74ee8fb663bec61d3
Author: Kaufman <bkaufman@bcmone.com>
Date:   Thu Jan 30 14:03:26 2025 -0600

    pkg/kamailio/alpine:  Add new modules
    
    - Add missing modules to alpine packages as listed in GH #4131
    
    (cherry picked from commit f07d8ea527883009fece7fd2a1c61d0a90a0c660)

commit c8be39750902ad69818f8247898070fce2d6a3a3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 30 11:32:53 2025 +0100

    seas: remove redundant check
    
    (cherry picked from commit ab1b032771be9adbb1d643cd44beac0e09a31553)


===================== 2025-01-29 Version 6.0.0 Released =====================

===================== Changes Since Version 5.8.0 ===========================

commit 8197ca2cbfc168f3ee6e2bf92b0619253a47f8b1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 29 11:57:25 2025 +0100

    Makefile.defs: version set to 6.0.0

commit 51efe48de9ccff7d6e38a4b0a1f139bad94591b6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 29 11:51:28 2025 +0100

    pkg/kamailio: version set 6.0.0 for rpms and alpine

commit 8d482b1a4a01dca834928795b0e789ae135b8224
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 29 11:42:49 2025 +0100

    pua: added breaks to event type matching switch
    
    (cherry picked from commit a2ae4fe607125a05debeb40c0ecf1ce05d69ff5f)

commit f540d97e3f0be21cb6abc61ac701c8fd437b4371
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 29 11:33:34 2025 +0100

    ims_qos_npn: small docs updates
    
    (cherry picked from commit dcdcee0d9f2326e079f905632af9db3b898330ab)

commit 1efa133244bbca0c9c35b76f936cce2b0a5864d3
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Wed Jan 29 10:06:59 2025 +0000

    cmake: Use pkg-config instead for json-c dev package.
    
    (cherry picked from commit 8ebae54cff261b95fcece3be3719da511cc35084)

commit 2496ccd1d1878e275a8797a286de6edc4aff4805
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Wed Jan 29 10:03:29 2025 +0000

    cmake: Use pkg-config instead for json-c dev package.
    
    (cherry picked from commit e7f9531adc6f319b6889d5644eb55a9cccfdd27d)

commit d0360fbb8e622c786f3d8791b67f06d1eb6e0ae4
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Jan 28 14:05:25 2025 +0000

    cmake/json: Remove find_package call. Use pkg-config instead.
    
    (cherry picked from commit 99d36df0a15bbb960b2d7ee5916d65a55b9b26cd)

commit f08adc567b19721b1bf515a2b1595fed28152177
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Jan 28 11:18:03 2025 +0000

    cmake/json: Use CONFIG mode
    
    (cherry picked from commit 532744eebf1014939c4ccd9a6aa4e7d6fbb454ac)

commit 5da8459301f0a9d74b9c9b0f8e6e5890c194a8c2
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Jan 27 19:41:30 2025 +0100

    cmake: fix CPL definition
    
    (cherry picked from commit feb371852ea9b53a1dd95fec0db0943c5fb160ad)

commit 7a17464946f8027e9d66497a44357d7f0eac64a2
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Mon Jan 27 14:21:47 2025 +0000

    cmake/perl: Install files / Add perl user link and def options
    
    - Fix perl extra_c_flags parsing by using SHELL:
    - Add user option PERL_LDOPTS to define extra ldopts
    - Add user option PERL_CCOPTS to define extra defs
    - Add new generated file to compilation
    - Add new target for sgml docs
    - Add install directives for perl libraries
    
    (cherry picked from commit f4d7e298bb351be5f12652083bd5e37109748169)

commit 3adaab6c56657bc73cd83e0b7bbcd158efb070c1
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Fri Jan 24 09:59:10 2025 +0000

    cmake: Install snmpstats files
    
    (cherry picked from commit f69b22ce3cdc2c06739c11f19c9ebeb5eb1727f3)

commit e4e669286264cc7e7ce6aab92c68a486311de708
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Thu Jan 23 10:52:36 2025 +0000

    cmake: Fix naming to be clear we want the CLIENT version
    
    (cherry picked from commit 640bd4fb7529ad8b0a9415775679dca5e64c52be)

commit 5ce31280e1c4988408b4b77833947ae0cece4c83
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Thu Jan 23 10:06:46 2025 +0000

    cmake: Fix typo
    
    (cherry picked from commit 8d1b60bc7f21fe9d0fadd1df926fee931966f34e)

commit ff20204c0163d56964036bdfba5d9325cd74c90e
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Thu Jan 23 10:06:03 2025 +0000

    cmake/sctp: Search for libsctp and error if not found
    
    (cherry picked from commit 9b7719a61ab02c93939e3681cb90e9fa04f3ac5d)

commit aef5f6c422981a36a1eac3d93079d8aa930c3810
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Thu Jan 23 10:05:21 2025 +0000

    cmake: Link with correct Erlang target
    
    (cherry picked from commit 2dbd3d47cdbd55365fcb37b48a30c3224b8af810)

commit fa54a06f165f7d6a0c49a8653f2ed71fe775dbc4
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Thu Jan 23 10:03:14 2025 +0000

    cmake/Radius: Add libfreeradius support
    
    - Add libfreeradius.cmake to search for libfreeradius-client
    - Link modules with correct libraries paths
    - Fix description
    
    (cherry picked from commit 53bd567dd7444a8145aa876d82db2c6b579a7e19)

commit 620eb2f029c74006200d19dae1450e7735e3ec2e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 29 10:34:25 2025 +0100

    kamctl: regenerated db creation files

commit ddd98b09c80dc0d15af080e37961b59ecde17689
Author: Sergey Safarov <s.safarov@anycast-lb.net>
Date:   Wed Jan 29 09:12:44 2025 +0200

    janssonrpcc: fixed warning var may be used uninitialized
    
    (cherry picked from commit 3039c02404e05da05a031f6ccf68913a8c1c80eb)

commit 01429a85381a1d9ad96ce678285358b0ecfe48a1
Author: Alexander Bakker <ab@alexbakker.me>
Date:   Wed Jan 15 16:31:30 2025 +0100

    core: tcp_main - include local dst port in conn lookup when using haproxy
    
    (cherry picked from commit 9c109f3a371445e03defde279912fbb4179244bd)

commit 60c9bafc287bfabe7860b389197e8801e26a6bfb
Author: Alexander Bakker <ab@alexbakker.me>
Date:   Wed Jan 15 16:30:53 2025 +0100

    outbound: encode bind address into flow token as destination
    
    This is an attempt to fix the combination of the outbound/rr modules and
    ``tcp_accept_haproxy=yes``. This combination is currently broken, as
    previously reported on the mailing list:
    https://www.mail-archive.com/sr-users@lists.kamailio.org/msg21854.html
    
    The issue is that the destination address/port combo of the haproxy side is
    encoded into the flow token. When the rr module decodes the flow token and tries
    to look up the listening socket using ``find_si``, it cannot be found, because
    it is given the destination address/port combo of the connection of the haproxy
    side, not the address/port combo that Kamailio is actually listening on.
    
    This patch fixes the issue by encoding the ``bind_address`` of the socket the
    connection was received on into the flow token as the destination address. The
    source address remains unchanged, as it *can* be used to look up the TCP
    connection (with a minor patch to ``_tcpconn_find`` in ``tcp_main.c``)
    
    (cherry picked from commit b918e09e9c3e06bddfd7a205f64abb603d589f1c)

commit af3d036fbc6ca41be61b79bb6e22ac72266234ea
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Dec 31 14:35:29 2024 +0000

    main: Print open file limits
    
    (cherry picked from commit 4a335848f1b2b1e685891258803d1acd5540710d)

commit 5f2c7c7a958d010afd303a4feb95241aefd31dca
Author: herlesupreeth <herlesupreeth@gmail.com>
Date:   Wed Jan 8 19:25:22 2025 +0100

    ims_registrar_scscf: set contact to presentity URI in 200OK for SUBSCRIBE to reg events
    
    (cherry picked from commit 75af5c3d8b14a0b17d34c416f2dfc0df6c3ff6f8)

commit 225f23a03a2941d44cbb1b56d0d95adcc3f78004
Author: herlesupreeth <herlesupreeth@gmail.com>
Date:   Fri Jan 3 17:50:29 2025 +0100

    ims_registrar_scscf: send NOTIFY in case of subsequent SUBSCRIBE as per RFC 3265
    
    (cherry picked from commit 7de4f84f08e4ce910c007aad3fa2cadbe4b11dd2)

commit 1e362f2ba51c6ee9a9e005675a30202e42ceb3a7
Author: pinacolada1610 <starinchikova@gmail.com>
Date:   Thu Jan 23 16:21:04 2025 +0300

    tcp: fix for local TCP/TLS socket matching with 'tcp_reuse_port' enabled
    
    - Changed the logic for matching a listening TCP/TLS-socket in tcp_reuse_port scenario, now it considers local port as well.
    With 'tcp_reuse_port' option enabled, the local port is meaningful and helps to differenciate between sockets on the same IP but different ports.
    
    (cherry picked from commit 0cb6e35d581398d2c5a7086a0d98b113fbb16138)

commit dec19b9d4a2f4cedf31b0f8661add77761d85036
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Jan 29 10:14:21 2025 +0100

    github: set 6.0 for devcontainer [skip ci]

commit 489b46bd9ffaa8a9e6fed5281f7df250cf1ad777
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Jan 29 09:07:06 2025 +0100

    pkg/kamailio/deb: version set 6.0.0

commit ce5cbf1263e38e51973d2515b047f2213a8f6039
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Jan 29 09:01:46 2025 +0100

    kamctl: regenerated db creation files

commit d407132aa0accd93f58b7da1b6fdc2cf91b340db
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Jan 15 22:31:38 2025 +0100

    lib/srdb1/schema: ims_usrloc_scscf definitions
    
    related #4100
    
    (cherry picked from commit 283a77887c88c38a240567a7b165478775662d81)

commit 0fbaf4567973f84721b7e25074b61374e657b34a
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Jan 16 00:17:34 2025 +0100

    lib/srdb1/schema: ims_charging definitions
    
    related #4100
    
    (cherry picked from commit 48683f3798683a508fc456bcde11a8e59a8a64de)

commit 022940dec70272a19c86604d2fa9af83d8790bb1
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Wed Jan 29 01:40:24 2025 +0000

    db_oracle: fix warning: passing argument 2 of âdb_do_closeâ from incompatible pointer type [-Wincompatible-pointer-types]
    
    (cherry picked from commit 577a87861a8566e00f2700dfb227dcc8b26393b4)

commit ded36e28198cb518bfb64ffb0e2cc659a35af9ac
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 28 18:38:19 2025 +0100

    dispatcher: copy over the ocdata structure for records kept by rpc add/remove record
    
    (cherry picked from commit 77eaba17916109ef5656a276e3f469b29415d6f5)

commit ccd5708cb02cdc3e6cf76224417c7d04ba30f6e9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 28 18:28:35 2025 +0100

    dspatcher: return the new ds dest for add_dest2list()
    
    - easier to access the fields of the new record afterwards
    
    (cherry picked from commit cff6f9fd7051f4b8ac6e4fc59257c239cb32f21d)

commit db1ddc0dd2d663887ecfd24b9d74322518e8e98f
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Jan 28 18:19:54 2025 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit 374b7e46881bbf591fd56305d3572ab3c12d1979
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 28 18:03:47 2025 +0100

    kamctl: refresh db creation files

commit c1f8cb4de71ec11d669484db8b67484caf96b288
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 28 17:58:46 2025 +0100

    ims_qos_npn/doc/Makefile: proper xml file name
    
    (cherry picked from commit 9daea6c00dc5b613d9e4b7ffd711ee7999e31ad5)

commit 4fe03b9e59e0e4598419818cf1770312eeada86a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 28 17:22:20 2025 +0100

    srdb1/schema/location_pcscf.xml: table location renamed to pcscf_location
    
    - fix conflict with default table for registrar/usrloc
    - GH #4124
    
    (cherry picked from commit fc02c3ca46bd96e50cbb6903a2efe48cb134377b)

commit be2c68f86fcf84dac24501a6b24a6573917894aa
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Jan 28 11:31:57 2025 +0000

    outbound: Fix flow_token_secret bug
    
    - flow_token_secret is of type str and not char*
    - check the length of the string instead of memory for initialization
    
    (cherry picked from commit 046ba41e431fec7fad0c82a9091ea9e27d9f677d)

commit 3a480f03fa54855059b72db8304f47cca7ee753e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 28 10:10:33 2025 +0100

    etc/kamailio.cfg: close comment for tls_threads_mode
    
    (cherry picked from commit d8d627eff7de268a487d7f91cc52e7ba8a6c708e)

commit b4718cd7dca8e037664dbc49a1cfac684906ecea
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 27 16:06:04 2025 +0100

    http_async_client: check returned cell inside check_multi_info()
    
    (cherry picked from commit b16550fa72d23084b4221769fe74b1f3c357c9fd)

commit dfa9239cf6df7644e9fe6b83cfc33aff518a19c6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 27 10:20:49 2025 +0100

    htable: wrapped maco code in do {} while(0)
    
    (cherry picked from commit 65a296b3478503ed3519ea9156d8f46f5cb9ce2a)

commit b38925b0b3628539840de2b6240da75b9f9f3cc6
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Tue Jan 14 12:35:21 2025 +0100

    htable: Fix expiry on assignment
    
    Update cell expiry on assignment for htables w/o updateexpiry (analogue to #4079).
    
    (cherry picked from commit 75994f40c99ffa2c7c33e5fce5e3d3cd8db7d780)

commit 9c44aec667fc3c088612dd31935bce2eb082812d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jan 26 18:07:54 2025 +0100

    core/parser/sdp: proper test for media ip separator
    
    (cherry picked from commit 200cdb318569191cd012dfe99b252f98fe9623b9)

commit 9e21ce85d0c97679f9e14f9c31108f2dcdad772e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 24 16:48:51 2025 +0100

    presence: do not break on one notify sending failure
    
    - try all of them, debug message with successful and failure counters
    - GH #4118
    
    (cherry picked from commit 65e51b776290a1981e9ac27fbe6b47813516bc8b)

commit a5ac9e04b91971da44256373904450501f9a4493
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 23 11:51:07 2025 +0100

    core: more checks for extract_candidate()
    
    (cherry picked from commit 3198b66aa5dbda1c6a03f46a610073671cbd5157)

commit 6e2a37c449a14c03f9c086ae9fb61729d8fce393
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 23 09:04:34 2025 +0100

    core: extended logs for subst lumps
    
    (cherry picked from commit d307fee57b7a8a7e0b5ccf0956464a159e156b73)

commit 2790d202e2756e1b5037239983b134d04bdb73f3
Author: Sergey Safarov <s.safarov@anycast-lb.net>
Date:   Thu Jan 23 14:47:56 2025 +0200

    pkg/kamailio: simplified systemd unit files installation [skip ci]
    
    (cherry picked from commit c47108eacba1a6cf7e8564a00ff0850f621d29aa)

commit 142260f8c30d66510e6f186b170b467fb66a15a3
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Jan 23 09:19:35 2025 +0100

    github: set branch 6.0 [skip ci]

commit 8d0cd75cc8176105bc6fbdbac75ed57e7d14194f
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Jan 23 08:55:04 2025 +0100

    pkg/kamailio/deb: version set 6.0.0~rc0 [skip ci]

commit fc3412ed108a9264a28ed1afc41ee5b0fef7a825
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 22 20:36:33 2025 +0100

    Makefile.defs: version set to 6.0.0-rc0
    
    - version set also in CMakeLists.txt
    - branch 6.0 created for release series 6.0.x

commit 1fc084851c75ae5b1d3957c25c99c5c76a7e3125
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 22 20:28:37 2025 +0100

    Makefile.defs/CMakeLists.txt: version set to 6.0.0-pre1

commit b3605a63b503d2579cef3f6feb43fbf768de9d21
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 22 16:28:54 2025 +0100

    README: updated the version

commit 874183da2a6000f5f8e755e19338b74757e09bf0
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Wed Jan 22 14:54:13 2025 +0000

    cmake/phonenum: Remove find_package as it's broken for newer distributions
    
    - Search for the library manually

commit d613f30214782d47ed0aab8bf2fb55329d87862a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 21 21:43:06 2025 +0100

    core: reworked how rport, received and extra params are added to first via of generated replies

commit 9045c8d537b8960a18451f870effe2255cb4861d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 21 21:22:38 2025 +0100

    core: add extra params to first via only for generated replies

commit 09d1ba87f4d37c3e13153229c63698f09ca195bc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 21 19:45:20 2025 +0100

    core: add rport to generated replies after first via branch when no incoming rport

commit cfc9d69435b4bbc53dbe6748e0d22603760c48fd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 21 18:15:19 2025 +0100

    etc/kamailio.org: do record route for REFER
    
    - it creates a subscription dialog
    - https://datatracker.ietf.org/doc/html/rfc3515#section-2

commit c994fb8d3906f2199d61302882f3836aa83dd6bb
Author: Henning Westerholt <hw@gilawa.com>
Date:   Tue Jan 21 12:23:49 2025 +0000

    ims_qos_npn: fix documentation XML names, it was not adapted after the copy from ims_qos

commit 13d306dd97989162bf716fa23342608bce037b9b
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Jan 21 10:29:46 2025 +0000

    cmake: Fix FindBerkeleyDB to correct lib name.
    
    - CMake lint
    - Search only C version

commit 024c649c36bbe1d5ba4b306de53102cec4096734
Author: Henning Westerholt <hw@gilawa.com>
Date:   Mon Jan 20 19:36:11 2025 +0000

    htable: close parentheses on error description

commit e8389b36aff772d1a419a5b9d28ede0e86b2109e
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Jan 20 18:37:51 2025 +0100

    cdp: remove level and function name from log messages

commit b96bc11a54f11ec688429c057bf5a90c40c147b3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 20 17:10:05 2025 +0100

    core: parser/sdp - check if still before end of the value

commit 6750e2e2f1d6c10f6b5e66897d38657a576a9732
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 20 12:58:18 2025 +0100

    core: socket info - set receive timeout for netlink socket
    
    - GH #4098

commit e50a24aa4a4fcc6c0310f9f2d5f130197372b2f9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 20 11:05:08 2025 +0100

    cmake/os-specific/darwin.cmake: use -undefined dynamic_lookup for OS v24+
    
    - the option -undefined suppress has been deprecated

commit a1bdef919414173e8327a8dd65ecaa2fca279d6a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 20 10:54:14 2025 +0100

    cmake: messages about not finding docs-related tools made status
    
    - they should not be needed for development and usual installation,
      warning makes it look like something relevant cannot be done

commit 09628a8e6060a21805fccccc1f530062fca1bb75
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Jan 20 09:18:45 2025 +0100

    cmake: fix typo, missing KRADIUS

commit 0a5db6808e859e88aae739e277d1647e05a4f4c6
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Fri Jan 17 14:56:17 2025 +0000

    cmake: Remove depracated modules from groups
    
    - cmake lint

commit eeffe798b85d4f8c580c221b0e655b1b49a7420f
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Fri Jan 17 14:54:44 2025 +0000

    cmake: Fix ignoring excluded module
    
    - When adding groups, we now also check if they contain a user-excluded module.

commit 81b84ef83f59981b6e5f199055e9ab6a94c58b38
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 17 09:29:45 2025 +0100

    parser/sdp: more details in logs for setting fmtp payload

commit fbf120d3696b63ecd90055b136fd40c87b5db68e
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Thu Jan 16 13:39:31 2025 +0000

    cmake: Add dbschema_xhttp_pi to have consisteny across the targets

commit a4f44ceaaf2203e79c8b2f1ea19a7ffc18c2712a
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Jan 15 20:39:17 2025 +0100

    utils/kamctl: regenerate db table definitions
    
    related #4100

commit f339eb7e5aee90229f3d6046d5f7586a1622f4bb
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Jan 15 19:35:42 2025 +0100

    lib/srdb1/schema: ims_usrloc_pcscf definitions
    
    related #4100

commit 5fe61ec6dbcd9d2dde3f2bd978dad5130ac5bff9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 16 10:47:25 2025 +0100

    core: tcp - remove level and function name from log message

commit c8290b8f4ca35f88265073301de4c38e40516206
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Jan 10 18:06:37 2025 +0100

    utils/kamctl: regenerate db table definitions

commit ef6df94258c7ebe542feca9af241de41ca048785
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Jan 10 17:51:43 2025 +0100

    lib/srdb1/schema: ims_dialog definitions
    
    fixes #4100

commit 6839f1a2e090f06b0b7ca9289dd3b7279903a1e2
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Wed Jan 15 14:42:31 2025 +0000

    cmake/kamctl: Build and install to correct paths
    
    - Some filebased databases require the kamailio subfolder

commit f26313c3729753e3b54d98a5c611ee4295b90f48
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Wed Jan 15 12:14:14 2025 +0000

    cmake: Add project information

commit 4016cdcac78f7b85277455084704c109a3511e59
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Wed Jan 15 12:13:24 2025 +0000

    cmake: Fix Ninja warning about duplicate target

commit 97cea8b7ffccde3916eeb5dab8687e17bf329817
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Wed Jan 15 12:12:01 2025 +0000

    cmake: Link with resolve and dlopen when nessecary
    
    - FreeBSD and Dragonfly are include in libc
    - Linux and Mac need explicit linkage

commit 3cda5a83cc45da2b0a9d6bb18f1b7f85849c526f
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Wed Jan 15 10:52:50 2025 +0000

    cmake: Remove LOCK_METHOD as an option
    
    - If USE_FAST_LOCK is set to ON, try to use FAST_LOCK. If not avalaible on platoform, fallback to a platform specific one.
    - If USE_FAST_LOCK is set to OFF, fallback directly to platform specific one.
    - Fix wrong IF(NOT <option>) evaluation
    - CMake lint files

commit 26e6a5e6f4e0d2f26d6bfc2f3d1f3b5821914933
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 15 08:27:47 2025 +0100

    core: safety check on send_sock in via_builder()
    
    - GH #4102

commit e38c7f8bac1aef9890d266fa466cea1561346732
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 15 07:24:29 2025 +0100

    sanity: log as debug when Content-Length is missing for datagram protocols
    
    - the header is optional for datagram protocols (RFC3261, 20.14)

commit 0498446fd24462a7de72f73aae37a76ceabc4276
Author: drTr0jan <drtr0jan@yandex.ru>
Date:   Tue Jan 14 15:25:25 2025 +0300

    cmake: add FreeBSD support

commit 78ac89b1785c178d72410f54010c59d446b3b947
Author: drTr0jan <drtr0jan@yandex.ru>
Date:   Tue Jan 14 12:37:00 2025 +0300

    cmake: add amd64 arch fallback

commit 6b0b8cb84b7d0e965d50bdf0dfa5423004879f55
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 14 13:16:12 2025 +0100

    siputils: declare iterator out if for loop for C99 compiler
    
    - for sip_generate_charging_vector()
    - variables declared at the begining of blocks

commit abcafe75de7adc524b4a5a3df103f427565f9627
Author: drTr0jan <drtr0jan@yandex.ru>
Date:   Fri Jan 10 10:53:19 2025 +0300

    influxdbc: support for FreeBSD build

commit 141f19a95bd0d97f1bd325291aafb844f46c7fd3
Author: drTr0jan <drtr0jan@yandex.ru>
Date:   Fri Jan 10 10:52:33 2025 +0300

    Makefile.defs: support for FreeBSD build

commit e9f30f67a70e17a19d92143eb84c3b2e3b42662c
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Sun Jan 12 20:46:10 2025 +0100

    modules: readme files regenerated - ims_auth ... [skip ci]

commit 906664775ace76fcfa941022b5f1ed168563082a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jan 12 20:44:38 2025 +0100

    ims_auth: docs for functions used for av_mode=1

commit 0a67119d1de31050772bac020e61dbbf4fc19f54
Author: Farzaneh Soltanzadeh <fr.soltanzadeh@resaa.net>
Date:   Sun Jan 5 14:38:06 2025 +0330

    check corner-case and add comments

commit 866d92e9bbfb5725a05b2fa38c9d00e11c765552
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Jan 10 17:16:10 2025 +0100

    modules: readme files regenerated - xhttp_prom ... [skip ci]

commit a404f598dce129cdd3d73dd0e79e011e0948b0c1
Author: Henning Westerholt <hw@gilawa.com>
Date:   Fri Jan 10 16:11:26 2025 +0000

    xhttp_prom: free memory in case of startup problems, use standard memory log helper

commit f92de6d0e5d0080f602a953113ecdc8fa53738d5
Author: Christian Berger <berger@sipgate.de>
Date:   Mon Dec 16 14:53:25 2024 +0100

    xhttp_prom: new xhttp_prom_tags parameter
    
    - allows custom tags to be added to prometheus metrics
    - Addresses GH issue #4021

commit ce45532512e65f58f77f01f50f3a2ee0bf79d7f1
Author: herlesupreeth <herlesupreeth@gmail.com>
Date:   Fri Jan 26 08:38:11 2024 +0100

    examples: fix kamailio ims cfg file for basic volte call

commit 8801cf72c77e9233c789a9a0a1536ac524d5abf6
Author: Alexander Bakker <ab@alexbakker.me>
Date:   Thu Jan 2 14:50:03 2025 +0100

    core: parser - set URI type to TELS_URI_T for user=phone SIPS R-URI
    
    Fixes an issue where setting the ``$rU`` for a SIPS R-URI containing
    ``user=phone`` would overwrite the scheme to ``sip``.

commit b5b40ef61901579f020f8eff002bd6e978919335
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Fri Jan 10 15:37:13 2025 +0000

    cmake: Add install targets for missing configuration files
    
    - tls: Add comment and use the --install for the install target like the rest
    - auth_radius: Add dictionary installation
    - xhttp_pi: Add pi_framework.xml

commit abb4a6a195995901294bae105355a3414edaf05c
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Fri Jan 10 14:38:24 2025 +0000

    cmake/tls: Add targets for installing cfg and cert

commit 001390d802c73e840e57015763a4b6164ae2eb6d
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Fri Jan 10 12:17:00 2025 +0000

    cmake: Don't build all utils unless required by modules
    
    - Build always kamctl and kamcmd
    - The rest of utils should be included from the module that requires them or a new add_subdirectory in src/CMakelists.txt

commit 543fc22ad6d442ce956629671b9a0d75797f1e6f
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Fri Jan 10 11:14:12 2025 +0000

    cmake/db_text: Add missing definition

commit dc41c3805f77a8eafeff48c4143f85d96b349d2e
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Fri Jan 10 11:13:29 2025 +0000

    cmake: Install dbtextdb.py

commit e51ae9297140150ad06fdc806324228b142f71e2
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Fri Jan 10 11:12:39 2025 +0000

    cmake: Add kamdb_recover util program
    
    - Add it as dependency to db_berkeley module

commit 520299931cd77845c9bee736db57391fe3427e66
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Fri Jan 10 11:10:49 2025 +0000

    cmake/modules: Fix FindBerkeleyDB to search for C devel header

commit ade4c37d8098699422e76bf0c931610d03a088a6
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Thu Jan 9 13:37:49 2025 +0000

    cmake: Ensure that all nessecary files are built and installed
    
    - Build and install only included modules files
    - Remove temp folder, as cmake should be built out of source.
    - Install schema files per database included

commit e0dbb55d8593c5a8f0be1660ce9a537b7a4bc5b5
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Wed Jan 8 14:15:28 2025 +0000

    cmake: Add modules man pages as deps to man target

commit ebbc54e27c226320999d299d6d89a13886011363
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Wed Jan 8 13:04:40 2025 +0000

    cmake/docs: Add kamailio,kamcmd, kamctl man pages
    
    - Add man target to generate the man files
    - Add seperate targets for each util
    - Include them in the install as well

commit 73914396c127529e7e0d58f3e92170891840cbc2
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Jan 7 18:37:52 2025 +0100

    db_redis: stop searching for keys if scan_key is set

commit eb32feab9c50879117e0ecb5bd8c13c8ac301623
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Jan 7 13:51:00 2025 +0000

    cmake: Remove duplicate inclusion of defs.cmake

commit 03f47c7e5b198a0e1be946ca8219fc978f6f54a1
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Jan 7 13:47:30 2025 +0000

    cmake/utils: Fix compile_definition instead of option

commit ada0a4c24700c3eead0217dd1e9794aee9655347
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Jan 7 13:46:48 2025 +0000

    cmake/kamcmd: Link if found

commit 5a3585a43d91ecbff4d0733eae898a2068356758
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Jan 7 13:39:16 2025 +0000

    cmake/kamcmd: Add alias if readline found

commit f3acc421cc9b01af43c0dee6a851acb02498abd6
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Fri Dec 27 14:39:44 2024 +0000

    cmake: Fix cmake-lint

commit 5a5a9fc876335c88691a631b41b10ec41f1d599f
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Jan 7 13:35:56 2025 +0000

    cmake/kamcmd: Don't require readline

commit 853bf9ebd24b3802a7e55d494fa7e9a42e261560
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Jan 7 13:30:16 2025 +0000

    cmake: Fix installation path for modules man7

commit 37bb0d05f5b2cda9125e6767808d48772a73c22b
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Jan 7 13:29:53 2025 +0000

    cmake: Add kamcmd util

commit 8cbe99cf081a5948a9b032bf51e846120d780e92
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Jan 7 13:29:05 2025 +0000

    cmake: Splt compiler flag into seperate library to reuse with utils.
    
    - Add common_compiler_flags INTERFACE library for common compiler flags
    - Introduce new INTERFACE common_utils used in src/utils/*.
    - Link compiler flags to common and common_utils
    - CMake lint

commit fbed7b5b6ef30842ee65d76bb2fca11b3246368d
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Jan 6 13:31:10 2025 +0100

    modules: readme files regenerated - outbound ... [skip ci]

commit b8062321572e1523bb9478fd2421c5a8bc8314af
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Wed Dec 18 17:13:13 2024 +0100

    htable: Fix de-/increment w/ auto expire
    
    Update item expiration value during de-/incrementation for htables that
    are configured with autoexpire and updateexpire disabled.
    Otherwise an item cannot be used until timer cleaned it up.

commit 485353fb5a8fa72d436cf763f27967e4e92b8d51
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Mon Dec 30 08:45:47 2024 +0000

    outbound/doc: Fix logic error

commit 2002ec725df5c261cd28c1b035872eebdb11005c
Author: Sergey Safarov <s.safarov@anycast-lb.net>
Date:   Mon Jan 6 08:57:49 2025 +0200

    pkg/kamailio: packaged README.topos_htable and README.presence_dfks [skip ci]

commit 1a6102098f78855283064f82a9075630b92412f3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 3 12:11:22 2025 +0100

    core: socket info - let the kernet to set nl_pid value inside nl_bound_sock()
    
    - GH #4094

commit fc182198c7182759cc2c10b4afa3569336a438c9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 3 12:02:21 2025 +0100

    presence_dfks: added README file
    
    - initial import, it is going to be autmatically generated from now on

commit 0a09129a952b10bee6aa037781cf498ab703eabd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 3 11:59:09 2025 +0100

    topos_htable: added README file
    
    - it has to be added first time, when the module is imported in the
      repo, afterwards is autmatically generated when the xml doc files are
      updated

commit 1197efc3150a361e3f884c47085ed9598c16589e
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Fri Jan 3 10:31:53 2025 +0000

    cmake: Add modules docs and man target
    
    - Add kamailio_docs_readme to produce all modules READMEs in source tree at once.
    - Add kamailio_docs_man to prduce all modules man page. (if xml exist)
    - Switch to add_dependencies when we depend on a target and not file.

commit 5433322c1f06a74f58b1ad1b44d221cfe1452bb2
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Dec 31 10:55:34 2024 +0000

    cmake: Install core readme and install readme

commit 2692148d92bb8b17709eb4cbddd8e653bbf5c14a
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Mon Dec 30 15:57:04 2024 +0000

    cmake: Install README from source tree
    
    - module_name_doc target will only produce the formats found in the build folder.
    - module_name_readme target that modifies the source tree needs to be called explicitly

commit 18705086c2dbeef21afc059c887ab2c6178deba9
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Mon Dec 30 15:35:30 2024 +0000

    cmake: Documentation targets always available regardless of `BUILD_DOC` option.
    
    - Warn if BUILD_DOC is enabled but missing required programs
    - CMake lint

commit 600f5c49f8857f4b17c669c2d74106fe74264d9c
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Fri Dec 27 14:39:29 2024 +0000

    cmake: Fix path for installing utils-bin and utils-cfg

commit 45a81b840637d7bb2c3387ab33309c8fb81f1a0a
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Fri Dec 27 14:00:42 2024 +0000

    cmake: Add `modules` target
    
    - Compile only the configured modules but not the core

commit 7cb55fcbf3f138da18ca5dc9c3cd626bd470b727
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Fri Dec 27 09:55:59 2024 +0000

    cmake: Respect provided CMAKE_C_STANDARD
    
    - Format and lint

commit ad35c24196c921a3e870f4a48b6d286748d78d48
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Dec 24 12:05:37 2024 +0000

    cmake: Update min version required to 3.10

commit ced878347cdeb03f9160a5e29bed47e48ff362b6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Dec 28 16:17:22 2024 +0100

    dialog: removed unused parameter for kemi update state function

commit 9857ba8236aafc3beab0723f8836afcb95f6b580
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Dec 24 12:04:16 2024 +0000

    cmake: remove redundant default optimization level (2nd fix)
    
    - user can prepend compiler options with CFLAGS="-g -O2" cmake ...

commit c8544e48710fa74150b958a1f8d1e918973afb51
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Dec 24 11:43:02 2024 +0000

    cmake: Fix docs readme target to not be cleaned.

commit df512a1f3d33758f4fab84d980f519167dcd8310
Author: Sergey Safarov <s.safarov@anycast-lb.net>
Date:   Tue Dec 24 09:25:22 2024 +0200

    pkg/kamailio: disabled python2 for Fedora dist

commit fa90e39bf357599d0ee81caad25b890229650afa
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 24 08:24:44 2024 +0100

    cmake: modules - coherent CMakeLists.txt style for modules
    
    - GH #4081

commit 5d4002415fd8377c5384beee387acf5ba9e2dfd3
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Dec 24 06:49:46 2024 +0800

    cmake: remove redundant default optimization level
    
    - user can prepend compiler options with CFLAGS="-g -O2" cmake ...

commit fc6acb0195ced2ef73dc8bc10ba54368a763358a
Author: Sergey Safarov <s.safarov@anycast-lb.net>
Date:   Sun Dec 22 21:15:00 2024 +0200

    pkg/kamailio: packaged topos_htable.so and presence_dfks.so into RPM

commit b5cb581bd8f529dab8f4bcc6173e0cf1ad936550
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Fri Dec 20 20:52:24 2024 +0800

    tls: warn if tls_threads_mode=1 and force value to 2

commit 003a92942aeefd6611f9a2754f71b293ac73caaf
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Fri Dec 20 11:04:25 2024 +0000

    cmake/utills: Config all files for build and install
    
    - Config and install all kamctl related files
    - Config and install all kamdb related files
    - Format file

commit ea96d46a6ab4d60614a1f1cb86bcc1d983811b06
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Fri Dec 20 11:01:20 2024 +0000

    cmake/utils: Fix double kamctl lib path

commit 13c3f133ffd1f158593d2aa4b3b61d88c2009a6a
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Dec 20 11:22:43 2024 +0100

    github: remove extra info from nightly jobs [skip ci]
    
    * is causing problems with multiline commit messages

commit 852d17946e8857056572a03f3b5bff6438bed29c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Dec 20 10:53:52 2024 +0100

    github: add step name on check [skip ci]

commit 4133f24fde0ade54a5454baf045f774a73434cef
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Dec 20 10:39:16 2024 +0100

    github: fix check step for nightly jobs [skip ci]

commit 2df6fd2b92c95791fa299500680a31814f95291c
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Fri Dec 20 16:57:37 2024 +0800

    tls: warn if thread-locals are initialized before this module

commit 5c48fb7ba1b6e7d516d6f5dad50f8c0a91f0a298
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Dec 20 09:46:07 2024 +0100

    modules: readme files regenerated - siprepo ... [skip ci]

commit ed61054f3b4064523888897bb22ae4d53b84d949
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 20 09:41:14 2024 +0100

    siprepo: docs - small typo

commit 8cc21a5af0846ddd657b20363895e220658816ea
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Fri Dec 20 16:36:12 2024 +0800

    tls: fix compiler warning of unused variable

commit ca87db75102504eb29e802a0047cf22730dfc30e
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Fri Dec 20 16:02:32 2024 +0800

    core: revert tls_threads_mode=1

commit 398e647b0667f5609d30ccb9f4cedbb659dca3ab
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Fri Dec 20 15:59:13 2024 +0800

    tls: revert tls_threads_mode=1

commit 92f17d2e7945858cdfe40ab498fb7b046e02955a
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Fri Dec 20 15:54:08 2024 +0800

    xcap_client: revert tls_threads_mode=1

commit de84212c4a43402ea094f1b38aed9ca09b0c89a5
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Fri Dec 20 15:53:08 2024 +0800

    http_client: revert tls_threads_mode=1

commit 7f33c48cc788d4caea0b1e06748bae0e6a6e90fb
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Fri Dec 20 15:51:33 2024 +0800

    http_async_client: revert tls_threads_mode=1

commit a8c23061bf2b9ce2240cd52e554b440cb996bc9e
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Fri Dec 20 15:50:21 2024 +0800

    db_unixodbc: revert tls_threads_mode=1

commit b7694edb65db852ee5a935fbbfe6f9d8c05fa508
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Fri Dec 20 15:48:00 2024 +0800

    db_postgres: revert tls_threads_mode=1

commit 50042a4a21318f9b89cd1b5d35c04800ef2cbec5
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Fri Dec 20 15:45:31 2024 +0800

    db_mysql: revert tls_threads_mode=1

commit ab6d46e6ab08066021419154045da5c3f2721377
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Fri Dec 20 15:39:21 2024 +0800

    outbound: revert tls_threads_mode=1

commit 9abe414a186e2a6e9041dd03a1a8968f0efa954d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 20 08:53:04 2024 +0100

    htable: get current time once for pv counting items

commit d92a990a4040279ed7ee4d71debf2a13fd4d6782
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 20 08:19:14 2024 +0100

    htable: skip expired items for pv counting them
    
    - GH #4080

commit 9f016b1f5d5ba435bb7c53bd663fdbb58c8d093c
Author: Henning Westerholt <hw@gilawa.com>
Date:   Thu Dec 19 19:13:36 2024 +0000

    mohqueue: fix compilation warning about fixup_free_count
    
    - fix compilation warning about fixup_free_count, function was added but not used
    - mohqueue_mod.c:147:12: warning: âfixup_free_countâ defined but not used [-Wunused-function]

commit 58bd1b995a1bf36eb1efebbd2e091e0dc9ca716c
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Thu Dec 19 17:49:13 2024 +0000

    cmake: Fix modules suffix to .so for all OS

commit c49bc39e62af94588fe3c0d44c9e781a498fb78a
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Thu Dec 19 17:47:51 2024 +0000

    cmake: Add -ffile-prefix for core and all modules

commit 6b523b6a660c624abe72565499831ac997d3cbcf
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Thu Dec 19 17:29:55 2024 +0000

    Revert "cmake: added target compile option -ffile-prefix-map"
    
    This reverts commit 28f4089efcc9c2ccf8c79fc9ecc509ae29d873e5.

commit 9c37864e23da0dbec55c04c847c23130bb1aeb48
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Thu Dec 19 15:34:07 2024 +0000

    Revert "cmake: modules - set the SUFFIX property to .so"
    
    This reverts commit 4bf2c9634ab19ac76c12c33ddc3d4220631d38ef.

commit 1860420fea7ed57d25bc7d735b46c11c739aa0c4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 19 16:34:53 2024 +0100

    cmake: set runtime dir based on RUN_PREFIX and RUN_DIR
    
    - it is a different system path than installation prefix, usually is
      either in /run/kamailio or /var/run/kamailio
    - follows the same concept as the old-makefiles

commit 7c1cfb312260ddd42d48231fc9c8049b4c38fe8f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 19 13:22:22 2024 +0100

    cmake/groups.cmake: added topos_htable to basic group

commit 4bf2c9634ab19ac76c12c33ddc3d4220631d38ef
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 19 13:15:42 2024 +0100

    cmake: modules - set the SUFFIX property to .so
    
    - on some OSes, the extension for dynamic libs is different, but the
      code expects .so for modules (old-makefiles output was always with .so
      no matter the OS)

commit 302782dff65469630ced250d65aaa52d0f9dc7fa
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 19 13:13:39 2024 +0100

    topos_htable: added CMakeLists.txt

commit f0095466c2847c996440c45a8f728adc16f09579
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 19 09:24:41 2024 +0100

    core: info log when no r-uri or branches found for print_dset()

commit 7a511fd092b124cd5125327a4e44732d5cc1ad8e
Author: Farzaneh Soltanzadeh <fr.soltanzadeh@resaa.net>
Date:   Tue Sep 24 09:42:49 2024 -0700

    rtpengine: export subscribe operation functions

commit 05bb67d91c8c7ffc0b68513d46e1de5f68124800
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 18 11:51:53 2024 +0100

    core/CMakeLists.txt: remove lex.yy.c and cfg.tab.c from glob sources
    
    - they might be generated by other tools for debugging or, for now, the old
    makefiles while analysing differences with cmake

commit 0694eb74d91aaf8584f23ee934a36f2dc16a0fdf
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 18 11:26:31 2024 +0100

    Revert "src/CMakeLists.txt: remove explicit sources lex.yy.c and cfg.tab.c"
    
    This reverts commit da629accb2c2095e3255f4aa3389a0af02272980.

commit da629accb2c2095e3255f4aa3389a0af02272980
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 18 08:45:12 2024 +0100

    src/CMakeLists.txt: remove explicit sources lex.yy.c and cfg.tab.c
    
    - they should be included by the GLOB of source files
    - warnings shown before:
    Warning: Source file ".../src/core/lex.yy.c" is listed multiple times for target "kamailio".
    Warning: Source file ".../src/core/cfg.tab.c" is listed multiple times for target "kamailio"

commit 96c9317b5f7a52eba94286dbe832d4bb1e4efd48
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Dec 17 20:15:48 2024 +0100

    pkg/kamailio/deb: version set 6.0.0~pre0

commit da1c3456054fbfc3a353b5462fe4e27e852c8e47
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 17 19:28:54 2024 +0100

    cmake/modules-docs.cmake: added COMMENT to target definitions

commit 6f54793ebbd86f898be749f9e6b00274ccb1f631
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 17 19:14:52 2024 +0100

    cmake/modules-docs.cmake: added target to generate readme for modules
    
    - e.g., make acc_readme

commit 2dc8de17cd9103f4075e3324427f3009144a324d
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Dec 17 16:59:25 2024 +0000

    cmake: Add support for multiple groups
    
    - cmake-format with default options

commit aa41dd85ed5420f1fff3c6870eb1e5c3b8810f11
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Dec 17 23:44:45 2024 +0800

    tls_wolfssl: update internal submodule to v5.7.4-stable tag

commit 763d3622fdb2cdd7916963b6d3f4d532525a5fcc
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Dec 17 13:30:22 2024 +0000

    cmake: Make docs install optional

commit bef434385f32a685241a431b54082751c590b32c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 17 11:38:14 2024 +0100

    cmake: module_doc made from two targets module_doc_text and module_doc_html
    
    - targets for independent generation of text or html documentation

commit 19625af3f3b5d36e3515dcc7efc9f6c85ea6bcf9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 17 10:44:24 2024 +0100

    cmake: rename files to use - instead of _ in the name
    
    - have a coherent naming style, most were with -

commit cd518c157cf28a04f703e4cce2f8ed92126b105d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 17 08:08:17 2024 +0100

    Makefile.defs, CMakeLists.txt: version set to 6.0.0-pre0
    
    - start of testing phase for release series 6.0.x

commit 919b7b147f380aadd3ef034acd23946edc28624f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 17 08:04:46 2024 +0100

    Makefile.defs, CMakeLists.txt: version set to 6.0.0-dev4
    
    - end of development for release series 6.0.x

commit e4116424065f3d3ee685960976239ae961212dc0
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Sat Dec 14 00:31:51 2024 +0000

    cmake: Generate docs with lynx
    
    - Remove pandoc
    - Add various options that can be user-defined
    - Add target_dependecies on produced files like .txt and .html
    - Each produced file it's own custom command for not rebuilding when not nessecary

commit fb1f6397cd58b8186558bfb719f73d9765281ff2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 16 09:32:12 2024 +0100

    auth: export pv_www/proxy_authenticate(...) to kemi
    
    - GH #4067

commit 4811a6706e7898049adea7b833caef61b587aff5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 16 09:10:49 2024 +0100

    etc/kamailio.cfg: use dlgs to get dialog stats via rpc

commit 76925238ada0368864da0da31f9b15e59315e7c4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 16 08:59:05 2024 +0100

    etc/kamailio.cfg: example for udp_reciever_mode parameter
    
    - version set to 6.0 in header comment

commit 0c769b3a515fe3887988fee67128a5acbda339b8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 16 08:10:09 2024 +0100

    dialog: exported new functions to kemi

commit 688db50c14f187ef5728089e4ae6c92dd091c7a8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Dec 15 15:15:23 2024 +0100

    dialog: use event callback for reply out

commit 0acd9c910692fcc2c7f9c9408cf916037b8fdb7b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Dec 14 20:08:39 2024 +0100

    dialog: added dlg_update_state() function

commit 27055d06b70c495313df34630f2ec612b2f73836
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sun Dec 15 16:23:29 2024 +0100

    github: fix query fetching only success runs for nightly jobs [skip ci]

commit 95819e750b844aef1723e38e8048de680fd4a69b
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 01:36:15 2024 +0100

    cmake: add presence_dfks to MOD_LIST_PRESENCE

commit f0802546f05170607f468c21dea610fb1be4a8f1
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 01:15:27 2024 +0100

    Makefile.groups: add presence_dfks to mod_list_presence

commit 1422dde30224398f47b3acdec1741b183386a3b8
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 01:12:58 2024 +0100

    pua: support as-feature-event

commit c7379e146ebd35e218a861f4899c6596805869d8
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 10:39:16 2024 +0100

    presence_dfks: documentation

commit 2587e75bebcb40af1780dbb725daa31bd472b757
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 01:12:14 2024 +0100

    presence_dfks: handling as-feature-event presence messages

commit 7c365f76560b18aca49096121ea55791ce8f3623
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Dec 12 12:06:38 2024 +0100

    ims_diameter_server: fix retrieval ``$diameter_response`` value
    
    ``current_msg_id_repl is only`` changed if ``$diameter_reponse``
    is changed by via ``pv_set_response()``. The event_route is
    executed with a ``fake_msg`` so it will not match if is setted
    outside anyways.

commit bb221de0bb49f978d238a8aa97004bda2a7fa456
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Sat Dec 14 12:01:10 2024 +0100

    modules: readme files regenerated - topos ... [skip ci]

commit 2bd70ed7ab8ec4cf59e12be3d561c735d84f2dea
Author: Kilian WÃ¶ber <Kilian.Woeber@kontron.com>
Date:   Tue Oct 29 14:43:01 2024 +0100

    ims_isc: bugfix: firstflag incorrect in isc_match_filter

commit 90d1485c62bdfe509ff14b1b05baf0752b1a946e
Author: Stefan Mititelu <stefan.mititelu@net2phone.com>
Date:   Tue Dec 10 11:42:31 2024 +0200

    topos_htable: Small update to doc

commit df48b373c39d631f49cb3632f7547f65b58eda3e
Author: Stefan Mititelu <stefan.mititelu@net2phone.com>
Date:   Mon Nov 11 18:08:32 2024 +0200

    topos_htable: Initial commit

commit bd70a78ce22ab419a52e8733bc7ee27765d14cac
Author: Stefan Mititelu <stefan.mititelu@net2phone.com>
Date:   Mon Nov 11 18:12:32 2024 +0200

    topos: Updates for topos_htable module
    
    Add htable storage modparam.
    End storage dialog on negative replies.

commit 69db5823fc9b8ee98c59d591517a1ecef91b16db
Author: Stefan Mititelu <stefan.mititelu@net2phone.com>
Date:   Wed Oct 30 16:44:22 2024 +0200

    htable: Updates for topos_htable module
    
    Export table create api functions
    
    Fix ht_cell_pkg_copy str pointers. Otherwise, pkg cell str pointers will still
    point to shm memory. Set the pkg cell str pointers similar to how ht_cell_new
    sets the str pointers.

commit fbf2fef1ff0f3289cb4734f66b86f0a4f82f2407
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Dec 13 20:12:07 2024 +0100

    lwsc: add fixup_free* to exported functions

commit e4f51d15aab7642e62da84877fed464f8461d643
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Dec 13 20:01:09 2024 +0100

    modules: readme files regenerated - dialog ... [skip ci]

commit aae99e8e6d9cf959719b09360ff0cfc37386d722
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 13 19:50:10 2024 +0100

    dialog: update fields on dlg_set_state() changes

commit 1e97167477b7a8a4b436fa6c1b07c6346afa3204
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 13 19:28:10 2024 +0100

    dialog: docs for dlg_set_state(...) function

commit dd1b6d4ff1d15c71dc3f5cf0533478006f7aeefb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 13 19:17:39 2024 +0100

    dialog: new function dlg_set_state(newstate) - set the state for a dialog

commit 498d2d5468b29cedf781f92d3946d6c83950f152
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 13 10:52:42 2024 +0100

    dialog: docs for dlg_mode parameter

commit f7dc5ebeb931e55c72f52f3abc6f62923861584e
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Fri Dec 13 15:20:49 2024 +0000

    cmake: Fix path resolving...

commit de08b53549abc094c60fb2170c3f85085d57d466
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Fri Dec 13 15:03:58 2024 +0000

    cmake: Do not require xsltproc for non default target

commit 3b666cd45d92085815440e1cd1a71eb374c3db05
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Dec 10 15:31:55 2024 +0000

    cmake: add dbschema target

commit a27151e035828b850e76e16ae9deb70bd5b81e5e
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Dec 13 12:04:40 2024 +0100

    github: add commit message info to check step [skip ci]

commit 5d3aced14e6ae30a36be9541f2fb1b1a85c83503
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Dec 13 11:53:30 2024 +0100

    github: add more info to check step on nightly actions [skip ci]

commit 8a37acb07317d42dc3254ae5ed47573d9afa055d
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Fri Dec 13 10:48:41 2024 +0000

    cmake: Remove docs generation from default/all targets

commit 192d12333b78b0fc129c893f5fef0269fbf44b4e
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Dec 13 11:42:43 2024 +0100

    github: codeql fix nightly check route [skip ci]

commit abf0c5d7b91ed17e8226ad4c2452c19a849f2b61
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 12 20:39:45 2024 +0100

    dialog: added dlg_mode parameter
    
    - control how the dialog is managed
    - if set to 1, do not rely on tm callbacks for dialog states
    - default 0 (current behaviour)

commit 50073614023a5e9e4d2b343e7c3f9460b69ab4a3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 12 18:51:39 2024 +0100

    cmake/modules_docs.cmake: option to build modules doc with xmlproc and lynx
    
    - it is tried first, when lynx is not found, tries with xmlproc and
      pandoc

commit 5086bebaf8dcf7252350efc5385bc9c3f45e15be
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Thu Dec 12 17:34:47 2024 +0000

    cmake: Add support for package groups

commit 0582f31678eca913ae505308909798e10eb31ca0
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Dec 12 17:46:09 2024 +0100

    modules: readme files regenerated - uac ... [skip ci]

commit bab82a2ba751a1138db48074692e953bbf7be9a8
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Mon Dec 9 13:33:06 2024 +0000

    uac/docs: Update docs for uac_reg_send_register/unregister and rpc command

commit 66caed28aa5bc978c280b37be18e09381c1b5c66
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Thu Dec 5 17:34:30 2024 +0000

    uac: Export two new functions for reg/unreg and rpc for reg
    
    - uac.reg_register: Register from kamcmd
    - uac_reg_send_register: Function to register immediately without waiting for timer
    - uac_reg_send_unregister: Funtion to unregister immediately without waiting for timer
    - Move required structures/functions to .h for

commit bd7e4dc5eec2425ab96434eac434ff095ca9856a
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Dec 12 17:16:36 2024 +0100

    math: add fixup_free* to exported functions

commit 6b603c58be614fdf3798f29bff8dd8b5ebd4653e
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Dec 12 17:13:29 2024 +0100

    matrix: reformat exported structures

commit bb85dd83c0ecd9877dd8dd8ad61fb38aa308c0ee
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Dec 12 17:11:11 2024 +0100

    maxfwd: reformat exported structures

commit f5161b71a36c433370a44ec6ef2973c5f93aa8c1
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Dec 12 17:08:13 2024 +0100

    mediaproxy: reformat exported structures

commit a47ebb6349c40af7bbbc6dd90a3e8b05207c935c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Dec 12 17:04:34 2024 +0100

    memcached: reformat exported structures

commit 552b8397ecd110be3faf181f840803f6d8bf03dd
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Dec 12 17:01:04 2024 +0100

    microhttpd: add fixup_free* to exported functions

commit 4ba15a7db033b699008885473a3f8c72811975ce
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Dec 12 16:51:26 2024 +0100

    misc_radius: add fixup_free* to exported functions

commit 2b73d78789683388e5c93b4516e97b467178a25b
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Dec 12 16:45:32 2024 +0100

    mohqueue: add fixup_free* to exported functions

commit 155d6005c52c85199deffd1357dc361af21e3862
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Dec 12 16:43:01 2024 +0100

    mohqueue: reformat exported structures

commit 039a79a00e2eb34b9e61e30848f4d1bb07d68f4c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Dec 12 16:37:51 2024 +0100

    mqtt: add fixup_free* to exported functions

commit 89af5be1124faade9aa33e58b7bf199ef2af3865
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Dec 12 16:36:20 2024 +0100

    mqtt: reformat exported structures

commit 0fd77b10b758d685b3ae27d0435e6b9d4bba82f5
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Dec 12 16:05:51 2024 +0100

    mqueue: add fixup_free* to exported functions

commit 704ca58226e63d90f8cd7ddc7b4f06efe8f18756
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Dec 12 16:04:34 2024 +0100

    mqueue: reformat exported structures

commit 1a88127ede8245a96f469d7719a92ddd917a530e
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Dec 12 15:56:09 2024 +0100

    msrp: add fixup_free* to exported functions

commit e658599e737c9f2a5eb4384eebd119627a176cdb
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Dec 12 15:55:08 2024 +0100

    msrp: reformat exported structures

commit 2a8df7f1e7f77bcfac49a85d0d8c7b283de13be8
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Dec 12 15:51:15 2024 +0100

    mtree: add fixup_free* to exported functions

commit a7a386056040db183abdeff6492773141ca9a92c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Dec 12 15:50:13 2024 +0100

    mtree: reformat exported structures

commit 259935c2a2d5c367ef4773826bb69faec8256dee
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Dec 12 15:23:15 2024 +0100

    nat_traversal: add fixup_free* to exported functions

commit 0ebc38a4834d74dfee8ff7326e516c01d7273472
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Dec 12 15:22:53 2024 +0100

    nat_traversal: reformat exported structures

commit 9dc9233289d2518419438d38ac7d7b0abf4862a1
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Dec 12 15:18:46 2024 +0100

    nathelper: add fixup_free* to exported functions

commit 6ca7a392708a1ea6a38c791591272bdf5b299832
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Dec 12 15:14:30 2024 +0100

    ndb_cassandra: add fixup_free* to exported functions

commit 8e2a41e57ab428f64cc78a76ea4716186357b9d5
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Dec 12 15:08:36 2024 +0100

    ndb_cassandra: reformat exported structures

commit 2e341d4d89f228e4f6910c564c16fde1d9a64b1a
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Dec 12 15:01:30 2024 +0100

    ndb_mongodb: add fixup_free* to exported functions

commit e5c7b4ea8246f11815ab49fa0219ce2a7be3dd65
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Dec 12 14:59:53 2024 +0100

    ndb_mongodb: reformat exported structures

commit a166327a4fbd77a71f88085474eba85fe7ebdf32
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Dec 12 14:55:17 2024 +0100

    ndb_redis: add fixup_free* to exported functions

commit 793a494f5b23f2ef5e82664924c3bed3893105bb
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Dec 12 14:50:42 2024 +0100

    outbound: reformat exported structures

commit 67d6825cfac11efbb94bcab67c137beb84188187
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Dec 12 14:50:42 2024 +0100

    nsq: reformat exported structures

commit 57711e24c83afa8e46d9c17730c610d0c17dd141
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Dec 12 14:50:41 2024 +0100

    nosip: reformat exported structures

commit 92f899f3689f0f0b291590e82e61751b76b2539c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 12 12:23:41 2024 +0100

    pua_dialoginfo: rename short global variable

commit f24eed8ba01870361d916844a073df71cbc9e609
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Thu Dec 12 11:05:00 2024 +0000

    cmake: Add kamailio_docs target to all if BUILD_DOC is ON

commit 21bdc234e219db83e085b055d4f81cb3ff63193d
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Thu Dec 12 10:36:18 2024 +0000

    cmake: Fix double $ typo. Fixes building with ninja

commit 170ddcca96b3ee11f4daed1592f0cee9c753db2b
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Thu Dec 12 10:35:42 2024 +0000

    cmake: Add option to not use git to gather commit info

commit ac74fd01fade29b433eb45966a0ed5e222614318
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Wed Dec 11 09:23:09 2024 +0000

    cmake: Generete parser files in build folder

commit a557b186fed55d6a0fdba78f0e59a634df569ff9
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 19:39:58 2024 +0100

    pre-commit: cmake-format and cmake-lint hooks [skip ci]

commit f385148ff68e2125a2111d9c506022519f17d1c9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 12 10:22:27 2024 +0100

    core: use one strlen for mod_path

commit 3eb9e1d34988ebeba9d4526da8f4d804846a7316
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 12 09:18:17 2024 +0100

    tm: check the type of contacts xavp value
    
    - GH #4063

commit b0c5aa5dd06b0d3c0804a500766eecdf8df9e0df
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:05:59 2024 +0100

    core: Add SPDX identifiers

commit 45e9890237a80f00dea4013f48e826fec56cce92
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:05:23 2024 +0100

    lib/trie: Add SPDX identifiers

commit cf67057ecb123976c6a3afc40b2983c4882c491c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:05:22 2024 +0100

    lib/srdb2: Add SPDX identifiers

commit 2a9d2fe9deb6597974189d984f3d28e67c93267f
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:05:22 2024 +0100

    lib/srdb1: Add SPDX identifiers

commit 22ef7f8b9fde01948a383007f5728af031afd528
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:05:21 2024 +0100

    lib/ims: Add SPDX identifiers

commit f17cfcdc8b8af41e45462e056135acf6ef513a96
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:01:27 2024 +0100

    xmlrpc: Add SPDX identifiers

commit eeb09642c61fd44be8c5c462a032bf2d741e6e72
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:01:26 2024 +0100

    xlog: Add SPDX identifiers

commit abcd9c53741a585979875a0b8a6b4fb8f92bbf63
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:01:25 2024 +0100

    xhttp_rpc: Add SPDX identifiers

commit fa95b36ab1692bf709bd792476411a8461a8b44f
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:01:25 2024 +0100

    xhttp_prom: Add SPDX identifiers

commit 275ceab05201af0ad20c4457731e5fd4b397e00d
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:01:24 2024 +0100

    xhttp_pi: Add SPDX identifiers

commit 35ebd9a87b10355f74eb57132b2d3be3b7f7d5ba
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:01:23 2024 +0100

    xhttp: Add SPDX identifiers

commit 81697a0e0b4dbab2014a926d1beb9a17e097f890
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:01:23 2024 +0100

    xcap_server: Add SPDX identifiers

commit 3d318ae3ca31e336fb71b9733fd72395b85831c5
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:01:22 2024 +0100

    xcap_client: Add SPDX identifiers

commit 2d677edf1c8a893c733a42c19965941e349b2af0
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:01:21 2024 +0100

    websocket: Add SPDX identifiers

commit 8e43cef2d9bf432df1ce06e165207c42c4f59e67
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:01:21 2024 +0100

    utils: Add SPDX identifiers

commit bd54cc4b9aaf3ebb71dde6de43bc10e04f657450
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:01:20 2024 +0100

    usrloc: Add SPDX identifiers

commit 04e3913ad123b50157295fb65f4730fe4ac8ca21
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:01:20 2024 +0100

    userblocklist: Add SPDX identifiers

commit 70d3d02a80891244a47dc070cfbc3db7e6d90560
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:01:19 2024 +0100

    uri_db: Add SPDX identifiers

commit 56b3086da65c8ea3b08fe7fba408392368e2e445
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:01:18 2024 +0100

    uid_uri_db: Add SPDX identifiers

commit 9289417bd75b8f9de84fb3f66ffc9de46636e402
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:01:18 2024 +0100

    uid_gflags: Add SPDX identifiers

commit 8517cbb590c97c5ef483bfa1c83e99e8095d60a7
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:01:17 2024 +0100

    uac: Add SPDX identifiers

commit 989d731b6c61f5b11969a4bfdde663e9b7360533
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:01:16 2024 +0100

    tsilo: Add SPDX identifiers

commit 0747c4afc49a75efd0530603196339e7072cfdce
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:01:16 2024 +0100

    topos_redis: Add SPDX identifiers

commit aafc86407d585017716e7beb00fbdcb727a2ca85
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:01:15 2024 +0100

    tmrec: Add SPDX identifiers

commit 45d2b1a64faddf0e940bf91d35fed424e7eb96cf
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:01:14 2024 +0100

    tm: Add SPDX identifiers

commit 619de8c304c62cfdf94521f6ceb8929ae2937406
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:01:13 2024 +0100

    tls_wolfssl: Add SPDX identifiers

commit 0e0b8c64e20c6bbef00105f04dfae63570f90216
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:01:13 2024 +0100

    tls: Add SPDX identifiers

commit 4989c7382e5f24070dc4ac1058243692a02cb316
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:01:12 2024 +0100

    timer: Add SPDX identifiers

commit d6570f2adbfee2616c61d06a43a4bfe047829178
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:01:11 2024 +0100

    textops: Add SPDX identifiers

commit a214aaa5fcd760763187e991209f9ace9a3ae55b
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:01:11 2024 +0100

    stun: Add SPDX identifiers

commit 655477462b27964fb152c57c71b8dd68f158d339
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:01:10 2024 +0100

    statistics: Add SPDX identifiers

commit 0846506da113a791e52aa2baa40e088ea56d0cbe
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:01:09 2024 +0100

    sst: Add SPDX identifiers

commit c962c9a9fee427a472ff44784fd952e4e17cb57c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:01:08 2024 +0100

    ss7ops: Add SPDX identifiers

commit 00d9a6d9acb06d51b9f65d6aa612ca6015ba1a2c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:01:08 2024 +0100

    sqlops: Add SPDX identifiers

commit 4c673c955849f0b8d539bd871f288df7fa8bc936
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:01:07 2024 +0100

    snmpstats: Add SPDX identifiers

commit cf499ac97c396431db42ae649a4caf0aceedd57d
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:01:03 2024 +0100

    smsops: Add SPDX identifiers

commit f469caab97aed92a595c2c187800bc557461e9f1
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:01:02 2024 +0100

    sms: Add SPDX identifiers

commit d6ca325133c3d58efa9a8cc80cf3a5964d53be31
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:01:02 2024 +0100

    slack: Add SPDX identifiers

commit fcf32207dbef139ae588de4d3b6ea1c9b9d5b9b1
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:01:01 2024 +0100

    sl: Add SPDX identifiers

commit c0d7ded283ab44a949d73e8575bda4a4978eb0f9
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:01:00 2024 +0100

    siputils: Add SPDX identifiers

commit 4f515d780dd553f6e8f1944a68f909a5b27c71e3
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:59 2024 +0100

    siptrace: Add SPDX identifiers

commit aaf30b923adf23a35237cf4d88eab25240973f69
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:58 2024 +0100

    sipjson: Add SPDX identifiers

commit de62171971e35684f2c043ba0130fbf00a3088c9
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:58 2024 +0100

    sipcapture: Add SPDX identifiers

commit 215b6d2b0de31554e69a4e3322873eb58bb198a6
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:57 2024 +0100

    secfilter: Add SPDX identifiers

commit 56f38e6d9a7107a9d1de010b6fa547b533262c89
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:54 2024 +0100

    seas: Add SPDX identifiers

commit bfa085842c617ec651ed274bcd070d898dbdb903
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:53 2024 +0100

    sdpops: Add SPDX identifiers

commit 70af9360aadd1e93e5997aec7f156686abbe9937
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:52 2024 +0100

    sanity: Add SPDX identifiers

commit 468bd04be0a53249d4c0e2fd1e5428ffe45e7775
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:51 2024 +0100

    rtpproxy: Add SPDX identifiers

commit 53e65163d93aed0d9003dbb8b2d794432e4e69b3
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:50 2024 +0100

    rtpengine: Add SPDX identifiers

commit 486087a5e1adc81704734dccbd8504690afa6ceb
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:50 2024 +0100

    rtp_media_server: Add SPDX identifiers

commit e7491022e54274c3ad5d9ceb7c8fd320c8129f24
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:49 2024 +0100

    rtimer: Add SPDX identifiers

commit 1c0a4cf95fecfe1bf032760a28e217f52a5ebf03
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:48 2024 +0100

    rr: Add SPDX identifiers

commit 7a54052542d5bbd5d3120919c6075bfce119e1a6
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:47 2024 +0100

    rls: Add SPDX identifiers

commit 3f88f7abb51883d61e999f687f8e24fa96a55b5b
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:46 2024 +0100

    registrar: Add SPDX identifiers

commit c7879a939eb6b14e495e2d8e57983387b78e7325
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:45 2024 +0100

    regex: Add SPDX identifiers

commit 3311c525c96f2ed66b3bd1a9e1696dc06d28fa84
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:44 2024 +0100

    ratelimit: Add SPDX identifiers

commit b3ada76706929a896e6a95180496ad49002af499
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:44 2024 +0100

    qos: Add SPDX identifiers

commit 512b3bcbbab7b02b41b2eeae501fd23a82ec6d82
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:43 2024 +0100

    pv_headers: Add SPDX identifiers

commit 1765e6db700f4f5f13311f67e881571f82c641e8
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:42 2024 +0100

    pv: Add SPDX identifiers

commit 3f0835cf897df0221b75ee30ea68c9a98b1aaf73
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:41 2024 +0100

    pua_xmpp: Add SPDX identifiers

commit adf6d9279811610c77eea5064201dea02ac6ace9
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:40 2024 +0100

    pua_usrloc: Add SPDX identifiers

commit 747a491c6c0a0ce69a03d752fee3fbff226612d0
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:39 2024 +0100

    pua_rpc: Add SPDX identifiers

commit 1393e5c22d33bba8c6273a7cf3948ff7b1afb7e1
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:38 2024 +0100

    pua_reginfo: Add SPDX identifiers

commit 63144a0a922434dc89f2bb9c5ea32d8c7f64a88b
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:37 2024 +0100

    pua_json: Add SPDX identifiers

commit 27f66d18bd7332ffb42d5722e2744d2369fa1b05
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:36 2024 +0100

    pua_dialoginfo: Add SPDX identifiers

commit 8051f72dda8b559a04f8af4cdea30aa76f5adafe
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:35 2024 +0100

    pua_bla: Add SPDX identifiers

commit e71c7c3bdf1e60e893b4bb8c2dc401538c9b5992
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:34 2024 +0100

    pua: Add SPDX identifiers

commit c244a8b6130616fb9c0beba3a7dc19151d838bc3
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:33 2024 +0100

    presence_xml: Add SPDX identifiers

commit 693bc642ee9489abb27ed68df241e419aa68416c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:33 2024 +0100

    presence_reginfo: Add SPDX identifiers

commit fe99621c3f8af27102495a4f09f528d9194c0b3b
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:32 2024 +0100

    presence_profile: Add SPDX identifiers

commit 26f66a729135e3f9dacf5bf8d7908cf7bfd15650
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:31 2024 +0100

    presence_mwi: Add SPDX identifiers

commit 9e0876a5020bc3c05599ac66b2c189f158dd0c7b
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:30 2024 +0100

    presence_dialoginfo: Add SPDX identifiers

commit 9597c77b30c9fe8d0b33f30a132ceb64f7c88027
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:29 2024 +0100

    presence_conference: Add SPDX identifiers

commit 68a67de8a704b83298a36f82e92e32c94b6ee0d1
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:28 2024 +0100

    presence: Add SPDX identifiers

commit 3c672c59608a5aa42d020431f236c419f6a330b2
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:27 2024 +0100

    prefix_route: Add SPDX identifiers

commit a8e4118b65ae3b141d0fbccab5090a94cb82a24d
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:26 2024 +0100

    pipelimit: Add SPDX identifiers

commit 9ec7ded1d12496f4557f814655970a05defc6b8c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:25 2024 +0100

    pike: Add SPDX identifiers

commit 8a334b10abf8ab37d468cfdfbfa40c851ec4b677
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:24 2024 +0100

    permissions: Add SPDX identifiers

commit fd494ee08eb9f8217b299181544b157b069a5e3b
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:23 2024 +0100

    peering: Add SPDX identifiers

commit 54094e50843f0a555890d24ce584936fbeb44988
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:22 2024 +0100

    pdt: Add SPDX identifiers

commit 3b54347e5440468cec0157b0158d10391f27c7f3
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:21 2024 +0100

    pdb: Add SPDX identifiers

commit c9005e6773011c3fb0d759ac272799b00a7e0a18
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:20 2024 +0100

    path: Add SPDX identifiers

commit d125af54a5747ab88b5cdd23b9de8b8e427ee21c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:19 2024 +0100

    p_usrloc: Add SPDX identifiers

commit 1d4350cab6c9ef49dcbd9a3aeb072e1131c6ff62
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:18 2024 +0100

    outbound: Add SPDX identifiers

commit 4dd97cebab4893547854b10052c6328b7c3715ab
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:17 2024 +0100

    nsq: Add SPDX identifiers

commit 8446c8fa3aaa8d2bc28ba62baf4d4a3f61fffb6a
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:16 2024 +0100

    nosip: Add SPDX identifiers

commit 9a81fa423bedaa725b40d5dafa963c901b3d49b1
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:15 2024 +0100

    ndb_redis: Add SPDX identifiers

commit 1cd5da41c1b8bce0c7503e704934276155e00cd7
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:14 2024 +0100

    ndb_mongodb: Add SPDX identifiers

commit 0067f2e23893a5cb4c4a3965679341d0bdc58157
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:13 2024 +0100

    nats: Add SPDX identifiers

commit 5e75b7fb91cd3b54f05b952c085ed080b2d5c574
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:12 2024 +0100

    nathelper: Add SPDX identifiers

commit 5650fb95ea197e64d7aff2de38592df1772d57d3
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:08 2024 +0100

    nat_traversal: Add SPDX identifiers

commit e9ece43494a04ae2443392b9964adacc7db81c04
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:07 2024 +0100

    mtree: Add SPDX identifiers

commit c5199be3257a640cab5a747a04de4f0a4f286757
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:06 2024 +0100

    msilo: Add SPDX identifiers

commit 86c3b9a3284d10b8c086e790a1e41d573f483eb2
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:05 2024 +0100

    misc_radius: Add SPDX identifiers

commit a4b7fbf49d9182369ef0ec9034110728ab634102
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:04 2024 +0100

    memcached: Add SPDX identifiers

commit e54a240f7fc9da26130fb28747eeb34b785c2055
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:03 2024 +0100

    mediaproxy: Add SPDX identifiers

commit 7e0ab4543a2896c2dd799742d1a06697d4798d8f
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:02 2024 +0100

    maxfwd: Add SPDX identifiers

commit 4fd78ea809446ccfb62afab0de110b8bbe8d8faf
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:01 2024 +0100

    matrix: Add SPDX identifiers

commit 0575d7ff381feb25bed3b358e6424c6d84bc33cc
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 23:00:00 2024 +0100

    mangler: Add SPDX identifiers

commit b7382340ce8b8a15d745f0773d225f7d873c6ca0
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:59:59 2024 +0100

    lwsc: Add SPDX identifiers

commit db3a1e46836387d8f4137fcccc7d0cd6c2fd0db1
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:59:58 2024 +0100

    lrkproxy: Add SPDX identifiers

commit 586e01fa2831388a87a30919e5f12e42a2b522ef
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:59:57 2024 +0100

    lost: Add SPDX identifiers

commit 7af520bfbc9e3cce1a379753dfd0a8697e213238
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:59:53 2024 +0100

    ldap: Add SPDX identifiers

commit af08f0d3a2480594d8c1c8823dc3874e27b6aca7
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:59:52 2024 +0100

    lcr: Add SPDX identifiers

commit 35f3c9a813844b0dda3266980e968464d249f7fd
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:59:51 2024 +0100

    kex: Add SPDX identifiers

commit 0924ef12d2e49a4b4355432357b83cc7a85bc502
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:59:50 2024 +0100

    kemix: Add SPDX identifiers

commit 17e4706781904775d6d4086bdbc683650f0504d0
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:59:49 2024 +0100

    keepalive: Add SPDX identifiers

commit 53491085994213870d3e30cc1f0bf4a523f8f68f
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:59:48 2024 +0100

    kazoo: Add SPDX identifiers

commit 45623486677b341c448003f7feb9db436dd87ec6
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:59:47 2024 +0100

    kafka: Add SPDX identifiers

commit f95ac290104fbe1d1a9b136f03efb6902696bb43
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:59:46 2024 +0100

    jsonrpcs: Add SPDX identifiers

commit 93d9a01cd5f76173bc32f3715c879dcc9fed12b4
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:59:45 2024 +0100

    json: Add SPDX identifiers

commit a62030c92cd3a81bd8132812ecfb61686945bedb
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:59:44 2024 +0100

    ipops: Add SPDX identifiers

commit 0f23189fb86f0b0e927d83767b9a2b4fc483101c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:59:43 2024 +0100

    ims_usrloc_scscf: Add SPDX identifiers

commit 7b826503be7a4215bdde27beae25f5bd57b017d4
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:59:39 2024 +0100

    ims_usrloc_pcscf: Add SPDX identifiers

commit 4b74c5e450523d388826dff5e64027be5b73cab8
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:59:37 2024 +0100

    ims_registrar_scscf: Add SPDX identifiers

commit 23d2e9008d8046aeb28d7d5cf415787552671160
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:59:36 2024 +0100

    ims_registrar_pcscf: Add SPDX identifiers

commit e3f895005750609fc8add4d38b1b10198ef0e833
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:59:32 2024 +0100

    ims_qos_npn: Add SPDX identifiers

commit 9eba45e949d20b405ecfe5319958eabebdc7c605
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:59:28 2024 +0100

    ims_qos: Add SPDX identifiers

commit 31d53e60f6f6e98a5472cefa2518c44932a26da4
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:59:27 2024 +0100

    ims_ocs: Add SPDX identifiers

commit 3d683eaf955a4356b2d3692367fab0db61375c07
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:59:26 2024 +0100

    ims_isc: Add SPDX identifiers

commit feab83bd20318f9366c76302cf47b772df471e44
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:59:22 2024 +0100

    ims_ipsec_pcscf: Add SPDX identifiers

commit 37773f1c987d50edee1c42beb7e281eaddcf910a
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:59:21 2024 +0100

    ims_icscf: Add SPDX identifiers

commit 2a013242af941169f94907187aa058cd7c198b27
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:59:20 2024 +0100

    ims_diameter_server: Add SPDX identifiers

commit d48c4cdf343558dd52429978d46f615d54450a9d
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:59:19 2024 +0100

    ims_dialog: Add SPDX identifiers

commit d33d2fcaf1aff91dbf1531fae5bc4d8584084efa
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:59:17 2024 +0100

    ims_auth: Add SPDX identifiers

commit 27fb2173d71b616813bb20a4aba6a197343bff6a
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:59:08 2024 +0100

    imc: Add SPDX identifiers

commit 9f31331280847fb382ea214474c533bf05d2e530
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:59:07 2024 +0100

    http_client: Add SPDX identifiers

commit a6d4d227b1cf944c2c21e2428ab6f11acc68630c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:59:06 2024 +0100

    htable: Add SPDX identifiers

commit 66ccc3228f5864398b9c56c82b6a338e91fb9f32
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:59:05 2024 +0100

    h350: Add SPDX identifiers

commit 203faa091bfd78cc3b0ead1c52dfbecc05ec5e2b
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:59:03 2024 +0100

    group: Add SPDX identifiers

commit 9bd40fef247e9720340d98ab257512a2f1dcca60
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:59:02 2024 +0100

    gcrypt: Add SPDX identifiers

commit e7019147a02c81f6b089bf98d56d9fd68867c5a4
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:59:01 2024 +0100

    file_out: Add SPDX identifiers

commit 83bc4ea0841db430b62af300c6a09d09fa5841fd
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:59:00 2024 +0100

    exec: Add SPDX identifiers

commit ffe88704b97d7e6b79f57f8d1abb55ac60c2103f
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:58:58 2024 +0100

    evrexec: Add SPDX identifiers

commit 2dd979e0bb0bd94e42f32c10f59a6afa6d27a957
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:58:57 2024 +0100

    erlang: Add SPDX identifiers

commit fa351e58d23ad0c95d123946ff57f193022eb622
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:58:56 2024 +0100

    enum: Add SPDX identifiers

commit 5e978f5053dfa2b5d94a67c0a2e3ee164b16d125
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:58:55 2024 +0100

    drouting: Add SPDX identifiers

commit f188d8334d7aa0f8a5650cdf14fcc5a3278342b4
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:58:54 2024 +0100

    domainpolicy: Add SPDX identifiers

commit aed07a2e2dcc3b92f5427619450855d39fdc5cbd
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:58:52 2024 +0100

    domain: Add SPDX identifiers

commit 3d9bd55d3faf10a3606a8908e48f80d3a05e7e6d
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:58:49 2024 +0100

    dnssec: Add SPDX identifiers

commit f54029f974e9f3e365d553f331a25be8ab16a108
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:58:47 2024 +0100

    dmq: Add SPDX identifiers

commit 552e95ef51be64f2e157f9271e66bc81a45cee5e
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:58:46 2024 +0100

    diversion: Add SPDX identifiers

commit 08da47d0cf697afee3aded110eef436a7c70413c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:58:45 2024 +0100

    dispatcher: Add SPDX identifiers

commit 2561fe4ba30edc91222e9e4208be1c36807c0159
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:58:43 2024 +0100

    dialplan: Add SPDX identifiers

commit 156ed606031ee70ccd8570cef3caa77c69b0e6f9
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:58:42 2024 +0100

    dialog: Add SPDX identifiers

commit cc5dc1c41ff9e8f03da97d316bb29211badaaebb
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:58:41 2024 +0100

    db_unixodbc: Add SPDX identifiers

commit 83299e3aee0aebe9f34017f0b9dcaae658fb9499
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:58:40 2024 +0100

    db_text: Add SPDX identifiers

commit ee5c4804f21edbf6bd4e66d43065681198bf2bc4
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:58:39 2024 +0100

    db_sqlite: Add SPDX identifiers

commit 19493261472024596736e2ac5b12d1078cc6dbf1
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:58:37 2024 +0100

    db_redis: Add SPDX identifiers

commit 491fb4ed2772f8f3fc6c0c55958a769f5e9db959
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:58:33 2024 +0100

    db_postgres: Add SPDX identifiers

commit eabdd38700a21bd808e5a9a9c52dd9077f511eab
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:58:32 2024 +0100

    db_perlvdb: Add SPDX identifiers

commit 4c0a4c30286c3420d9d1af15145e0526aec6187d
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:58:30 2024 +0100

    db_oracle: Add SPDX identifiers

commit 6345c9fa037e97d604e1694bd85f37bd678e9f5a
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:58:29 2024 +0100

    db_mysql: Add SPDX identifiers

commit 26a79c5e0a91c9231da15435202131fbd90be9c2
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:58:28 2024 +0100

    db_mongodb: Add SPDX identifiers

commit ed4ababf52193f1df0ecf05ca832d0bfd392d526
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:58:26 2024 +0100

    db_flatstore: Add SPDX identifiers

commit a3795baab1f28b2ef994f3b0cd68a9284bad1a49
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:58:25 2024 +0100

    db_cluster: Add SPDX identifiers

commit 4db0a0c7fe6884cd5e28d3f59f39be9cfb70643a
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:58:24 2024 +0100

    db_berkeley: Add SPDX identifiers

commit b158a25960f1c0da6694f0c83deaa06620ed511d
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:58:22 2024 +0100

    db2_ops: Add SPDX identifiers

commit 8d1b2baff2837135d5e326e4341df3ec665ae3cf
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:58:21 2024 +0100

    ctl: Add SPDX identifiers

commit 0391b88b3623dd1999380e5dd6e989db6d91a710
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:58:20 2024 +0100

    crypto: Add SPDX identifiers

commit 71065a8b009c937e5f709272eab268d52e29775c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:58:14 2024 +0100

    cplc: Add SPDX identifiers

commit fb51373c47485938228e0cd0daf7409a223547a4
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:58:13 2024 +0100

    cnxcc: Add SPDX identifiers

commit 1fabd85930dc1aa387c01fcf2225846d276ee159
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:58:12 2024 +0100

    cfgutils: Add SPDX identifiers

commit 7cfb2f54a394d2240c01fb540f8334007e566146
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:58:10 2024 +0100

    cfgt: Add SPDX identifiers

commit 03fc02c8bdc3f416864733fe1d0aa4a1b157d38b
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:58:09 2024 +0100

    cfg_db: Add SPDX identifiers

commit 722505a768658266f627db8375eacccdf1df9ec4
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:58:07 2024 +0100

    cdp_avp: Add SPDX identifiers

commit ebb1d8fda21bca1d75a19370814d72d02e303634
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:58:06 2024 +0100

    cdp: Add SPDX identifiers

commit 56d4f70936c76c7d644ea08dffbcc0c9fc3d7895
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:58:00 2024 +0100

    carrierroute: Add SPDX identifiers

commit 613d3711e9c85f7321bc05018ff1e5d61b95c38b
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:57:58 2024 +0100

    call_obj: Add SPDX identifiers

commit c2f860515ed9628952305691280ebefe5edd4f31
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:57:57 2024 +0100

    call_control: Add SPDX identifiers

commit 51551fb2a3f8c02753bfdcc0e7bbd0aae1c6e57e
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:57:55 2024 +0100

    benchmark: Add SPDX identifiers

commit a471b4ab3bfe87f3a119736da1682a640502f45a
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:57:54 2024 +0100

    auth_radius: Add SPDX identifiers

commit 26ab7d68cd13a353213a640ffedb46df61028566
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:57:52 2024 +0100

    auth_ephemeral: Add SPDX identifiers

commit e12ba58c06601228e69e8400c94b68f23fe966fc
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:57:51 2024 +0100

    auth_diameter: Add SPDX identifiers

commit 8a8a48ff65126d67ce919bda2b1c71cfdd0e5996
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:56:07 2024 +0100

    auth_db: Add SPDX identifiers

commit ca77d9e9e2efd3ba53ea359bacbfea3961423bb2
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:56:05 2024 +0100

    auth: Add SPDX identifiers

commit b7613ef8a4607b219a251ceada82dd7b170f3252
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:56:04 2024 +0100

    app_ruby_proc: Add SPDX identifiers

commit e38b9db4ec6ed113ae8fd281f78dd6889f43a46f
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:56:02 2024 +0100

    app_python3s: Add SPDX identifiers

commit a59475a92cb2dc61cdc94b817c5b05325fa4e345
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:56:01 2024 +0100

    app_python3: Add SPDX identifiers

commit 180b69b7b0f32390aabfbeb70de279fe9fabe934
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:55:59 2024 +0100

    app_python: Add SPDX identifiers

commit 4a845def286d3ef64875b174e11db8012d22a6c1
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:55:57 2024 +0100

    app_perl: Add SPDX identifiers

commit ae6f5e92e93874d83142cca3ee72ddb006c9640d
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:55:55 2024 +0100

    app_lua: Add SPDX identifiers

commit b42800ec738a97d0368533123cf012c2e21318ce
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:55:54 2024 +0100

    app_jsdt: Add SPDX identifiers

commit 9a3240062f069e14588b5b45a130e759b3db9f6f
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:55:52 2024 +0100

    acc_radius: Add SPDX identifiers

commit 345a05fee9e7a3275aaa5b83af8d6da59382fb27
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:55:50 2024 +0100

    acc_json: Add SPDX identifiers

commit 9e473a6655a6fd3d1066420d947613fe0098af29
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:55:49 2024 +0100

    acc_diameter: Add SPDX identifiers

commit da934172a395b2a68eae839c7ccf1178fa9a54e1
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:55:47 2024 +0100

    acc: Add SPDX identifiers

commit 5664d861d06ec105196c51ac3dcc9f136b5f5b74
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:09:05 2024 +0100

    p_usrloc: reformat exported structures

commit a096d09bb54cd4259b46356c5cc24a53d751baf5
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:05:19 2024 +0100

    path: add fixup_free* to exported functions

commit ca415a35092ffbefbfdde714e7c7759470342907
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:03:20 2024 +0100

    path: reformat exported structures

commit e1070f23f748ffdcf448562c2b1f99286ed24692
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 22:00:03 2024 +0100

    pdt: add fixup_free* to exported functions

commit bec7e25a3fd3b3ef7f6770f9f7f4a3ea32ddd7b5
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 21:57:47 2024 +0100

    peering: reformat exported structures

commit c7c25190e008723a78c827a40a52363b116013f5
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 21:51:46 2024 +0100

    pike: reformat exported structures

commit 78594dbf653b46d24cc7eaa26ff28b43b0c024ce
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 21:46:58 2024 +0100

    pipelimit: add fixup_free* to exported functions

commit 04cbace26b1e145c15fcff51445571cedfd4031d
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 21:42:13 2024 +0100

    prefix_route: add fixup_free* to exported functions

commit 713efe7b382e9e1d83240f3e348cbf46db46f1de
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 21:41:17 2024 +0100

    prefix_route: reformat exported structures

commit 0511e00f9ece75a61b8a3799a3d75f08c2013afa
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 21:31:13 2024 +0100

    presence: add fixup_free* to exported functions

commit 0aa58fe66845cb1b4fe1b6d14fbb73df1bdfb640
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 21:10:25 2024 +0100

    devcontainer: add cmake and cmake extensions [skip ci]

commit c28bd51076b5c50836cd4946e4e93c6d445fe068
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 19:37:12 2024 +0100

    presence_conference: reformat exported structures

commit 0193b48403c7d6d43370ddcd6a2ecafaee023e07
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 19:35:37 2024 +0100

    presence_dialoginfo: reformat exported structures

commit 802bee7c205d402f6bdc3ba9c4210966ea758506
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 19:33:53 2024 +0100

    presence_mwi: reformat exported structures

commit d916aa671f10b284aff0217fdf3182256b62ec7e
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 19:28:39 2024 +0100

    presence_profile: reformat exported structures

commit 07a47afb577c7958f23cd46c80f26edcb4f2995b
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 19:26:45 2024 +0100

    presence_reginfo: reformat exported structures

commit ab033f5ed335b731a5026c9401b6bbf6d488ffe6
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 19:23:39 2024 +0100

    presence_xml: add fixup_free* to exported functions

commit 64fe1638c08ac6c7e44daf663d24f088344a511a
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 19:20:49 2024 +0100

    pua: reformat exported structures

commit e39420a17a6e1bbd8f1e87d456cc7f50f97781c9
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 19:15:47 2024 +0100

    pua_reginfo: reformat exported structures

commit 93b979aa5b3dd6ebd18eea20752af848fc83a74b
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 19:11:46 2024 +0100

    pua_rpc: reformat exported structures

commit bbb373e2239e5e25527b708551dd5e03399f7bf3
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 19:08:36 2024 +0100

    pua_usrloc: reformat exported structures

commit eaefe0f2f50a7bf1bbb17c14511d7ae5a4b4deee
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 19:05:59 2024 +0100

    pua_xml: reformat exported structures

commit 954fa3188b3e5e18b0992667b8904a1d17430598
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Wed Dec 11 17:21:49 2024 +0000

    cmake: Use CMAKE_INSTALL_FULL_* paths where appropriate
    
    - include(GNUInstallDirs) from root so all CMakeLists have access to the variables
    -CMake formatting

commit b540392ef910a63f2bda1b78d5970298edc87308
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 11 15:38:02 2024 +0100

    cmake: support for intel 32b cpu architectures
    
    - identified with i386, i486, i586 and i686
    - target cpu arch aliased it i386, like in old-makefiles, some code
      depending on it

commit 2fbea39d4125be89f36cce161f9e6b0dbcd50595
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 13:14:06 2024 +0100

    github: codeql use same strategy for nightly builds [skip ci]

commit ccadde0a6656cd78fc1b4f67ed40b5a6ac119d9e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 11 11:19:11 2024 +0100

    cmake/defs.cmake: value of -DCOMPILER updated to include compiler suite name
    
    - similar format like for old-makefiles, not only the version number

commit 6edc0396a04664e18ac43cbb024cde9cf2120a8c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 11 11:03:25 2024 +0100

    src/CMakeLists.txt: log compiler details

commit 28f4089efcc9c2ccf8c79fc9ecc509ae29d873e5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 11 09:49:15 2024 +0100

    cmake: added target compile option -ffile-prefix-map
    
    - remove the ${CMAKE_SOURCE_DIR} and path to modules from __FILE__
      define
    - the CMake provides absolute path to compiler, resulting in very long
      log messages when left without this option, like:
    
    DEBUG: <core> [/home/ubuntu/work/kamailio-dev/src/core/sr_module.c:915]: ...
    DEBUG: htable [/home/ubuntu/work/kamailio-dev/src/modules/htable/ht_var.c:193]: ...
    
    - this option should make it like it is with the old-makefiles
    
    DEBUG: <core> [core/sr_module.c:915]: ...
    DEBUG: htable [ht_var.c:193]: ...

commit 7f24bc09863220b4c14e2046708c10ff0891c038
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 00:09:02 2024 +0100

    db_unixodbc: fix incompatible-pointer-types warning
    
    > dbase.c: In function 'db_unixodbc_close_impl':
    > dbase.c:261:32: error: passing argument 2 of 'db_do_close' from incompatible pointer type [-Wincompatible-pointer-types]
    >  261 |         return db_do_close(_h, db_unixodbc_free_connection);
    >      |                                ^~~~~~~~~~~~~~~~~~~~~~~~~~~
    >      |                                |
    >      |                                void (*)(struct my_con *)
    > In file included from val.h:34,
    >                  from dbase.c:33:
    > ../../lib/srdb1/db.h:495:40: note: expected 'void (*)(struct pool_con *)' but argument is of type 'void (*)(struct my_con *)'
    >   495 | void db_do_close(db1_con_t *_h, void (*free_connection)(struct pool_con *));
    >       |                                 ~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    > make[2]: *** [../../Makefile.rules:101: dbase.o] Error 1
    
    related #4064

commit 06cc2560e5358468178ef3e5c795a8a0ec67b693
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Dec 10 23:58:06 2024 +0100

    db_sqlite: fix incompatible-pointer-types warning
    
    fixes #4064

commit d87d950c8eb78ab97fdf0c3461b2f086edb6e0a3
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Dec 10 23:26:52 2024 +0100

    github: alpine improve nightly builds check [skip ci]
    
    compare last_sha built instead of just commit date

commit 4cbcec438c0a6a8ba4899ef4d9e9511acde33de6
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Dec 10 19:24:40 2024 +0100

    github: execute codeql on pkg-kamailio-docker container [skip ci]

commit a266e051fd6b45617dc8966effd96a1d08d85960
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Dec 10 18:41:02 2024 +0100

    github: codeql.yml on self-hosted runner

commit a08da7b34b01f4b0a579fbfdc141bf2944613736
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Dec 10 14:39:03 2024 +0000

    cmake: Use evaluated full paths from cmake for correct handling of special cases

commit b6f25031590e472f0f63b3e2a4fa61dad946a582
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Dec 10 12:37:00 2024 +0000

    cmake: Build type set to Debug

commit 329f95e95f7f80e5af2495f0a4273885a5112051
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Dec 10 10:34:08 2024 +0000

    cmake: Do not link to kamailio binary

commit 9ff2bb869dafca8521a0da7f112c3846f86c5f7e
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Dec 10 10:31:48 2024 +0000

    cmake: Add generating parsing files dependency

commit 909e659dc33942a92e54bed37ee1387f121c63e6
Author: Nikolay Ivanuschak <ivanuschak.nikolay@gmail.com>
Date:   Mon Nov 4 22:58:44 2024 +0300

    http_async_client: fixed crash on curl callback

commit e71b02a326e2ce54e4bf6c6c209f79af43c54278
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Dec 9 21:23:03 2024 +0000

    github: [skip ci]: bump threeal/cmake-action from 2.0.0 to 2.1.0
    
    Bumps [threeal/cmake-action](https://github.com/threeal/cmake-action) from 2.0.0 to 2.1.0.
    - [Release notes](https://github.com/threeal/cmake-action/releases)
    - [Commits](https://github.com/threeal/cmake-action/compare/v2.0.0...v2.1.0)
    
    ---
    updated-dependencies:
    - dependency-name: threeal/cmake-action
      dependency-type: direct:production
      update-type: version-update:semver-minor
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

commit 8e398b8675079e1baac7c7575e70283175cdebe2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 9 19:04:25 2024 +0100

    lib/srdb1: new and free connection callbacks expect one parameter
    
    - new connection is executetd with a database id and free connection
      with a pool con
    - compiler warnings:
    src/lib/srdb1/db.c:322:23: warning: passing arguments to a function without a prototype is deprecated in all versions of C and is not supported in C2x [-Wdeprecated-non-prototype]
      322 |                 con = new_connection(id);
    src/lib/srdb1/db.c:361:18: warning: passing arguments to a function without a prototype is deprecated in all versions of C and is not supported in C2x [-Wdeprecated-non-prototype]
      361 |                 free_connection(con);

commit 83e9cc036147b071281ad5c444a473ece83f618e
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Fri Dec 6 12:16:01 2024 +0000

    cmake: Link internal libraries to core and remove them from modules

commit ef73fb876f527c3bde4b425e3ec70d3f613fcb87
Author: Matthias Urlichs <matthias@urlichs.de>
Date:   Fri Nov 29 17:01:45 2024 +0100

    app_python3s: fix exception handling
    
    Python's C interface contract states that C code must *either*
    raise an exception and return NULL, *or* return a Python object.

commit 91dc75e65bb2a6643b8b322024416c420caf5d64
Author: Matthias Urlichs <matthias@urlichs.de>
Date:   Fri Nov 29 17:01:45 2024 +0100

    app_python3: fix exception handling
    
    Python's C interface contract states that C code must *either*
    raise an exception and return NULL, *or* return a Python object.

commit ba0c570ca95bff06c8ce04779371567d88a4e9f8
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Dec 9 09:46:10 2024 +0100

    modules: readme files regenerated - tm ... [skip ci]

commit 5e0bc1a5c9764ce472354a0aa242b7469d79eb7f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Dec 8 21:28:48 2024 +0100

    tm: small updates about timer avp params and compatibility modes

commit 49210190059df309677fa97204e4c50bde290990
Author: Sergey Safarov <s.safarov@anycast-lb.net>
Date:   Fri Dec 6 15:41:59 2024 +0200

    pkg/kamailio: removed libsrdb and libkamailio_ims from packaging

commit b4ec854c0822a61790ea4fa1bc6387cddce4cf35
Author: Sergey Safarov <s.safarov@anycast-lb.net>
Date:   Fri Dec 6 15:05:52 2024 +0200

    pkg/kamailio/obs: added systemd template to start multiple kamailio services
    
    GH#3904

commit 11df36260af8192948ffea8b3fae06cb3b18032c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:47:34 2024 +0100

    xhttp_pi: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 9ee23160822ff953cdd756ad8f1f8374269f0ef3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:47:31 2024 +0100

    uri_db: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit d22e4fb8f472225c87bf4d7c831d616925bb1b44
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:47:29 2024 +0100

    uid_uri_db: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 378aae9e2cd975ffbe4cf1206383ebcc8576ccb1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:47:27 2024 +0100

    uid_gflags: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 872ee0759b8c76873b245a257fa4ace92c7123d7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:47:24 2024 +0100

    rtpproxy: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 4603e47511d8631446493b8e51d38259b8e29799
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:47:21 2024 +0100

    rtpengine: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 78201b70cb90f94a30b2d4d09123822d91b57087
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:47:18 2024 +0100

    db2_ops: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 001d1c7f8503ceedfdc7f75c906bbff318ac825f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:47:16 2024 +0100

    alias_db: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 460d25c4dc21f789963f2f8084f55d3568b15afb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:46:50 2024 +0100

    xcap_server: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 1015bb167ab19b346764f4d0c23c14a7578724e1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:46:47 2024 +0100

    xcap_client: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 8922ff32cc704511ac120751b02bff2a2d99fbfb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:46:43 2024 +0100

    utils: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 5cbc70c06266ee00deaa5e4d05e73a21b120a8b6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:46:39 2024 +0100

    usrloc: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 76856b6309d443f9133374c00facce6e8244d94a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:46:35 2024 +0100

    userblocklist: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 31a3ada1e12728dc8d36708cf468cdd0f13d2f0c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:46:20 2024 +0100

    uid_domain: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 0b4593d37e69c15545286fdedfa1401c7b0f350b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:46:16 2024 +0100

    uid_avp_db: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 5c6220e0f04c7946eca95ce1e4a28f7792283a5f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:46:12 2024 +0100

    uid_auth_db: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 61ffd59c4dce4bb960cb44f15acf8d9f611032c1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:46:07 2024 +0100

    uac: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit f4f5873636c8db9c03489b2a9a95db8e785fd8c5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:46:02 2024 +0100

    topos: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 72b8145ee4a139db50aac4c2d2f85b11ac69c8b4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:45:57 2024 +0100

    sqlops: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 2cf799fd0d234c27660a60e6398a9ae632ebb19c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:45:52 2024 +0100

    speeddial: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit cb32ba25959e33bfb6aafe14e3f27d48d7651143
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:45:47 2024 +0100

    siputils: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 277526f19571b1c0ffc823fee7d94eb5aeee67f6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:45:42 2024 +0100

    siptrace: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 0ff9e29837547afad4b8bb6360fb822659b56146
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:45:37 2024 +0100

    sipcapture: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 14a6ab8ef5e7be022e85417c965c740286fe535d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:45:32 2024 +0100

    secfilter: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 752e8dea1e7322109fdf0cbf12f332062271f509
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:45:26 2024 +0100

    sca: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 33a70bfbead154810ccfd8e8d54008d0e9323dbd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:45:06 2024 +0100

    rls: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit f8a1f1b8a856d6dff4a7529049e66f25b7fb24f1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:44:59 2024 +0100

    pua: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit e441b647aa90d65edebe3ea2273ae0ef07c12444
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:44:52 2024 +0100

    presence_xml: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 2ea7937098dbf98c3c9d10008c989834cea417a4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:44:45 2024 +0100

    presence: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit ee691b6660966f0db2b1ef15ebc73368c9a7e7a7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:44:38 2024 +0100

    prefix_route: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 1fbe7793571662cd551d60cc501b451d229c6a45
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:44:32 2024 +0100

    pipelimit: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 563890e8a754abf2438f05440719072e3015dac6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:44:27 2024 +0100

    permissions: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 0336739c8207b5b4ac20555fc2088f62ca6afec2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:44:20 2024 +0100

    pdt: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 9c24fa42814a2f474b005d47e716b1fe2157c643
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:44:13 2024 +0100

    p_usrloc: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 87dcc20742f18b2575841cf6800a5de6ef0f3915
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:44:07 2024 +0100

    mtree: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 775a41e8367f8d7cfed4052de2a09bb297a2783a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:44:00 2024 +0100

    msilo: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 4b567d68fec9b0b534419c1ce4e3f4ff3e8cd9de
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:43:54 2024 +0100

    mqueue: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit bd936d39b050f25321d22789887ab540fed75b10
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:43:47 2024 +0100

    mohqueue: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit c460314b7da50b5b2b7a3fcb37505410e11a9550
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:43:41 2024 +0100

    matrix: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit b028c755b5a62086ae2f02f53d55c6d303d05f8e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:43:34 2024 +0100

    lcr: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit e5488760860d079cb7f9aeefd31f195c67c9d206
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:43:28 2024 +0100

    keepalive: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit bf54242a134cacadf8c9aba72f663c8505cb963d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:43:21 2024 +0100

    kazoo: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 12e24216100282e095a50fc9ae0baed529c1409c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:43:15 2024 +0100

    ims_usrloc_scscf: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 14c9f1bc954364b6ddcc05a90b5e42338ce03941
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:43:11 2024 +0100

    ims_usrloc_pcscf: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 660bbf3b10660310d21021b1a66ee3de8ef85a2d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:43:06 2024 +0100

    ims_registrar_scscf: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 599ec257abdd897f48b936a6f1c285aa77740988
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:43:01 2024 +0100

    ims_registrar_pcscf: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 1625643fab51a60c404038aef1ad395431c00406
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:42:57 2024 +0100

    ims_qos_npn: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit c533c4cc4907e8a80956dbe98c91ba59b4888fd8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:42:52 2024 +0100

    ims_qos: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit b9df30784ee6b9b613d4cc6fea933341d65839e0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:42:47 2024 +0100

    ims_ocs: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 4e9ea623368a2c3f0f3763dfccfb8578018268e3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:42:42 2024 +0100

    ims_isc: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit adb46bc1731bdc4ae60cbe59d1629147f9667b88
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:42:38 2024 +0100

    ims_ipsec_pcscf: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 596a4999d00062a1910c7a8b5067c65b1336c366
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:42:33 2024 +0100

    ims_icscf: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 2217fa3c460d61b4e72adfff7b6e4d0ed50fd256
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:42:28 2024 +0100

    ims_diameter_server: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit d7ec5407c16ea3512e9568a171fb1cc06dd88e7e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:42:23 2024 +0100

    ims_dialog: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 42b125ad8226215602f1b95a16cfe62ed5c71503
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:42:19 2024 +0100

    ims_charging: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit e669ad98545367c58c5f36777a3b89f590420f68
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:42:14 2024 +0100

    ims_auth: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit b04d889305461b58081ec6ab2475660ed87948fd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:42:09 2024 +0100

    imc: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit cb3f640ea2c4cfa19e59a9294c95f07f3328aee1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:42:04 2024 +0100

    htable: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit a1f20d5d2ad3cf45f4b3ffe8423a50c39f6cfb7c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:41:59 2024 +0100

    group: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 86285655b0b881c1e903adf309ae5a6ac8f1a972
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:41:54 2024 +0100

    drouting: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 5a12716f5c23280cffd5a7979713c5c4311f7abe
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:41:49 2024 +0100

    domainpolicy: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 40388ca374731d0a631c8b7d6e6e05fc70e84abb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:41:44 2024 +0100

    domain: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 1aec4608510bf35a56873c2858fb8ea9b0f7f656
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:41:39 2024 +0100

    dmq: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 4017c80a2c8c8bcac2b91ed9f75d543aab5f1278
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:41:34 2024 +0100

    dispatcher: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit eb130304a7cd98de6c8834be63b9b5f50e7b37d9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:41:29 2024 +0100

    dialplan: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 5b9fcb15b657b056e52d1b2276611a81439c3951
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:41:24 2024 +0100

    dialog: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 99ea01b8af1f0036079a74c752e8277ac5a5be33
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:41:19 2024 +0100

    db_unixodbc: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 2004c2143685cba5745dcb73975ecbd50897acdb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:41:14 2024 +0100

    db_text: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit cc47b388410dc8672a4dbf2ecc575fa7e6246418
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:41:09 2024 +0100

    db_sqlite: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 34add60ed2a424660c76139d3622aab67120ecd9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:41:03 2024 +0100

    db_redis: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 54e1ad080b5edd740134d420b91ed0c4596824d1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:40:58 2024 +0100

    db_postgres: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 90421496c923448ed0a65a31a9d10b31c8404d19
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:40:53 2024 +0100

    db_perlvdb: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 04e32260c8c8d541660b1775ffd7e99962e6e357
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:40:48 2024 +0100

    db_oracle: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 60b9b321ea672b3a82eb9d850bdb89bf478272d3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:40:43 2024 +0100

    db_mysql: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 45e1c515f9c31667de5bf84eb9181f274f9688d7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:40:37 2024 +0100

    db_mongodb: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit cd48ea762a4243efaaefaa10de6e2293733d295b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:40:32 2024 +0100

    db_flatstore: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 5f76852277a3451d6ac247b2516314bbaca3c026
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:40:27 2024 +0100

    db_cluster: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 5a903bca6f1fa40aaa2ff062ddad71529d295bf5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:40:21 2024 +0100

    db_berkeley: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit e3904df72341501215f6094b3204e98419103a01
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:40:10 2024 +0100

    db2_ldap: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 730e68d50233a85bf7a9207c3dd2081eacfb9d19
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:40:04 2024 +0100

    cplc: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 2103ea906c23a56abcd54aeec7a12fc54dc582e7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:39:59 2024 +0100

    cnxcc: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 99608b3c8b309002917bd9dc6a2bddb88431452e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:39:53 2024 +0100

    cfg_db: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 4df1bbafa82011a0872225164a702ba78f34ae17
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:39:48 2024 +0100

    carrierroute: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 04602663d099302cac618e24cb6214805764b63b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:39:42 2024 +0100

    avpops: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 5ab033f0cf792e2bffeaf34ee0bafb9dd47d66fa
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:39:36 2024 +0100

    auth_db: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 7e3d2fc980b5539de77c785897c6b1d930bf0f27
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:39:25 2024 +0100

    acc: Makefile - remove internal libs compilation and linking
    
    - libs are compiled in the core

commit 44db158ff91fb9ab12f0d38f1eada08b118fad00
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 09:34:57 2024 +0100

    src/Makefile.sources: integrate libs code in core compilation

commit eaaea65d7b29aa0ccc774e6d2ed9fde9caa50f28
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Thu Dec 5 17:49:30 2024 +0000

    cmake: Git is not required. (do not emit warning if not found)

commit eb29c636a697c47486770db7ed665f21b545c3d0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 5 17:23:50 2024 +0100

    pkg/kamailio/obs: removed print_lib and print modules and library

commit 04ac6c9f3784145dd8299f1d7b5df05b29655524
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 5 17:22:59 2024 +0100

    pkg/kamailio/alpine: removed print and print_lib modules

commit d05191aeb9b5ca97e43ca9af421d3f17e1783f08
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 5 17:20:55 2024 +0100

    cmake: removed print and print_lib modules

commit 6be7b7038f6ce88eb5512e2f03c5b712f27affb1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 5 17:07:52 2024 +0100

    Makefile.groups: removed sample print modules

commit 1f3828efdb653e4af15a3ac486f5cfab6a9b0ce6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 5 17:06:14 2024 +0100

    print: relocated to archive

commit b19c0aa3424e19b1f8f7131c1c9c2965ebccd82f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 5 17:05:53 2024 +0100

    print_lib: relocated to archive

commit 10d2cd688dd55b0c5325a6527642483b024b58ea
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 5 17:05:24 2024 +0100

    lib/binrpc: relocated to archive

commit bdae2469ab839ce87f3fca2a5fee6e7b1f9be9c5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 5 17:03:22 2024 +0100

    lib/print: relocated to archive

commit 593e3ec3546b645e0224d0dc633a263a56356f9e
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Dec 5 11:46:10 2024 +0100

    modules: readme files regenerated - ims_auth ... [skip ci]

commit 22c9e3a11796d56b99550956987b661358f0b2d2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 5 09:50:49 2024 +0100

    ims_auth: docs updated with gcrypt dependency

commit 5fc21d897235f0155f061962aa342ca6039d3547
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 5 09:41:36 2024 +0100

    ims_auth: don't bind or use cdp when av_mode is 1

commit 7c3a23867fe107b82c6860751fb701880f3a77f4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 5 09:20:26 2024 +0100

    ims_auth: use gcrypt api for aes128 functions

commit bbb4047583495bd26e5fd5b61b6dc03deb590358
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 5 09:16:35 2024 +0100

    gcrypt: include file for binding module exports

commit c206d4093c15582283ce492891f003c7a5c39acc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 5 09:04:33 2024 +0100

    gcrypt: exported api for aes128 functions

commit 3c8ae737f2c3d67f36045d235b27bdf5f03d2bda
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 5 08:43:31 2024 +0100

    ims_auth: relocated aes128.{c,h} to gcrypt module
    
    - they use libgcrypt

commit 5fc56046351aeff88cb2788f3b75cd7a67b22cd4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 5 08:15:13 2024 +0100

    ims_auth: docs for av_mode parameter

commit 391474c43a3a0a77ab03044e3606ef72e716c83b
Author: Dragos Vingarzan <dragos@neatpath.net>
Date:   Wed Dec 4 14:27:29 2024 +0100

    ims_auth: dropped all old vectors on local resync

commit 08ff3b46223f7208d8adb23a70dced450ae1c0d5
Author: Dragos Vingarzan <dragos@neatpath.net>
Date:   Wed Dec 4 14:19:13 2024 +0100

    ims_auth: integrated local resync

commit c3c9ae6c5f3c3537f0dd7c7d3b715c845f7e9721
Author: Dragos Vingarzan <dragos@neatpath.net>
Date:   Wed Dec 4 13:45:41 2024 +0100

    ims_auth: fixed compilation and moved back auth_vector to authorize.h

commit 24548be94ac9d291f4693c55e20c5fc3b0102db8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 4 13:34:17 2024 +0100

    ims_auth: generate local auth vector when none is found for challenge

commit 9ccaec9f065d02f71b275eadc1e1f19adf6802e0
Author: Dragos Vingarzan <dragos@neatpath.net>
Date:   Wed Dec 4 13:23:08 2024 +0100

    ims_auth: reworked the local AV API

commit 6e48bfd66b0730b2e5ae3458a0fe5d2f8b93fa51
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 3 21:08:35 2024 +0100

    ims_auth: function to set ims auth data
    
    - k, op, op_c and amf

commit 2559363525f49c65c822806ab50c95becaa81270
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 3 20:11:24 2024 +0100

    ims_auth: synced functions with number of parameters
    
    - renamed some parameters to be suggestive
    - split wrapper functions that execute evaluation of fixed-up
      parameters

commit e31f48b4658ae4f41bc5d9e1fe979d2796ec211a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 3 19:37:47 2024 +0100

    ims_auth: new av_mode parameter
    
    - to control how AV are managed

commit f08e98a39a2e18502f70108fea159e54fde4b1f3
Author: Dragos Vingarzan <vingarzan@gmail.com>
Date:   Tue Dec 3 19:10:01 2024 +0100

    ims_auth: added Milenage, AES-128 (Rijndael) and auth_vector local generation

commit 684533d099d304091082fd8a130619a4c5550a80
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Dec 5 09:28:07 2024 +0800

    tls: update docs about thread-locals

commit 631bad4f0531af0ba44e5af99841d3b6371ee63e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 4 15:19:50 2024 +0100

    dispatcher: convert to unsigned int pv value for oc time

commit 292e086f3fd764584dc1c5e4deb2af61f9f6aec7
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Wed Dec 4 14:21:07 2024 +0100

    mangler: reformat exported structures

commit f7dfe8d794c0faa22978feaa60691b10b5c1651b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 4 11:35:08 2024 +0100

    nats: CMakeLists.txt - added dependency on libuv

commit b0dee2ff21a6d81b431b9d75ba364e10e7a2d253
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 4 11:02:12 2024 +0100

    jwt: CMakeLists.txt - update for finding libjwt with pkg-config

commit 9ff1bd7b6f0d11788234ff6a72057e0a27ba1be9
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Wed Dec 4 09:29:11 2024 +0100

    lwsc: add fixup_free* to exported functions

commit d2a0b0727f1efbe21a37a1f81f7bd98cc9423951
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Wed Dec 4 09:25:57 2024 +0100

    lost: reformat exported structures

commit 064a88492c5d908569ba9d01f2116e7795a74583
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Wed Dec 4 08:58:14 2024 +0100

    log_systemd: add fixup_free* to exported functions

commit ee81e1e017c62063a5b1fd20ac61c5783ee4eab4
Author: Curt J. Sampson <cjs@cynic.net>
Date:   Wed Dec 4 15:53:36 2024 +0900

    misc: examples/ims/scscf/README - fix typo in .sql filename [skip ci]

commit 4a8368e419d4bb62840989446947fc41c97db939
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Wed Dec 4 01:42:27 2024 +0000

    cmake: Allow for cross-compilation

commit 93b189a22df772ccef6f1eb09b4be0897a467d89
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Wed Dec 4 01:30:26 2024 +0000

    cmake: Add parser as a link library for kamailio

commit f2c1f7ca8e238c77c9757573303451894c850ac6
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Dec 3 18:50:19 2024 +0000

    cmake: Modify github action for cmake auto builds

commit 2d59d44dd620c597e69f7f1b3d6a9d1b3d410ae3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 3 16:55:17 2024 +0100

    cmake/os-specific/darwin.cmake: added compile flag HAVE_MSGHDR_MSG_CONTROL

commit d416f7207a39db5ec15c0133904bfd76980a9d4b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 3 16:51:21 2024 +0100

    cmake/defs.cmake: reorganize condition on cpu to prevent mismatching arm64
    
    - arm64 was matched by arm6

commit 4c7d99c2f65749dcc7aa9a7173c22c9d39ecdbe9
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Dec 3 15:49:19 2024 +0000

    cmake: Delete macos.cmake...

commit d86f05261c386f4147bb4177b80673ae4c0f45d3
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Dec 3 15:19:58 2024 +0000

    cmake: Rename macos.cmake to darwin

commit abb0448c11812d9f11529a70303348474eed19de
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Dec 3 15:14:56 2024 +0000

    cmake: Add support for custom binary and cfg name

commit 394cc191e172f49525c91e3540eb590edf8bd101
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Dec 3 15:14:15 2024 +0000

    cmake: Refines uninstall script and updates CMake options
    
    - Modifies uninstall logic removing duplicate file entries when both .cfg and .cfg sample are installed
    
    - Remove unused SCTP and duplicate fast memory statistics options in CMake

commit 6235369e1deab4b87c999d5f00fb59b6609b3df6
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Dec 3 14:19:43 2024 +0000

    cmake: Update platform-specific flags
    
    - Update the platform-specific flags in the "os-specific.cmake" file for Linux and DragonFly BSD.
    - Add new files "dragonfly.cmake" and "linux.cmake" in the "os-specific" directory to define the flags for DragonFly BSD and Linux, respectively.
    - Add a new file "macos.cmake" in the "os-specific" directory to define the flags for Mac OS X.
    - Update the "defs.cmake" file to print the availability of fast lock.

commit 76e18d0d13a41e93094f9084ac44e0809f91b109
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 3 08:03:57 2024 +0100

    xlog: evaluate prefix for kemi functions

commit a493e2e0006f89d2f8b5e903134407109ef587da
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 2 20:19:45 2024 +0100

    xlog: use crit level with prefix for kemi xcrit() and xlog()
    
    - GH #4048

commit 299db405e54741e4dc1ec04e6658d6bc99901edf
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 2 18:00:18 2024 +0100

    src/Makefiles: filter out CMakeLists.txt from modules discovery

commit 06a6e4a54bf1791650aac3e36ad09a573823dd9d
Author: Xenofon Karamanos <22965395+xkaraman@users.noreply.github.com>
Date:   Mon Dec 2 17:37:23 2024 +0200

    build: add initial CMake support for core and modules
    
    - add initial CMake support for core and modules (GH #4043)
    - core/resolve: fix compilation if DNS_USE_CACHE not defined
    - core/forward: define return even if USE_TCP is not defined
    - includes documentation building, initial support for other architectures (arm64) and cross-compilation
    - support for gcc and clang compiler
    - initial support for CPack packaging
    - most modules were already integrated, a few remaining with special dependencies are missing
    - usage and extensions documentation can be found in the kamailio wiki

commit c7bb0965bde055aaf76cad526eae248ae2165280
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 2 12:39:17 2024 +0100

    ims_ipsec_pcscf: clang format

commit 785659417bcc1984f12d5ebe35c134b15d614483
Author: Lennart Rosam <rosam@sipgate.de>
Date:   Tue Nov 19 23:42:04 2024 +0100

    ims_ipsec_pcscf: Add error logging
    
    Currently the module initialization fails when the ipsec listen
    interfaces cannot be bound and it does not produce a helpful log message
    for the user. This commit addresses that.
    
    Co-authored-by: Alexander Couzens <lynxis@fe80.eu>

commit 353b788bb3c78a4c0e8c390decdc420322b4927c
Author: Lennart Rosam <rosam@sipgate.de>
Date:   Tue Nov 19 22:00:07 2024 +0100

    ims_scscf: Add more logging to ipsec_create()
    
    Currently there are scenarios where ipsec_create() fails with no more
    information in the logs. This should make debugging issues a bit easier.
    
    Co-authored-by: Alexander Couzens <lynxis@fe80.eu>

commit c6a485b04c2ed14b77e8747ffcd822f0743d56dd
Author: souradeep.bera <souradeep.bera@sprinklr.com>
Date:   Sun Nov 24 14:29:57 2024 +0530

    topoh: improve debug info for topoh crash
    
    - print entire socket address for ease of debugging with empty mask ip

commit dca29a87467fd074bcb63a5f20b6834a87fadc5f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Dec 1 09:02:12 2024 +0100

    db_mongodb: use STR_VTOZ() macro

commit 3991350b1acdcd8b3cd575cdbc8932b4f8540e13
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Nov 30 10:39:20 2024 +0100

    ndb_mongodb: mongoc_collection_command_with_opts() for mongodb_cmd()
    
    - mongoc_collection_command() is deprecated with lib v1.29.0
    - GH #4037

commit 784f55cdb31de9eda6971e04ee12c2cb88556835
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Nov 29 09:33:58 2024 +0100

    lost: removed use of deprecated xmlKeepBlanksDefault()
    
    - XML_PARSE_NOBLANKS seems to be used, which is suggested in deprecation
      message
    - GH #4038

commit 4a9bb81a69fbef11d92d294fa1db0711ff8e78db
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Nov 29 09:15:59 2024 +0100

    lost: clang format

commit be2d3bfe537a692efa8cdc2bd4e4441eed5d0840
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Nov 29 09:13:49 2024 +0100

    lost: use buffer size for snprintf

commit 8e6a8e0baf8a700f36c81d3f808391f03a37c9d1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Nov 29 07:53:31 2024 +0100

    ndb_mongodb: fix for deprecated bson_as_json() from v1.29.0
    
    - GH #4037

commit a4a86bd1a84ee16630660873486ec7d870a4e361
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Nov 29 07:33:58 2024 +0100

    db_mongodb: fix for deprecated bson_as_json() from v1.29.0
    
    - GH #4037

commit 5eac8fd5356cc424d87cac4b4102c99e97054414
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 28 14:38:08 2024 +0100

    lib/ims: libxml2 is not needed - removed from makefile

commit 97b3d1cd3daec0741352764cb89f08d6d98fe3df
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 28 11:00:40 2024 +0100

    ims_registrar_scscf: use defined fetchc fixup free function

commit b993b824447f30c9533b6ebd90ab74c19ea001bb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 28 10:56:12 2024 +0100

    ims_registrar_pcscf: init and check vb variable

commit c36dd7e9c8b01aae5f35e8c576188cd34b1f8aa6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 28 10:51:56 2024 +0100

    http_async_client: remove unnecessary str len

commit eab6682e4d8bebaf97f85c55b0863ad435e1d133
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 28 10:39:44 2024 +0100

    keepalive: use memcpy for coping data

commit 926988487358e1ae3ba79ca999629c452e2d32df
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 28 10:36:47 2024 +0100

    core: removed unnecessary use of strlen

commit c2ff02b6d07c0f84dcbe5d0d47de3f12ed791e3a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 28 10:35:19 2024 +0100

    core: modparam - use memcpy for data cloning

commit 78f272da156ff7796dd84697bbf04522b7a08009
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 28 08:33:14 2024 +0100

    async: fixed typo in log message

commit 2fccae6cf901edf8b9515636b348246297a06131
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Nov 28 08:31:10 2024 +0100

    modules: readme files regenerated - async ... [skip ci]

commit 97c9aca6d2e7300b295c5cc7f9cd405d563d31b2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 28 08:22:15 2024 +0100

    async: docs for mode parameter

commit 21d4853139523920810a9d73916f3435a5a73d70
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 28 08:16:11 2024 +0100

    async: added parameter mode
    
    - control if binding to tm should be done or not

commit b003a7184a02da5fd6dfe27def8d928d363e36ce
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 27 15:36:33 2024 +0100

    corez: set sndinfo attributes for corex_sip_reply_out()

commit 13f77911ebf5c5b53c9793727a9c5b4f1f0865fe
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 27 12:20:05 2024 +0100

    core: parameter to set async_tkv_evcb
    
    - name of event route or kemi callback for tkv processing

commit a6c7538cb873aa8ee173eadffecbe3fdefe40bd7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 27 09:18:06 2024 +0100

    core: new parameter to define async_tkv_gname

commit a433cdf5532e9b2e945fa4ced2e07c0566c01eb3
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Nov 26 15:46:10 2024 +0100

    modules: readme files regenerated - jsonrpcs ... [skip ci]

commit 5437ad1a1dd691707e6ea1774e5c8ff6a72d30a7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 26 15:41:44 2024 +0100

    jsonrpcs: docs - example for jsonrpc_exec() with rpc params

commit 50ae4a986c93ef8e405732d52f79ab98505888a4
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Nov 26 13:31:10 2024 +0100

    modules: readme files regenerated - async ... [skip ci]

commit 3eff208df921d6693a015836a266bf87212aae96
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 26 13:15:48 2024 +0100

    async: docs for async_tkv_emit()

commit dd0812196cede94aeea01f9c67ffe363a38ca100
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 26 12:58:40 2024 +0100

    async: exported async_tkv_emit() function

commit e3349b793f811538e84713472757b06634d16efb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 26 12:45:28 2024 +0100

    core: helper fixup functions for int-str-str parameters

commit 77e7494d29d891c44a49377a462b0c82e6769f1e
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Nov 26 10:46:10 2024 +0100

    modules: readme files regenerated - dispatcher ... [skip ci]

commit 76f2d91dc00fa33368d4df0d5a25a2dbbbc9f8c7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 26 10:39:35 2024 +0100

    dispatcher: updated docs for ds_oc_set_attrs()

commit cf72416567d915c1024471e917b933d057452ed9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 26 10:36:07 2024 +0100

    dispatcher: ds_oc_set_attrs() return -2 when no oc attributes are updated

commit 0571cb9c7ae2ba3a045e11b003bfba9e5ca6c9fc
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Nov 26 10:31:10 2024 +0100

    modules: readme files regenerated - dispatcher ... [skip ci]

commit 2bbba597c6b7bbef79b0c8be78b4dc94e010ec26
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 26 10:16:20 2024 +0100

    dispatcher: docs for ds_dsg_fetch_uri()

commit c1f814b2c01d2589e41eac06d3e63571933105eb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 26 10:11:24 2024 +0100

    fipatcher: more fields to $dsg(...) related to overload control

commit c9ec6cad7300d40beef095116bcdd361bc9690c4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 25 19:10:10 2024 +0100

    dispatcher: function to fetch by group id and uri

commit 556efcaa34367dc689ee653b0de9f22ccef073f9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 25 14:25:16 2024 +0100

    core: tcp - emit async tkv event for read error

commit 1ceeba7364b745b6ca2840e830d006a37460d10e
Author: Dragos Vingarzan <vingarzan@gmail.com>
Date:   Tue Nov 19 14:08:33 2024 +0100

    cdp: fixed issues discovered during static code analysis
    
    This fixes:
    - 4-bytes (typically uint32_t) used for time_t storage (Y2K38)
    - print of time_t with %d instead of %ld
    - reuse of same loop index variable in a sub-loop
    - use of random(), when kam_rand() could theoretically be better
    - copy-paste mistake in sp2/sp parameter, where sp2 was meant and sp is probably NULL

commit 55691f82666f361bac5efb6355e6f32afb508660
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Nov 25 10:46:10 2024 +0100

    modules: readme files regenerated - rtpengine ... [skip ci]

commit f7fa3a39f6c97ca8323a70f30ad4e33699ede23e
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Mon Nov 11 14:46:43 2024 +0000

    rtpengine/docs: Add ping_interval docs

commit a29afb3de6d9dd1491667a5858187ae782d8d56d
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Thu Nov 7 11:28:43 2024 +0000

    rtpengine: Add doxygen function descriptions

commit e183a3e25c3f2088435b3911d13fcb376a89f5c0
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Nov 5 16:51:15 2024 +0000

    rtpengine: Re-enable down servers (but not disabled ones)

commit 38234797332c79b81522c18cc7c6f83be86c0e9b
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Mon Nov 4 12:26:47 2024 +0000

    rtpengine: Add timer to ping rtpengine
    
    - Added parameter to control the interval

commit e58dc89324b30f09853a7430620e632ec5efaad5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 25 10:27:11 2024 +0100

    core: tcp read - convert ips to different buffers for log messages

commit c82aa6e92d3475bb56db761ba65abb64e8f712fd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 25 10:16:07 2024 +0100

    core: helper functions to convert ip to string using a pool of buffers

commit 8d12a04b57db2f3da6f522b6685161b38ff40d5e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Nov 24 21:15:45 2024 +0100

    async: fixed name of pv in log message

commit bebf378252484f770f2dbc9a27e6ad2b7ff7f880
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Nov 24 20:59:13 2024 +0100

    corex: fixed name of pv in log message

commit 619b1f80d648e5869389b431e17c12f7b730634e
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Mon Nov 25 08:34:48 2024 +0100

    log_custom: add fixup_free* to exported functions

commit adffa9e2b31bf0ad7070420ac821a914fc2bcd6b
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Mon Nov 25 08:32:48 2024 +0100

    ldap: add fixup_free* to exported functions

commit cdafda78c9fc98d9d9fdb7f94e77c9bc60ebf4d1
Author: Sergey Safarov <s.safarov@anycast-lb.net>
Date:   Sat Nov 23 22:02:16 2024 +0200

    pkg/kamailio: added support for CentOS 10 [skip-ci]

commit b1f9fc1d586975a12f6a6d56a76dbf2d3541124c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Nov 22 19:30:25 2024 +0100

    corex: added $atkv(name) variable
    
    - get async type-key-value attributes

commit 88ca83a5379dbaca3a87fdcb26dd2855b5ba871d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Nov 22 19:24:18 2024 +0100

    core: function to get current tkv param

commit d2c98b63d141a88f29a379f6b5f23122d4997e82
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Nov 22 19:17:44 2024 +0100

    core: main - init async type-key-value framework

commit f4e04dac07bc11da08288a8a4a4957c5799c37e9
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Nov 22 15:48:18 2024 +0100

    pv: add fixup_free* to exported functions

commit 8ff567606175fe2d1c1509a9e0d61c0cf2c87b07
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Nov 22 15:44:42 2024 +0100

    pv: reformat exported structures

commit 389e22db478bb9d36e1fe0d75801b8602f746350
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Nov 22 15:39:47 2024 +0100

    qos: reformat exported structures

commit 5484965bb912c96dec57b701af0030b03ccdeb44
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Nov 22 15:37:49 2024 +0100

    rabbitmq: reformat exported structures

commit 5680e3acb5964952ed0b084f7e946bf28f817d61
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Nov 22 15:35:38 2024 +0100

    ratelimit: add fixup_free* to exported functions

commit 0595feb17da5632a24f1e44a992335ff66d0b30e
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Nov 22 15:34:22 2024 +0100

    ratelimit: reformat exported structures

commit 5bebde177c357e2aaf5f24537d0d44da51ac914a
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Nov 22 15:29:00 2024 +0100

    regex: add fixup_free* to exported functions

commit 71197e76e02818d8e7e016cefbda3886bec9afb1
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Nov 22 15:28:11 2024 +0100

    regex: reformat exported structures

commit a0f09749f7607b764523004663e0dd8f23675c22
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Nov 22 15:15:16 2024 +0100

    registrar: reformat exported structures

commit 7f3207ccd2757fbdbed53bab5841808c4fc5c1cf
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Nov 22 15:08:53 2024 +0100

    rls: add fixup_free* to exported functions

commit e56f003abaa1f8589193ac1826992929aea6f0b2
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Nov 22 15:03:39 2024 +0100

    rls: reformat exported structures

commit 5b852254e75365c2886baf1e4be8829ac10b9917
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Nov 22 13:23:53 2024 +0100

    core: framework to execute async event route with type-key-value
    
    - execute event_route[core:tkv] in async fashion, with data passed in
      the form of [type, key, value]
    - the events have to be emitted from parts of the code and the execution
      of the event route should not block the emitting process

commit ecb99f2ff1babe3871af5fba7d7f94e8b0df68cd
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Fri Nov 22 12:37:09 2024 +0100

    jwt: add fixup_free* to exported functions

commit 20a2d57e295c6329c0f8358f36915cd6a4cd5783
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Fri Nov 22 12:33:45 2024 +0100

    jsonrpcs: add fixup_free* to exported functions

commit 436e79216a448b0a270a53f867d89b84269557d9
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Fri Nov 22 12:31:36 2024 +0100

    jsonrpcc: reformat exported structures

commit a9acbdd92032dc8adf2f2aa5a584a8a188bc9e7a
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Fri Nov 22 12:26:40 2024 +0100

    json: reformat exported structures

commit 8328024cd41b2c8a3cffa69db28ab21eed47b2c5
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Fri Nov 22 11:57:40 2024 +0100

    janssonrpcc: reformat exported structures

commit e742232ab6646ced170ccda5209a4d3ca46103bc
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Fri Nov 22 11:47:05 2024 +0100

    influxdb: add fixup_free* to exported functions

commit d92d12c055d23c167d5caa38511e5ad3b0a06148
Author: Donat Zenichev <dzenichev@sipwise.com>
Date:   Fri Nov 22 09:49:40 2024 +0100

    rtpengine: use to-tag for NG message when rtpp-flags
    
    Always use to-tag for NG message with rtpp-flags,
    if presented. This change is caused by the processing
    logic being moved to rtpengine with rtpp-flags.

commit 8a46cb6babed5384d09b3dfc07fe15940128d1a3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Nov 22 11:15:36 2024 +0100

    async: removed unused param from async data processing

commit cfb20d3ca3bc87199664b34754b15526d49bbff7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Nov 22 10:17:09 2024 +0100

    core: added event_route[core:modinit-before]
    
    - executed by core once before the module-init callbacks are run

commit 1580d0b0f8742269c6f5b6bb99ac7a96b9f83276
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Nov 22 11:10:53 2024 +0100

    rr: add fixup_free* to exported functions

commit 4c157538046dcc70aebf549522a960bca2c25bfd
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Nov 22 11:08:31 2024 +0100

    rr: reformat exported structures

commit fcf8454c982c09c6cc89669b7327d000b5c154d9
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Nov 22 11:05:03 2024 +0100

    rtimer: reformat exported structures

commit 1ce99a243e22eb8acdc94cc8f7ec98a6846760bf
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Nov 22 10:58:55 2024 +0100

    rtjson: add fixup_free* to exported functions

commit 82206086f4adf17fa25dae248b49d930532bddd3
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Nov 22 10:58:24 2024 +0100

    rtjson: reformat exported structures

commit 07134cb4c2cf66cf2e7e6ba738559c3c1209645a
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Nov 22 10:55:49 2024 +0100

    rtp_media_server: add fixup_free* to exported functions

commit 744243d290946644fe0248b2eaa5591d5f9e985f
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Nov 22 10:52:14 2024 +0100

    rtp_media_server: reformat exported structures

commit fa142bbe6327df2cc6c2cf8e942b9207cb6fe62b
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Nov 22 10:47:17 2024 +0100

    rtpengine: add fixup_free* to exported functions

commit 907f213cfc93d860a30b839ab4f1ce1690b358ac
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Nov 22 10:36:06 2024 +0100

    rtpproxy: add fixup_free* to exported functions

commit d5d19c6f0ca1f032d29c851a5c6054b32ff218a5
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Nov 22 10:27:22 2024 +0100

    rtpproxy: reformat exported structures

commit 1723be183f21fd3225153367a75ed9ab824ad7ec
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Nov 22 10:22:04 2024 +0100

    sanity: add fixup_free* to exported functions

commit c5bdc9237b661859b635e8dc7fcfea9526ec9def
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Nov 22 10:21:30 2024 +0100

    sanity: reformat exported structures

commit 94e29db032546ccfaa085e1b19ecd11ba6bb922d
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Nov 22 10:18:16 2024 +0100

    sca: reformat exported structures

commit bbd0f09e6bef06403a3e28a42abb07043d8857b5
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Nov 22 10:15:05 2024 +0100

    sctp: reformat exported structures

commit fb7263a39a91e32dd39ef3548425ed3d43e7f9f9
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Nov 22 10:13:20 2024 +0100

    sdpops: add fixup_free* to exported functions

commit 2a35ef2966bca64f759c435e248e3b9118a90fc4
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Nov 22 10:09:41 2024 +0100

    seas: reformat exported structures

commit fa6192c1431186f395cf35e270916c2e7756455b
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Nov 22 10:05:26 2024 +0100

    secfilter: reformat exported structures

commit 612f5d10f0d191b0c66e8ef907c09a00239bfcf4
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Nov 22 10:00:33 2024 +0100

    sipcapture: add fixup_free* to exported functions

commit b0531ca55d8d918f58057b393ba13a22e95813b6
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Nov 22 09:52:39 2024 +0100

    sipcapture: reformat exported structures

commit e915258d8a76f811c8e9a7607248cf7149719541
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Nov 22 09:47:05 2024 +0100

    sipdump: add fixup_free* to exported functions

commit 3cce2ac7f9f8ef2ab10a9c228b9bbaddde3c7d03
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Nov 22 09:44:23 2024 +0100

    sipjson: reformat exported structures

commit 1241c77c8ced81bfc2f1a8d72b99d4157d5a61b5
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Nov 22 09:41:59 2024 +0100

    siprepo: add fixup_free* to exported functions

commit 2d024cc28ba3284fca67c4748e1b85349edb15ae
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Nov 22 09:39:43 2024 +0100

    sipt: reformat exported structures

commit 64290a1aa41bba94387045c3d618ca3f7886f517
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Nov 22 09:03:21 2024 +0100

    siptrace: add fixup_free* to exported functions

commit b074dc24c5bbd60d8bf6306f152c1f8c35eb2fef
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Nov 22 09:00:37 2024 +0100

    siputils: add fixup_free* to exported functions

commit d3e698eca5410ebd3d08a8850c2149f2d0a54119
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Nov 22 09:28:31 2024 +0100

    etc/kamailio.cfg: removed comment about not impleented tls_threads_mode value

commit 9ec3770f88339426c95514bc35a3afc2c2b0def8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Nov 22 09:19:33 2024 +0100

    core: main - tls_threads_mode set to 2 by default
    
    - recommended value (KSR_TLS_THREADS_MFORK) for production with latest libssl

commit 1189f4874ab3e7ec2c2d1389d1e6ca466c2b8785
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Nov 21 21:06:08 2024 +0100

    siputils: add fixup_free* to exported functions

commit d598d05cd076a0b36d63899270a9a5405f15a7b4
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Nov 21 20:01:32 2024 +0100

    sl: add fixup_free* to exported functions

commit 73ba0266cf76083b51e85d877f04f4a3da67d207
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 21 20:37:31 2024 +0100

    pike: disable destroy of internal tree on mod-destroy callback
    
    - it is safer and faster to be removed at once by core or OS when application
      context is destroyed

commit 26d6a518c974cfe509d23e41fe9db6b02f357930
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 21 19:59:05 2024 +0100

    core: ppcfg - use define for size of the buffer for  core defined values

commit 790bf50f5ec5a08f6fa0d1bd3c2732fb1317cdd0
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Nov 21 19:41:47 2024 +0100

    slack: add fixup_free* to exported functions

commit 9a5000edf4d57ab3ecdcf12d6473b6e876dcf1f5
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Nov 21 19:35:59 2024 +0100

    slack: reformat exported structures

commit 48d4f936f95ba2acfeb59211420cb2165716984a
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Nov 21 19:31:18 2024 +0100

    sms: reformat exported structures

commit 4a9867faab4e290c3953d8d9ba2d50b3908a48b5
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Nov 21 19:26:39 2024 +0100

    snmpstats: reformat exported structures

commit 4e88b0592299e69c4d20981d20a23e667268c7c0
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Nov 21 19:22:38 2024 +0100

    speeddial: add fixup_free* to exported functions

commit 50e48d73df63a002d42fc1446ac90949475276aa
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Nov 21 19:21:53 2024 +0100

    speeddial: reformat exported structures

commit dce9c2a572ff1f1be1e4d97ff083a1c2f0fc773c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Nov 21 19:20:03 2024 +0100

    sqlops: reformat exported structures

commit 7cda90863c5437fab97d14772921105a169965da
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Nov 21 19:19:50 2024 +0100

    ss7ops: reformat exported structures

commit 2187dceadca36e443b8830cca15781d92aa13382
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Nov 21 19:08:44 2024 +0100

    sst: reformat exported structures

commit b41ff44d27968d07d926ecd4de249f0e8a51ddd7
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Nov 21 19:06:23 2024 +0100

    statistics: reformat exported structures

commit e3af304a0284302d68fd4b3206a93c8e00999b4b
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Nov 21 19:04:17 2024 +0100

    statsc: reformat exported structures

commit ee12cb5a87f67ab32a219c1bc3a0b877dfc334a7
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Nov 21 19:00:50 2024 +0100

    stun: reformat exported structures

commit 2edf111e73c6a8a640d932c42cfc59ab14dd74b2
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Nov 21 18:59:28 2024 +0100

    systemdops: reformat exported structures

commit 00d95171dd15fbbe541027a64d08c32ef55dc605
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Nov 21 18:57:03 2024 +0100

    textops: reformat exported structures

commit 98f0a2c8b17bcf0f54a183589c2b61a8fd47081f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 21 18:58:16 2024 +0100

    permissions: disable destroy of internal hash tables on mod-destroy callback
    
    - it is safer and faster to be removed at once by core or OS when application
      context is destroyed

commit cb029e9b279fa4deaa186eae994fe2b2c9a1a38c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 21 18:54:58 2024 +0100

    dialplan: disable destroy of internal hash tables on mod-destroy callback
    
    - it is safer and faster to be removed at once by core or OS when application
      context is destroyed

commit 81450df0c1b247bbd7582c47e00f358f8e20317c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 21 16:55:45 2024 +0100

    core: use defines for tls threads mode values

commit 0583ae7f70d3a88b21f826033052753fb02b48f8
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Nov 21 14:01:10 2024 +0100

    modules: readme files regenerated - sqlops ... [skip ci]

commit 378e857aa4eb17fe454b0f96fd4cd0200d31caf4
Author: Julien Chavanton <jchavanton@gmail.com>
Date:   Thu Nov 21 07:53:11 2024 -0500

    sqlops: new connect mode documentation update (#4032)

commit 05c7239986d659b5e14b7aa5d81d9faebb0f9b22
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Thu Nov 21 10:05:27 2024 +0100

    ims_registrar_scscf: add fixup_free* to exported functions

commit e5d3aa1ea04ff7f49deee8f8385a2557f52e41e8
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Thu Nov 21 09:48:23 2024 +0100

    ims_registrar_pcscf: reformat exported structures

commit ca5c11afb53ef089b852fc1406bce40fb29d334b
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Thu Nov 21 09:37:04 2024 +0100

    ims_qos: add fixup_free* to exported functions

commit 2ed7a0e6fb8ee9a0ded9e13e6e7766075eed89da
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Thu Nov 21 09:22:24 2024 +0100

    ims_icscf: fix exported functions

commit bc0d1a1b166a7c4eac6d4eb0652d77263db3d0a6
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Thu Nov 21 09:18:45 2024 +0100

    ims_ocs: add fixup_free* to exported functions

commit 645ff32f0e2150f69669212d2de5eb5e3efb75ce
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Thu Nov 21 09:15:34 2024 +0100

    ims_isc: reformat exported structures

commit 5394519800abb8e6ad205f614fa11fb4a3986fe9
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Thu Nov 21 09:08:41 2024 +0100

    ims_ipsec_pcscf: add fixup_free* to exported functions

commit 5450313fb0dc2794cd160d44f9d10eb9e1c4c047
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Thu Nov 21 08:56:58 2024 +0100

    ims_icscf: add fixup_free* to exported functions

commit 5e1e3b71e7394d08c91aaa19c8d83e419a3c8419
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Thu Nov 21 08:46:15 2024 +0100

    ims_diameter_server: add fixup_free* to exported functions

commit 6e19534e9790188f0db8009170d05f1bd77b5ca5
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Thu Nov 21 08:40:33 2024 +0100

    ims_dialog: add fixup_free* to exported functions

commit 35dcb1d7852282417a11c7771189e50734c0883b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 20 18:35:31 2024 +0100

    db_cassandra: relocated to archive
    
    - new location: https://github.com/kamailio/kamailio-archive

commit 7215f2554e3c2551870902fd061f20d5a4160bca
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Nov 20 18:31:10 2024 +0100

    modules: readme files regenerated - sqlops ... [skip ci]

commit a41752478201b2235f60b2f22e5d3c4113742b33
Author: Julien Chavanton <jchavanton@gmail.com>
Date:   Wed Nov 20 12:30:20 2024 -0500

    sqlops: new connect mode to limit the amount of connections (#4027)

commit 1d83950eb3f0eba21b2ade1d1c5565b1ef95c1d1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 20 17:41:22 2024 +0100

    pipelimit: remove destroy of internal structures on mod-destroy callback
    
    - it is safer and faster to be removed at once by core or OS when application
      context is destroyed

commit 6f6504dd6091d0493a8401b4e71ceea98ad5f6ca
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 20 17:16:11 2024 +0100

    mtree: remove destroy of internal structures on mod-destroy callback
    
    - it is safer and faster to be removed at once by core or OS when application
      context is destroyed

commit d984ba4a6b9cc57e7084a87ca617a9d377659d25
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 20 17:00:21 2024 +0100

    pv: reset buf.s to avoid double free on error for pv_set_xto_attr()

commit 8cf59e2bd1f9bb60d68b52f175df5dad9c34b533
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Nov 20 16:06:07 2024 +0100

    textopsx: add fixup_free* to exported functions

commit 55216ee07d5904adc6e9b9750c5b78c9cf100fcf
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Wed Nov 20 15:31:16 2024 +0100

    tsilo: add fixup_free* to exported functions

commit c499dac336469de50a520adebeaa3b408791f308
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Nov 20 15:22:20 2024 +0100

    tmrec: reformat exported structures

commit f1ce74009aa0266207b054cdacc254bf222cd41c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Nov 20 15:19:16 2024 +0100

    tmx: reformat exported structures

commit a4a1f9d19213dcfa471b7e2accf9b05f5b1b9735
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Nov 20 15:14:05 2024 +0100

    topos_redis: reformat exported structures

commit 8f4e66d3617b38077a827f5ac158074cbd45207c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Nov 20 15:07:31 2024 +0100

    tsilo: reformat exported structures

commit 24961934218578d3a3e8db5e0e6d65b0a31d903a
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Wed Nov 20 14:54:27 2024 +0100

    ims_charging: add fixup_free* to exported functions

commit 065987e8c18b88aeed9b68c2e204ae4b51e56989
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Nov 20 14:54:04 2024 +0100

    uac_redirect: add fixup_free* to exported functions

commit aaf32a472ff0729fd4230a02948ad6e4de06451c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Nov 20 14:49:54 2024 +0100

    uac_redirect: reformat exported structures

commit 96e98152faf6a47c0380a85b9fc9bd63794bbcc6
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Nov 20 14:37:40 2024 +0100

    uid_auth_db: add fixup_free* to exported functions

commit 985193bd6ae93e9a6e5517bef4bb5bedba7505a3
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Nov 20 14:32:47 2024 +0100

    uid_auth_db: reformat exported structures

commit 20bf9c834030f098fcc934135380eebc7bd4ff45
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Wed Nov 20 14:29:01 2024 +0100

    ims_auth: add fixup_free* to exported functions

commit b3d64393f9c9c87bf76f2d01e2fe4764a3c0aeca
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Wed Nov 20 13:58:20 2024 +0100

    http_async_client: add fixup_free* to exported functions

commit ff6e7d6d7a5288a5f6e247943c6bf45d40c9ed94
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Wed Nov 20 13:43:53 2024 +0100

    htable: add fixup_free* to exported functions

commit 59ec3f219c345f2dd783baaf5fd118f760044ff4
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Wed Nov 20 12:14:25 2024 +0100

    h350: add fixup_free to exported function

commit 13998407d5b42b40586e3c9f605624e26d89d953
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Wed Nov 20 11:43:07 2024 +0100

    group: add fixup_free to exported functions

commit e10302033e42f25cf88b975fe9926d9210028299
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Wed Nov 20 11:13:21 2024 +0100

    geoip2: add fixup_free to exported funrcions

commit 7251ba1fd6c888a2f352cf1763d213031e7e3f6a
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Wed Nov 20 11:12:03 2024 +0100

    geoip: add fixup_free to exported funrcions

commit 8099e2d0b9fdc8826e21013a3fa67d89ebdd88b2
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Wed Nov 20 10:22:47 2024 +0100

    file_out: reformat exported structures

commit 6232b8ae29988bfe17ddf6e0bd483eec854ab72b
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Wed Nov 20 10:15:20 2024 +0100

    exec: add fixup_free* to exported functions

commit dd0a9624660ea58aa6f97828ecd526fc7dba3a43
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Tue Nov 19 16:55:03 2024 +0100

    evapi: add fixup_free* to exported functions

commit 03287733434a6c2762ffad653917e15bbc462e0c
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Tue Nov 19 16:48:00 2024 +0100

    enum: add fixup_free* to exported functions

commit e7cecd66a77669e32e5abc2ff4458e017c2a2f61
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Tue Nov 19 16:07:25 2024 +0100

    dlgs: fix some fixup_free

commit a05b143385975f0cce349ff7ea1f4647f175cc3c
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Tue Nov 19 16:02:01 2024 +0100

    dispatcher: add fixup_free to several exported functions

commit 52f02ca5f6d09c5323c582c9cf08990f0bc97ac5
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Tue Nov 19 14:57:35 2024 +0100

    crypto: add fixup_free function

commit 82e653c026219704a4c065e9a523f88c214b2faf
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Tue Nov 19 14:44:57 2024 +0100

    corex: add fixup_free to file_read function

commit ef84f28a61b513a72f4abb96ec0fc1240223add1
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Tue Nov 19 14:27:20 2024 +0100

    cnxcc: add fixup_free function

commit 43563cf9888386aa0d7e4d5f63e9ee1147777e6c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Nov 20 14:16:50 2024 +0100

    uid_avp_db: add fixup_free* to exported functions

commit 5f78ba3367cedcde0c0fb55b8aca6f37b8569e44
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Nov 20 14:03:12 2024 +0100

    uid_avp_db: reformat exported structures

commit d728b14bf2987b89ddfd131f66b62943424afa5f
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Nov 20 13:57:59 2024 +0100

    uid_domain: add fixup_free* to exported functions

commit f63e5488b713e1a98ced684d43e9a69e12160516
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Nov 20 13:44:19 2024 +0100

    uid_domain: reformat exported structures

commit 03af5047a38c9df4fbc407505fd03467f1584977
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Nov 20 13:46:10 2024 +0100

    modules: readme files regenerated - ims_ipsec_pcscf ... [skip ci]

commit ec783503d3672a7c395894382de52e50f5fb8b91
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Nov 20 13:40:51 2024 +0100

    uuid_gflags: reformat exported structures

commit f4d841ef01fd605a181879b23cbd7ccb179016fd
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Nov 20 13:36:42 2024 +0100

    uid_uri_db: reformat exported structures

commit 643f50656a3e06ef7342bebef952a6463f425c4b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 20 13:33:38 2024 +0100

    ims_ipsec_pcscf: docs for ipsec_listen_name parameter

commit 219ebbd7d204687f42fc2ae6cf80f84f443ee467
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 20 13:29:13 2024 +0100

    ims_ipsec_pcscf: added ipsec_listen_name param
    
    - set a common prefix to build socket names

commit 4917045cf2c8a2ab29c82a1b2bb811dc2c645b76
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Nov 20 13:33:52 2024 +0100

    uri_db: add fixup_free* to exported functions

commit 90ecec7e15a961d1ced11ba320ced037677ac61f
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Nov 20 13:32:38 2024 +0100

    uri_db: reformat exported structures

commit a72f2f01235af073f4aa74e5380136006e568a6e
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Nov 20 13:28:28 2024 +0100

    userblocklist: add fixup_free* to exported functions

commit c2ee05ba775f7a1e9d9be3442da4361f80f64aba
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Nov 20 12:31:10 2024 +0100

    modules: readme files regenerated - ims_ipsec_pcscf ... [skip ci]

commit ef23393b657d186eab67738f26ad93379b4c6cca
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 20 12:28:14 2024 +0100

    ims_ipsec_pcscf: docs for ipsec_listen_agname parameter

commit c8900d8c4fd129e3486507673b4f10809c5dbf30
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 20 12:21:09 2024 +0100

    ims_ipsec_pcscf: added ipsec_listen_agname parameter
    
    - set async (action) workers group name for udp sockets for
      multi-threaded reading

commit d465ac36e39f8d1f79365ff929499b4ecb5c4ae8
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Nov 20 12:27:00 2024 +0100

    userblocklist: reformat exported structures

commit 6f1e01e4ec4c6335d19f5cc1eb6e2b4d0381a267
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Nov 20 12:14:22 2024 +0100

    uuid: reformat exported structures

commit 5d9444cac7bf77ea58b762741a6cfe27a0398922
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Nov 20 12:09:02 2024 +0100

    xcap_client: reformat exported structures

commit 4347f1470057ba8a3c7cf8f179a814163c38d34e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 20 12:08:14 2024 +0100

    pua: remove destroy of internal structures on mod-destroy callback
    
    - it is safer and faster to be removed at once by core or OS when application
      context is destroyed

commit 5f8f4fade15e9b2950f503b2ec5bb49a326a4fc0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 20 12:04:16 2024 +0100

    presence: remove destroy of internal structures on mod-destroy callback
    
    - it is safer and faster to be removed at once by core or OS when application
      context is destroyed

commit 944b1062bc7660d86048ab6a769183e40181f07a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 20 11:41:33 2024 +0100

    htable: remove destroy of internal structures on mod-destroy callback
    
    - it is safer and faster to be removed at once by core or OS when application
      context is destroyed

commit d56b7ee42fffe9635bb0fde8427c9ec447a0f771
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 20 11:37:40 2024 +0100

    usrloc: remove destroy of internal structures on mod-destroy callback
    
    - it is safer and faster to be removed at once by core or OS when application
      context is destroyed

commit d4e3f7f125cea1f8874b858324a804e6b743bb1c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 20 11:28:34 2024 +0100

    tm: remove destroy of internal structures on mod-destroy callback
    
    - it is safer and faster to be removed at once by core or OS when application
      context is destroyed

commit e409ad5bc13b23ec171d9b66f937cd75731099c3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 20 11:21:58 2024 +0100

